#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 920
#define LARGE_STATE_COUNT 234
#define SYMBOL_COUNT 265
#define ALIAS_COUNT 0
#define TOKEN_COUNT 141
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 88

enum ts_symbol_identifiers {
  sym_export = 1,
  anon_sym_LBRACE = 2,
  anon_sym_COMMA = 3,
  anon_sym_RBRACE = 4,
  anon_sym_import = 5,
  anon_sym_from = 6,
  anon_sym_SEMI = 7,
  anon_sym_as = 8,
  anon_sym_COLON_EQ = 9,
  anon_sym_component = 10,
  anon_sym_inherits = 11,
  anon_sym_LT = 12,
  anon_sym_GT = 13,
  anon_sym_return = 14,
  anon_sym_property = 15,
  anon_sym_COLON = 16,
  anon_sym_LT_EQ_GT = 17,
  anon_sym_global = 18,
  anon_sym_struct = 19,
  anon_sym_enum = 20,
  anon_sym_in = 21,
  anon_sym_out = 22,
  anon_sym_transitions = 23,
  anon_sym_LBRACK = 24,
  anon_sym_RBRACK = 25,
  anon_sym_states = 26,
  anon_sym_when = 27,
  anon_sym_animate = 28,
  anon_sym_delay = 29,
  anon_sym_duration = 30,
  anon_sym_iteration_DASHcount = 31,
  anon_sym_easing = 32,
  anon_sym_if = 33,
  anon_sym_else = 34,
  anon_sym_for = 35,
  anon_sym_LPAREN = 36,
  anon_sym_RPAREN = 37,
  anon_sym_ATtr = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_PIPE = 40,
  anon_sym_PERCENT = 41,
  anon_sym_DOT = 42,
  sym_logical_and = 43,
  sym_logical_or = 44,
  anon_sym_QMARK = 45,
  anon_sym_callback = 46,
  anon_sym_DASH_GT = 47,
  anon_sym_pure = 48,
  anon_sym_public = 49,
  anon_sym_private = 50,
  anon_sym_function = 51,
  anon_sym_ATimage_DASHurl = 52,
  anon_sym_9slice = 53,
  anon_sym_BANG = 54,
  anon_sym_DASH = 55,
  anon_sym_PLUS = 56,
  anon_sym_STAR = 57,
  anon_sym_SLASH = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_LT_EQ = 60,
  anon_sym_EQ_EQ = 61,
  anon_sym_BANG_EQ = 62,
  anon_sym_EQ = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_DQUOTE = 68,
  sym__unescaped_string_fragment = 69,
  anon_sym_BSLASH = 70,
  aux_sym_escape_sequence_token1 = 71,
  anon_sym_n = 72,
  anon_sym_in_DASHout = 73,
  sym__identifier = 74,
  anon_sym_int = 75,
  anon_sym_float = 76,
  anon_sym_bool = 77,
  anon_sym_string = 78,
  anon_sym_color = 79,
  anon_sym_brush = 80,
  anon_sym_physical_DASHlength = 81,
  anon_sym_length = 82,
  anon_sym_angle = 83,
  anon_sym_percent = 84,
  anon_sym_image = 85,
  anon_sym_relative_DASHfont_DASHsize = 86,
  anon_sym_linear = 87,
  anon_sym_ease_DASHin_DASHquad = 88,
  anon_sym_ease_DASHout_DASHquad = 89,
  anon_sym_ease_DASHin_DASHout_DASHquad = 90,
  anon_sym_ease = 91,
  anon_sym_ease_DASHin = 92,
  anon_sym_ease_DASHout = 93,
  anon_sym_ease_DASHin_DASHout = 94,
  anon_sym_ease_DASHin_DASHquart = 95,
  anon_sym_ease_DASHout_DASHquart = 96,
  anon_sym_ease_DASHin_DASHout_DASHquart = 97,
  anon_sym_ease_DASHin_DASHquint = 98,
  anon_sym_ease_DASHout_DASHquint = 99,
  anon_sym_ease_DASHin_DASHout_DASHquint = 100,
  anon_sym_ease_DASHin_DASHexpo = 101,
  anon_sym_ease_DASHout_DASHexpo = 102,
  anon_sym_ease_DASHin_DASHout_DASHexpo = 103,
  anon_sym_ease_DASHin_DASHsine = 104,
  anon_sym_ease_DASHout_DASHsine = 105,
  anon_sym_ease_DASHin_DASHout_DASHsine = 106,
  anon_sym_ease_DASHin_DASHback = 107,
  anon_sym_ease_DASHout_DASHback = 108,
  anon_sym_ease_DASHin_DASHout_DASHback = 109,
  anon_sym_ease_DASHin_DASHcirc = 110,
  anon_sym_ease_DASHout_DASHcirc = 111,
  anon_sym_ease_DASHin_DASHout_DASHcirc = 112,
  anon_sym_ease_DASHin_DASHelastic = 113,
  anon_sym_ease_DASHout_DASHelastic = 114,
  anon_sym_ease_DASHin_DASHout_DASHelastic = 115,
  anon_sym_ease_DASHin_DASHbounce = 116,
  anon_sym_ease_DASHout_DASHbounce = 117,
  anon_sym_ease_DASHin_DASHout_DASHbounce = 118,
  anon_sym_cubic_DASHbezier = 119,
  sym_children_identifier = 120,
  anon_sym_ATlinear_DASHgradient = 121,
  anon_sym_ATlinear_gradient = 122,
  anon_sym_ATradial_DASHgradient = 123,
  anon_sym_ATradial_gradient = 124,
  anon_sym_circle = 125,
  anon_sym_parent = 126,
  anon_sym_root = 127,
  anon_sym_self = 128,
  sym__int_number = 129,
  sym__float_number = 130,
  anon_sym_true = 131,
  anon_sym_false = 132,
  sym_color_value = 133,
  anon_sym_phx = 134,
  aux_sym_length_value_token1 = 135,
  aux_sym_duration_value_token1 = 136,
  aux_sym_angle_value_token1 = 137,
  anon_sym_PERCENT2 = 138,
  anon_sym_rem = 139,
  sym_comment = 140,
  sym_sourcefile = 141,
  sym__definition = 142,
  sym__local_type = 143,
  sym__exported_type = 144,
  sym_import_statement = 145,
  sym_export_type = 146,
  sym_import_type = 147,
  sym_component = 148,
  sym_component_definition = 149,
  sym__property_type = 150,
  sym_imperative_block = 151,
  sym__imperative_block_statement = 152,
  sym__binding = 153,
  sym_property = 154,
  sym_binding_alias = 155,
  sym_binding = 156,
  sym_global_block = 157,
  sym_global_definition = 158,
  sym_struct_block = 159,
  sym_struct_definition = 160,
  sym_enum_block = 161,
  sym_enum_definition = 162,
  sym_anon_struct_block = 163,
  sym_block = 164,
  sym__block_statement = 165,
  sym_property_assignment = 166,
  sym_in_out_transition = 167,
  sym_transitions_definition = 168,
  sym_states_definition = 169,
  sym_animate_statement = 170,
  sym_animate_option_identifier = 171,
  sym_animate_option = 172,
  sym_animate_body = 173,
  sym_if_expr = 174,
  sym_if_statement = 175,
  sym_for_loop = 176,
  sym_for_range = 177,
  sym_type_list = 178,
  sym_type = 179,
  sym__assignment_setup = 180,
  sym__assignment_value_block = 181,
  sym_assignment_block = 182,
  sym_assignment_expr = 183,
  sym_expression = 184,
  sym_parens_op = 185,
  sym_index_op = 186,
  sym_tr = 187,
  sym_member_access = 188,
  sym_unary_expression = 189,
  sym_binary_expression = 190,
  sym__add_binary_expression = 191,
  sym__comparison_binary_expression = 192,
  sym__logic_binary_expression = 193,
  sym__mult_binary_expression = 194,
  sym_ternary_expression = 195,
  sym_callback = 196,
  sym_purity = 197,
  sym_function_visibility = 198,
  sym_function_definition = 199,
  sym_callback_alias = 200,
  sym_callback_event = 201,
  sym_function_call = 202,
  sym_gradient_call = 203,
  sym_gradient_color = 204,
  sym_image_call = 205,
  sym_typed_identifier = 206,
  sym__function_signature = 207,
  sym__callback_signature = 208,
  sym_argument = 209,
  sym_arguments = 210,
  sym_unary_prec_operator = 211,
  sym_add_prec_operator = 212,
  sym_mult_prec_operator = 213,
  sym_comparison_operator = 214,
  sym_assignment_prec_operator = 215,
  sym__string = 216,
  sym_escape_sequence = 217,
  sym_property_visibility = 218,
  sym_simple_identifier = 219,
  sym_simple_indexed_identifier = 220,
  sym_builtin_type_identifier = 221,
  sym_easing_kind_identifier = 222,
  sym_user_type_identifier = 223,
  sym__type_identifier = 224,
  sym_value_list = 225,
  sym_value = 226,
  sym_linear_gradient_identifier = 227,
  sym_radial_gradient_identifier = 228,
  sym_radial_gradient_kind = 229,
  sym_reference_identifier = 230,
  sym__number = 231,
  sym_int_value = 232,
  sym_float_value = 233,
  sym_bool_value = 234,
  sym_string_value = 235,
  sym_physical_length_value = 236,
  sym_length_value = 237,
  sym_duration_value = 238,
  sym_angle_value = 239,
  sym_percent_value = 240,
  sym_relative_font_size_value = 241,
  sym__basic_value = 242,
  aux_sym_sourcefile_repeat1 = 243,
  aux_sym__exported_type_repeat1 = 244,
  aux_sym_import_statement_repeat1 = 245,
  aux_sym_imperative_block_repeat1 = 246,
  aux_sym_global_block_repeat1 = 247,
  aux_sym_struct_block_repeat1 = 248,
  aux_sym_enum_block_repeat1 = 249,
  aux_sym_anon_struct_block_repeat1 = 250,
  aux_sym_block_repeat1 = 251,
  aux_sym_in_out_transition_repeat1 = 252,
  aux_sym_transitions_definition_repeat1 = 253,
  aux_sym_states_definition_repeat1 = 254,
  aux_sym_states_definition_repeat2 = 255,
  aux_sym_animate_body_repeat1 = 256,
  aux_sym_type_list_repeat1 = 257,
  aux_sym_tr_repeat1 = 258,
  aux_sym_function_definition_repeat1 = 259,
  aux_sym_gradient_call_repeat1 = 260,
  aux_sym_image_call_repeat1 = 261,
  aux_sym__function_signature_repeat1 = 262,
  aux_sym_arguments_repeat1 = 263,
  aux_sym__string_repeat1 = 264,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_export] = "export",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_SEMI] = ";",
  [anon_sym_as] = "as",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_component] = "component",
  [anon_sym_inherits] = "inherits",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_return] = "return",
  [anon_sym_property] = "property",
  [anon_sym_COLON] = ":",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_global] = "global",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_transitions] = "transitions",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_states] = "states",
  [anon_sym_when] = "when",
  [anon_sym_animate] = "animate",
  [anon_sym_delay] = "delay",
  [anon_sym_duration] = "duration",
  [anon_sym_iteration_DASHcount] = "iteration-count",
  [anon_sym_easing] = "easing",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_ATtr] = "@tr",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_PIPE] = "|",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOT] = ".",
  [sym_logical_and] = "logical_and",
  [sym_logical_or] = "logical_or",
  [anon_sym_QMARK] = "\?",
  [anon_sym_callback] = "callback",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_pure] = "pure",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_function] = "function",
  [anon_sym_ATimage_DASHurl] = "@image-url",
  [anon_sym_9slice] = "9slice",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_DQUOTE] = "\"",
  [sym__unescaped_string_fragment] = "_unescaped_string_fragment",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [anon_sym_n] = "n",
  [anon_sym_in_DASHout] = "in-out",
  [sym__identifier] = "_identifier",
  [anon_sym_int] = "int",
  [anon_sym_float] = "float",
  [anon_sym_bool] = "bool",
  [anon_sym_string] = "string",
  [anon_sym_color] = "color",
  [anon_sym_brush] = "brush",
  [anon_sym_physical_DASHlength] = "physical-length",
  [anon_sym_length] = "length",
  [anon_sym_angle] = "angle",
  [anon_sym_percent] = "percent",
  [anon_sym_image] = "image",
  [anon_sym_relative_DASHfont_DASHsize] = "relative-font-size",
  [anon_sym_linear] = "linear",
  [anon_sym_ease_DASHin_DASHquad] = "ease-in-quad",
  [anon_sym_ease_DASHout_DASHquad] = "ease-out-quad",
  [anon_sym_ease_DASHin_DASHout_DASHquad] = "ease-in-out-quad",
  [anon_sym_ease] = "ease",
  [anon_sym_ease_DASHin] = "ease-in",
  [anon_sym_ease_DASHout] = "ease-out",
  [anon_sym_ease_DASHin_DASHout] = "ease-in-out",
  [anon_sym_ease_DASHin_DASHquart] = "ease-in-quart",
  [anon_sym_ease_DASHout_DASHquart] = "ease-out-quart",
  [anon_sym_ease_DASHin_DASHout_DASHquart] = "ease-in-out-quart",
  [anon_sym_ease_DASHin_DASHquint] = "ease-in-quint",
  [anon_sym_ease_DASHout_DASHquint] = "ease-out-quint",
  [anon_sym_ease_DASHin_DASHout_DASHquint] = "ease-in-out-quint",
  [anon_sym_ease_DASHin_DASHexpo] = "ease-in-expo",
  [anon_sym_ease_DASHout_DASHexpo] = "ease-out-expo",
  [anon_sym_ease_DASHin_DASHout_DASHexpo] = "ease-in-out-expo",
  [anon_sym_ease_DASHin_DASHsine] = "ease-in-sine",
  [anon_sym_ease_DASHout_DASHsine] = "ease-out-sine",
  [anon_sym_ease_DASHin_DASHout_DASHsine] = "ease-in-out-sine",
  [anon_sym_ease_DASHin_DASHback] = "ease-in-back",
  [anon_sym_ease_DASHout_DASHback] = "ease-out-back",
  [anon_sym_ease_DASHin_DASHout_DASHback] = "ease-in-out-back",
  [anon_sym_ease_DASHin_DASHcirc] = "ease-in-circ",
  [anon_sym_ease_DASHout_DASHcirc] = "ease-out-circ",
  [anon_sym_ease_DASHin_DASHout_DASHcirc] = "ease-in-out-circ",
  [anon_sym_ease_DASHin_DASHelastic] = "ease-in-elastic",
  [anon_sym_ease_DASHout_DASHelastic] = "ease-out-elastic",
  [anon_sym_ease_DASHin_DASHout_DASHelastic] = "ease-in-out-elastic",
  [anon_sym_ease_DASHin_DASHbounce] = "ease-in-bounce",
  [anon_sym_ease_DASHout_DASHbounce] = "ease-out-bounce",
  [anon_sym_ease_DASHin_DASHout_DASHbounce] = "ease-in-out-bounce",
  [anon_sym_cubic_DASHbezier] = "cubic-bezier",
  [sym_children_identifier] = "children_identifier",
  [anon_sym_ATlinear_DASHgradient] = "@linear-gradient",
  [anon_sym_ATlinear_gradient] = "@linear_gradient",
  [anon_sym_ATradial_DASHgradient] = "@radial-gradient",
  [anon_sym_ATradial_gradient] = "@radial_gradient",
  [anon_sym_circle] = "circle",
  [anon_sym_parent] = "parent",
  [anon_sym_root] = "root",
  [anon_sym_self] = "self",
  [sym__int_number] = "_int_number",
  [sym__float_number] = "_float_number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_color_value] = "color_value",
  [anon_sym_phx] = "phx",
  [aux_sym_length_value_token1] = "length_value_token1",
  [aux_sym_duration_value_token1] = "duration_value_token1",
  [aux_sym_angle_value_token1] = "angle_value_token1",
  [anon_sym_PERCENT2] = "%",
  [anon_sym_rem] = "rem",
  [sym_comment] = "comment",
  [sym_sourcefile] = "sourcefile",
  [sym__definition] = "_definition",
  [sym__local_type] = "_local_type",
  [sym__exported_type] = "_exported_type",
  [sym_import_statement] = "import_statement",
  [sym_export_type] = "export_type",
  [sym_import_type] = "import_type",
  [sym_component] = "component",
  [sym_component_definition] = "component_definition",
  [sym__property_type] = "_property_type",
  [sym_imperative_block] = "imperative_block",
  [sym__imperative_block_statement] = "_imperative_block_statement",
  [sym__binding] = "_binding",
  [sym_property] = "property",
  [sym_binding_alias] = "binding_alias",
  [sym_binding] = "binding",
  [sym_global_block] = "global_block",
  [sym_global_definition] = "global_definition",
  [sym_struct_block] = "struct_block",
  [sym_struct_definition] = "struct_definition",
  [sym_enum_block] = "enum_block",
  [sym_enum_definition] = "enum_definition",
  [sym_anon_struct_block] = "anon_struct_block",
  [sym_block] = "block",
  [sym__block_statement] = "_block_statement",
  [sym_property_assignment] = "property_assignment",
  [sym_in_out_transition] = "in_out_transition",
  [sym_transitions_definition] = "transitions_definition",
  [sym_states_definition] = "states_definition",
  [sym_animate_statement] = "animate_statement",
  [sym_animate_option_identifier] = "animate_option_identifier",
  [sym_animate_option] = "animate_option",
  [sym_animate_body] = "animate_body",
  [sym_if_expr] = "if_expr",
  [sym_if_statement] = "if_statement",
  [sym_for_loop] = "for_loop",
  [sym_for_range] = "for_range",
  [sym_type_list] = "type_list",
  [sym_type] = "type",
  [sym__assignment_setup] = "_assignment_setup",
  [sym__assignment_value_block] = "_assignment_value_block",
  [sym_assignment_block] = "assignment_block",
  [sym_assignment_expr] = "assignment_expr",
  [sym_expression] = "expression",
  [sym_parens_op] = "parens_op",
  [sym_index_op] = "index_op",
  [sym_tr] = "tr",
  [sym_member_access] = "member_access",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym__add_binary_expression] = "_add_binary_expression",
  [sym__comparison_binary_expression] = "_comparison_binary_expression",
  [sym__logic_binary_expression] = "_logic_binary_expression",
  [sym__mult_binary_expression] = "_mult_binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_callback] = "callback",
  [sym_purity] = "purity",
  [sym_function_visibility] = "function_visibility",
  [sym_function_definition] = "function_definition",
  [sym_callback_alias] = "callback_alias",
  [sym_callback_event] = "callback_event",
  [sym_function_call] = "function_call",
  [sym_gradient_call] = "gradient_call",
  [sym_gradient_color] = "gradient_color",
  [sym_image_call] = "image_call",
  [sym_typed_identifier] = "typed_identifier",
  [sym__function_signature] = "_function_signature",
  [sym__callback_signature] = "_callback_signature",
  [sym_argument] = "argument",
  [sym_arguments] = "arguments",
  [sym_unary_prec_operator] = "unary_prec_operator",
  [sym_add_prec_operator] = "add_prec_operator",
  [sym_mult_prec_operator] = "mult_prec_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_assignment_prec_operator] = "assignment_prec_operator",
  [sym__string] = "_string",
  [sym_escape_sequence] = "escape_sequence",
  [sym_property_visibility] = "property_visibility",
  [sym_simple_identifier] = "simple_identifier",
  [sym_simple_indexed_identifier] = "simple_indexed_identifier",
  [sym_builtin_type_identifier] = "builtin_type_identifier",
  [sym_easing_kind_identifier] = "easing_kind_identifier",
  [sym_user_type_identifier] = "user_type_identifier",
  [sym__type_identifier] = "_type_identifier",
  [sym_value_list] = "value_list",
  [sym_value] = "value",
  [sym_linear_gradient_identifier] = "linear_gradient_identifier",
  [sym_radial_gradient_identifier] = "radial_gradient_identifier",
  [sym_radial_gradient_kind] = "radial_gradient_kind",
  [sym_reference_identifier] = "reference_identifier",
  [sym__number] = "_number",
  [sym_int_value] = "int_value",
  [sym_float_value] = "float_value",
  [sym_bool_value] = "bool_value",
  [sym_string_value] = "string_value",
  [sym_physical_length_value] = "physical_length_value",
  [sym_length_value] = "length_value",
  [sym_duration_value] = "duration_value",
  [sym_angle_value] = "angle_value",
  [sym_percent_value] = "percent_value",
  [sym_relative_font_size_value] = "relative_font_size_value",
  [sym__basic_value] = "_basic_value",
  [aux_sym_sourcefile_repeat1] = "sourcefile_repeat1",
  [aux_sym__exported_type_repeat1] = "_exported_type_repeat1",
  [aux_sym_import_statement_repeat1] = "import_statement_repeat1",
  [aux_sym_imperative_block_repeat1] = "imperative_block_repeat1",
  [aux_sym_global_block_repeat1] = "global_block_repeat1",
  [aux_sym_struct_block_repeat1] = "struct_block_repeat1",
  [aux_sym_enum_block_repeat1] = "enum_block_repeat1",
  [aux_sym_anon_struct_block_repeat1] = "anon_struct_block_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_in_out_transition_repeat1] = "in_out_transition_repeat1",
  [aux_sym_transitions_definition_repeat1] = "transitions_definition_repeat1",
  [aux_sym_states_definition_repeat1] = "states_definition_repeat1",
  [aux_sym_states_definition_repeat2] = "states_definition_repeat2",
  [aux_sym_animate_body_repeat1] = "animate_body_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_tr_repeat1] = "tr_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_gradient_call_repeat1] = "gradient_call_repeat1",
  [aux_sym_image_call_repeat1] = "image_call_repeat1",
  [aux_sym__function_signature_repeat1] = "_function_signature_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym__string_repeat1] = "_string_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_export] = sym_export,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_component] = anon_sym_component,
  [anon_sym_inherits] = anon_sym_inherits,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_transitions] = anon_sym_transitions,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_states] = anon_sym_states,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_animate] = anon_sym_animate,
  [anon_sym_delay] = anon_sym_delay,
  [anon_sym_duration] = anon_sym_duration,
  [anon_sym_iteration_DASHcount] = anon_sym_iteration_DASHcount,
  [anon_sym_easing] = anon_sym_easing,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_ATtr] = anon_sym_ATtr,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_logical_and] = sym_logical_and,
  [sym_logical_or] = sym_logical_or,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_callback] = anon_sym_callback,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_pure] = anon_sym_pure,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_ATimage_DASHurl] = anon_sym_ATimage_DASHurl,
  [anon_sym_9slice] = anon_sym_9slice,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__unescaped_string_fragment] = sym__unescaped_string_fragment,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [anon_sym_n] = anon_sym_n,
  [anon_sym_in_DASHout] = anon_sym_in_DASHout,
  [sym__identifier] = sym__identifier,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_color] = anon_sym_color,
  [anon_sym_brush] = anon_sym_brush,
  [anon_sym_physical_DASHlength] = anon_sym_physical_DASHlength,
  [anon_sym_length] = anon_sym_length,
  [anon_sym_angle] = anon_sym_angle,
  [anon_sym_percent] = anon_sym_percent,
  [anon_sym_image] = anon_sym_image,
  [anon_sym_relative_DASHfont_DASHsize] = anon_sym_relative_DASHfont_DASHsize,
  [anon_sym_linear] = anon_sym_linear,
  [anon_sym_ease_DASHin_DASHquad] = anon_sym_ease_DASHin_DASHquad,
  [anon_sym_ease_DASHout_DASHquad] = anon_sym_ease_DASHout_DASHquad,
  [anon_sym_ease_DASHin_DASHout_DASHquad] = anon_sym_ease_DASHin_DASHout_DASHquad,
  [anon_sym_ease] = anon_sym_ease,
  [anon_sym_ease_DASHin] = anon_sym_ease_DASHin,
  [anon_sym_ease_DASHout] = anon_sym_ease_DASHout,
  [anon_sym_ease_DASHin_DASHout] = anon_sym_ease_DASHin_DASHout,
  [anon_sym_ease_DASHin_DASHquart] = anon_sym_ease_DASHin_DASHquart,
  [anon_sym_ease_DASHout_DASHquart] = anon_sym_ease_DASHout_DASHquart,
  [anon_sym_ease_DASHin_DASHout_DASHquart] = anon_sym_ease_DASHin_DASHout_DASHquart,
  [anon_sym_ease_DASHin_DASHquint] = anon_sym_ease_DASHin_DASHquint,
  [anon_sym_ease_DASHout_DASHquint] = anon_sym_ease_DASHout_DASHquint,
  [anon_sym_ease_DASHin_DASHout_DASHquint] = anon_sym_ease_DASHin_DASHout_DASHquint,
  [anon_sym_ease_DASHin_DASHexpo] = anon_sym_ease_DASHin_DASHexpo,
  [anon_sym_ease_DASHout_DASHexpo] = anon_sym_ease_DASHout_DASHexpo,
  [anon_sym_ease_DASHin_DASHout_DASHexpo] = anon_sym_ease_DASHin_DASHout_DASHexpo,
  [anon_sym_ease_DASHin_DASHsine] = anon_sym_ease_DASHin_DASHsine,
  [anon_sym_ease_DASHout_DASHsine] = anon_sym_ease_DASHout_DASHsine,
  [anon_sym_ease_DASHin_DASHout_DASHsine] = anon_sym_ease_DASHin_DASHout_DASHsine,
  [anon_sym_ease_DASHin_DASHback] = anon_sym_ease_DASHin_DASHback,
  [anon_sym_ease_DASHout_DASHback] = anon_sym_ease_DASHout_DASHback,
  [anon_sym_ease_DASHin_DASHout_DASHback] = anon_sym_ease_DASHin_DASHout_DASHback,
  [anon_sym_ease_DASHin_DASHcirc] = anon_sym_ease_DASHin_DASHcirc,
  [anon_sym_ease_DASHout_DASHcirc] = anon_sym_ease_DASHout_DASHcirc,
  [anon_sym_ease_DASHin_DASHout_DASHcirc] = anon_sym_ease_DASHin_DASHout_DASHcirc,
  [anon_sym_ease_DASHin_DASHelastic] = anon_sym_ease_DASHin_DASHelastic,
  [anon_sym_ease_DASHout_DASHelastic] = anon_sym_ease_DASHout_DASHelastic,
  [anon_sym_ease_DASHin_DASHout_DASHelastic] = anon_sym_ease_DASHin_DASHout_DASHelastic,
  [anon_sym_ease_DASHin_DASHbounce] = anon_sym_ease_DASHin_DASHbounce,
  [anon_sym_ease_DASHout_DASHbounce] = anon_sym_ease_DASHout_DASHbounce,
  [anon_sym_ease_DASHin_DASHout_DASHbounce] = anon_sym_ease_DASHin_DASHout_DASHbounce,
  [anon_sym_cubic_DASHbezier] = anon_sym_cubic_DASHbezier,
  [sym_children_identifier] = sym_children_identifier,
  [anon_sym_ATlinear_DASHgradient] = anon_sym_ATlinear_DASHgradient,
  [anon_sym_ATlinear_gradient] = anon_sym_ATlinear_gradient,
  [anon_sym_ATradial_DASHgradient] = anon_sym_ATradial_DASHgradient,
  [anon_sym_ATradial_gradient] = anon_sym_ATradial_gradient,
  [anon_sym_circle] = anon_sym_circle,
  [anon_sym_parent] = anon_sym_parent,
  [anon_sym_root] = anon_sym_root,
  [anon_sym_self] = anon_sym_self,
  [sym__int_number] = sym__int_number,
  [sym__float_number] = sym__float_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_color_value] = sym_color_value,
  [anon_sym_phx] = anon_sym_phx,
  [aux_sym_length_value_token1] = aux_sym_length_value_token1,
  [aux_sym_duration_value_token1] = aux_sym_duration_value_token1,
  [aux_sym_angle_value_token1] = aux_sym_angle_value_token1,
  [anon_sym_PERCENT2] = anon_sym_PERCENT,
  [anon_sym_rem] = anon_sym_rem,
  [sym_comment] = sym_comment,
  [sym_sourcefile] = sym_sourcefile,
  [sym__definition] = sym__definition,
  [sym__local_type] = sym__local_type,
  [sym__exported_type] = sym__exported_type,
  [sym_import_statement] = sym_import_statement,
  [sym_export_type] = sym_export_type,
  [sym_import_type] = sym_import_type,
  [sym_component] = sym_component,
  [sym_component_definition] = sym_component_definition,
  [sym__property_type] = sym__property_type,
  [sym_imperative_block] = sym_imperative_block,
  [sym__imperative_block_statement] = sym__imperative_block_statement,
  [sym__binding] = sym__binding,
  [sym_property] = sym_property,
  [sym_binding_alias] = sym_binding_alias,
  [sym_binding] = sym_binding,
  [sym_global_block] = sym_global_block,
  [sym_global_definition] = sym_global_definition,
  [sym_struct_block] = sym_struct_block,
  [sym_struct_definition] = sym_struct_definition,
  [sym_enum_block] = sym_enum_block,
  [sym_enum_definition] = sym_enum_definition,
  [sym_anon_struct_block] = sym_anon_struct_block,
  [sym_block] = sym_block,
  [sym__block_statement] = sym__block_statement,
  [sym_property_assignment] = sym_property_assignment,
  [sym_in_out_transition] = sym_in_out_transition,
  [sym_transitions_definition] = sym_transitions_definition,
  [sym_states_definition] = sym_states_definition,
  [sym_animate_statement] = sym_animate_statement,
  [sym_animate_option_identifier] = sym_animate_option_identifier,
  [sym_animate_option] = sym_animate_option,
  [sym_animate_body] = sym_animate_body,
  [sym_if_expr] = sym_if_expr,
  [sym_if_statement] = sym_if_statement,
  [sym_for_loop] = sym_for_loop,
  [sym_for_range] = sym_for_range,
  [sym_type_list] = sym_type_list,
  [sym_type] = sym_type,
  [sym__assignment_setup] = sym__assignment_setup,
  [sym__assignment_value_block] = sym__assignment_value_block,
  [sym_assignment_block] = sym_assignment_block,
  [sym_assignment_expr] = sym_assignment_expr,
  [sym_expression] = sym_expression,
  [sym_parens_op] = sym_parens_op,
  [sym_index_op] = sym_index_op,
  [sym_tr] = sym_tr,
  [sym_member_access] = sym_member_access,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym__add_binary_expression] = sym__add_binary_expression,
  [sym__comparison_binary_expression] = sym__comparison_binary_expression,
  [sym__logic_binary_expression] = sym__logic_binary_expression,
  [sym__mult_binary_expression] = sym__mult_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_callback] = sym_callback,
  [sym_purity] = sym_purity,
  [sym_function_visibility] = sym_function_visibility,
  [sym_function_definition] = sym_function_definition,
  [sym_callback_alias] = sym_callback_alias,
  [sym_callback_event] = sym_callback_event,
  [sym_function_call] = sym_function_call,
  [sym_gradient_call] = sym_gradient_call,
  [sym_gradient_color] = sym_gradient_color,
  [sym_image_call] = sym_image_call,
  [sym_typed_identifier] = sym_typed_identifier,
  [sym__function_signature] = sym__function_signature,
  [sym__callback_signature] = sym__callback_signature,
  [sym_argument] = sym_argument,
  [sym_arguments] = sym_arguments,
  [sym_unary_prec_operator] = sym_unary_prec_operator,
  [sym_add_prec_operator] = sym_add_prec_operator,
  [sym_mult_prec_operator] = sym_mult_prec_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_assignment_prec_operator] = sym_assignment_prec_operator,
  [sym__string] = sym__string,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_property_visibility] = sym_property_visibility,
  [sym_simple_identifier] = sym_simple_identifier,
  [sym_simple_indexed_identifier] = sym_simple_indexed_identifier,
  [sym_builtin_type_identifier] = sym_builtin_type_identifier,
  [sym_easing_kind_identifier] = sym_easing_kind_identifier,
  [sym_user_type_identifier] = sym_user_type_identifier,
  [sym__type_identifier] = sym__type_identifier,
  [sym_value_list] = sym_value_list,
  [sym_value] = sym_value,
  [sym_linear_gradient_identifier] = sym_linear_gradient_identifier,
  [sym_radial_gradient_identifier] = sym_radial_gradient_identifier,
  [sym_radial_gradient_kind] = sym_radial_gradient_kind,
  [sym_reference_identifier] = sym_reference_identifier,
  [sym__number] = sym__number,
  [sym_int_value] = sym_int_value,
  [sym_float_value] = sym_float_value,
  [sym_bool_value] = sym_bool_value,
  [sym_string_value] = sym_string_value,
  [sym_physical_length_value] = sym_physical_length_value,
  [sym_length_value] = sym_length_value,
  [sym_duration_value] = sym_duration_value,
  [sym_angle_value] = sym_angle_value,
  [sym_percent_value] = sym_percent_value,
  [sym_relative_font_size_value] = sym_relative_font_size_value,
  [sym__basic_value] = sym__basic_value,
  [aux_sym_sourcefile_repeat1] = aux_sym_sourcefile_repeat1,
  [aux_sym__exported_type_repeat1] = aux_sym__exported_type_repeat1,
  [aux_sym_import_statement_repeat1] = aux_sym_import_statement_repeat1,
  [aux_sym_imperative_block_repeat1] = aux_sym_imperative_block_repeat1,
  [aux_sym_global_block_repeat1] = aux_sym_global_block_repeat1,
  [aux_sym_struct_block_repeat1] = aux_sym_struct_block_repeat1,
  [aux_sym_enum_block_repeat1] = aux_sym_enum_block_repeat1,
  [aux_sym_anon_struct_block_repeat1] = aux_sym_anon_struct_block_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_in_out_transition_repeat1] = aux_sym_in_out_transition_repeat1,
  [aux_sym_transitions_definition_repeat1] = aux_sym_transitions_definition_repeat1,
  [aux_sym_states_definition_repeat1] = aux_sym_states_definition_repeat1,
  [aux_sym_states_definition_repeat2] = aux_sym_states_definition_repeat2,
  [aux_sym_animate_body_repeat1] = aux_sym_animate_body_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_tr_repeat1] = aux_sym_tr_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_gradient_call_repeat1] = aux_sym_gradient_call_repeat1,
  [aux_sym_image_call_repeat1] = aux_sym_image_call_repeat1,
  [aux_sym__function_signature_repeat1] = aux_sym__function_signature_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym__string_repeat1] = aux_sym__string_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_export] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitions] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_states] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_animate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delay] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_duration] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iteration_DASHcount] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_easing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATtr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_logical_and] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_or] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pure] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATimage_DASHurl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_9slice] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__unescaped_string_fragment] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_n] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in_DASHout] = {
    .visible = true,
    .named = false,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_color] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_brush] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_physical_DASHlength] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_length] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_angle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_percent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_image] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_relative_DASHfont_DASHsize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linear] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHquad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHquad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHquad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHquart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHquart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHquart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHquint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHquint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHquint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHexpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHexpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHexpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHsine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHsine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHsine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHcirc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHcirc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHcirc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHelastic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHelastic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHelastic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHbounce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHbounce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHbounce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cubic_DASHbezier] = {
    .visible = true,
    .named = false,
  },
  [sym_children_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ATlinear_DASHgradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATlinear_gradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATradial_DASHgradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATradial_gradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_circle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_root] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [sym__int_number] = {
    .visible = false,
    .named = true,
  },
  [sym__float_number] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_color_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_phx] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_length_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_duration_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_angle_value_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PERCENT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rem] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_sourcefile] = {
    .visible = true,
    .named = true,
  },
  [sym__definition] = {
    .visible = false,
    .named = true,
  },
  [sym__local_type] = {
    .visible = false,
    .named = true,
  },
  [sym__exported_type] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_type] = {
    .visible = true,
    .named = true,
  },
  [sym_import_type] = {
    .visible = true,
    .named = true,
  },
  [sym_component] = {
    .visible = true,
    .named = true,
  },
  [sym_component_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__property_type] = {
    .visible = false,
    .named = true,
  },
  [sym_imperative_block] = {
    .visible = true,
    .named = true,
  },
  [sym__imperative_block_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__binding] = {
    .visible = false,
    .named = true,
  },
  [sym_property] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_global_block] = {
    .visible = true,
    .named = true,
  },
  [sym_global_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_block] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_block] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_anon_struct_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__block_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_property_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_in_out_transition] = {
    .visible = true,
    .named = true,
  },
  [sym_transitions_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_states_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_option_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_option] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_body] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_loop] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_setup] = {
    .visible = false,
    .named = true,
  },
  [sym__assignment_value_block] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_block] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parens_op] = {
    .visible = true,
    .named = true,
  },
  [sym_index_op] = {
    .visible = true,
    .named = true,
  },
  [sym_tr] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__add_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__comparison_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__logic_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__mult_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_callback] = {
    .visible = true,
    .named = true,
  },
  [sym_purity] = {
    .visible = true,
    .named = true,
  },
  [sym_function_visibility] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_callback_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_callback_event] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_gradient_call] = {
    .visible = true,
    .named = true,
  },
  [sym_gradient_color] = {
    .visible = true,
    .named = true,
  },
  [sym_image_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__callback_signature] = {
    .visible = false,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_add_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_property_visibility] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_indexed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_easing_kind_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_user_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_value_list] = {
    .visible = true,
    .named = true,
  },
  [sym_value] = {
    .visible = true,
    .named = true,
  },
  [sym_linear_gradient_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_radial_gradient_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_radial_gradient_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = false,
    .named = true,
  },
  [sym_int_value] = {
    .visible = true,
    .named = true,
  },
  [sym_float_value] = {
    .visible = true,
    .named = true,
  },
  [sym_bool_value] = {
    .visible = true,
    .named = true,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [sym_physical_length_value] = {
    .visible = true,
    .named = true,
  },
  [sym_length_value] = {
    .visible = true,
    .named = true,
  },
  [sym_duration_value] = {
    .visible = true,
    .named = true,
  },
  [sym_angle_value] = {
    .visible = true,
    .named = true,
  },
  [sym_percent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_font_size_value] = {
    .visible = true,
    .named = true,
  },
  [sym__basic_value] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_sourcefile_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__exported_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imperative_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anon_struct_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_in_out_transition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transitions_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_states_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_states_definition_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_animate_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gradient_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_image_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_action = 1,
  field_alias = 2,
  field_angle = 3,
  field_arguments = 4,
  field_base = 5,
  field_base_type = 6,
  field_binding = 7,
  field_binding_op = 8,
  field_colors = 9,
  field_condition = 10,
  field_context = 11,
  field_export_name = 12,
  field_expression = 13,
  field_id = 14,
  field_identifier = 15,
  field_image = 16,
  field_import_name = 17,
  field_index = 18,
  field_index_var = 19,
  field_left = 20,
  field_local_name = 21,
  field_member = 22,
  field_message = 23,
  field_name = 24,
  field_op = 25,
  field_option = 26,
  field_percent = 27,
  field_pipe = 28,
  field_property = 29,
  field_range = 30,
  field_return_type = 31,
  field_right = 32,
  field_type = 33,
  field_value = 34,
  field_visibility = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_action] = "action",
  [field_alias] = "alias",
  [field_angle] = "angle",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_base_type] = "base_type",
  [field_binding] = "binding",
  [field_binding_op] = "binding_op",
  [field_colors] = "colors",
  [field_condition] = "condition",
  [field_context] = "context",
  [field_export_name] = "export_name",
  [field_expression] = "expression",
  [field_id] = "id",
  [field_identifier] = "identifier",
  [field_image] = "image",
  [field_import_name] = "import_name",
  [field_index] = "index",
  [field_index_var] = "index_var",
  [field_left] = "left",
  [field_local_name] = "local_name",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_op] = "op",
  [field_option] = "option",
  [field_percent] = "percent",
  [field_pipe] = "pipe",
  [field_property] = "property",
  [field_range] = "range",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 2},
  [8] = {.index = 10, .length = 3},
  [9] = {.index = 13, .length = 1},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [17] = {.index = 27, .length = 2},
  [18] = {.index = 29, .length = 1},
  [19] = {.index = 30, .length = 2},
  [20] = {.index = 32, .length = 3},
  [21] = {.index = 35, .length = 1},
  [22] = {.index = 36, .length = 2},
  [23] = {.index = 38, .length = 1},
  [24] = {.index = 39, .length = 1},
  [25] = {.index = 40, .length = 2},
  [26] = {.index = 42, .length = 1},
  [27] = {.index = 43, .length = 2},
  [28] = {.index = 45, .length = 3},
  [29] = {.index = 48, .length = 2},
  [30] = {.index = 50, .length = 2},
  [31] = {.index = 52, .length = 1},
  [32] = {.index = 53, .length = 2},
  [33] = {.index = 55, .length = 2},
  [34] = {.index = 57, .length = 1},
  [35] = {.index = 58, .length = 4},
  [36] = {.index = 62, .length = 2},
  [37] = {.index = 64, .length = 2},
  [38] = {.index = 66, .length = 1},
  [39] = {.index = 67, .length = 2},
  [40] = {.index = 69, .length = 3},
  [41] = {.index = 72, .length = 3},
  [42] = {.index = 75, .length = 2},
  [43] = {.index = 77, .length = 2},
  [44] = {.index = 79, .length = 3},
  [45] = {.index = 82, .length = 3},
  [46] = {.index = 85, .length = 4},
  [47] = {.index = 89, .length = 4},
  [48] = {.index = 93, .length = 3},
  [49] = {.index = 96, .length = 2},
  [50] = {.index = 98, .length = 3},
  [51] = {.index = 101, .length = 2},
  [52] = {.index = 103, .length = 2},
  [53] = {.index = 105, .length = 3},
  [54] = {.index = 108, .length = 2},
  [55] = {.index = 110, .length = 2},
  [56] = {.index = 112, .length = 2},
  [57] = {.index = 114, .length = 2},
  [58] = {.index = 116, .length = 2},
  [59] = {.index = 118, .length = 5},
  [60] = {.index = 123, .length = 3},
  [61] = {.index = 126, .length = 3},
  [62] = {.index = 129, .length = 3},
  [63] = {.index = 132, .length = 2},
  [64] = {.index = 134, .length = 3},
  [65] = {.index = 137, .length = 3},
  [66] = {.index = 140, .length = 4},
  [67] = {.index = 144, .length = 4},
  [68] = {.index = 148, .length = 5},
  [69] = {.index = 153, .length = 5},
  [70] = {.index = 158, .length = 3},
  [71] = {.index = 161, .length = 6},
  [72] = {.index = 167, .length = 6},
  [73] = {.index = 173, .length = 6},
  [74] = {.index = 179, .length = 7},
  [75] = {.index = 186, .length = 7},
  [76] = {.index = 193, .length = 7},
  [77] = {.index = 200, .length = 7},
  [78] = {.index = 207, .length = 7},
  [79] = {.index = 214, .length = 5},
  [80] = {.index = 219, .length = 5},
  [81] = {.index = 224, .length = 8},
  [82] = {.index = 232, .length = 8},
  [83] = {.index = 240, .length = 6},
  [84] = {.index = 246, .length = 7},
  [85] = {.index = 253, .length = 7},
  [86] = {.index = 260, .length = 8},
  [87] = {.index = 268, .length = 9},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_local_name, 0},
  [1] =
    {field_import_name, 0},
  [2] =
    {field_name, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_base_type, 2},
    {field_name, 0},
  [6] =
    {field_export_name, 2},
    {field_local_name, 0},
  [8] =
    {field_import_name, 0},
    {field_local_name, 2},
  [10] =
    {field_left, 0, .inherited = true},
    {field_op, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [13] =
    {field_name, 0},
  [14] =
    {field_arguments, 1},
    {field_name, 0},
  [16] =
    {field_type, 0},
  [17] =
    {field_base_type, 3},
    {field_name, 1},
  [19] =
    {field_left, 1},
    {field_op, 0},
  [21] =
    {field_action, 2},
    {field_name, 0},
  [23] =
    {field_property, 0},
    {field_value, 2},
  [25] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [27] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [29] =
    {field_left, 1},
  [30] =
    {field_base, 0},
    {field_member, 2},
  [32] =
    {field_left, 0},
    {field_op, 1},
    {field_right, 2},
  [35] =
    {field_type, 1},
  [36] =
    {field_name, 2},
    {field_type, 1, .inherited = true},
  [38] =
    {field_name, 2, .inherited = true},
  [39] =
    {field_condition, 1},
  [40] =
    {field_arguments, 2, .inherited = true},
    {field_name, 1},
  [42] =
    {field_name, 2},
  [43] =
    {field_id, 0},
    {field_type, 2},
  [45] =
    {field_property, 0},
    {field_value, 2},
    {field_value, 3},
  [48] =
    {field_alias, 2},
    {field_name, 0},
  [50] =
    {field_name, 1},
    {field_type, 3},
  [52] =
    {field_message, 2},
  [53] =
    {field_image, 2},
    {field_name, 0},
  [55] =
    {field_index, 2},
    {field_left, 0},
  [57] =
    {field_binding, 0},
  [58] =
    {field_binding, 4, .inherited = true},
    {field_binding_op, 3},
    {field_name, 2},
    {field_type, 1, .inherited = true},
  [62] =
    {field_alias, 3},
    {field_name, 1},
  [64] =
    {field_index_var, 2},
    {field_name, 0},
  [66] =
    {field_arguments, 1},
  [67] =
    {field_name, 1},
    {field_return_type, 3},
  [69] =
    {field_name, 0, .inherited = true},
    {field_op, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [72] =
    {field_name, 0, .inherited = true},
    {field_op, 0, .inherited = true},
    {field_value, 1},
  [75] =
    {field_name, 0},
    {field_op, 1},
  [77] =
    {field_arguments, 3, .inherited = true},
    {field_name, 2},
  [79] =
    {field_name, 3},
    {field_type, 2, .inherited = true},
    {field_visibility, 0},
  [82] =
    {field_alias, 3},
    {field_name, 1},
    {field_visibility, 0},
  [85] =
    {field_name, 1},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_type, 4, .inherited = true},
  [89] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [93] =
    {field_condition, 0},
    {field_left, 2},
    {field_right, 4},
  [96] =
    {field_binding, 0},
    {field_binding, 1},
  [98] =
    {field_binding_op, 3},
    {field_name, 2},
    {field_type, 1, .inherited = true},
  [101] =
    {field_identifier, 1},
    {field_range, 3},
  [103] =
    {field_arguments, 1},
    {field_arguments, 2},
  [105] =
    {field_arguments, 2, .inherited = true},
    {field_name, 1},
    {field_return_type, 4},
  [108] =
    {field_value, 0},
    {field_value, 1},
  [110] =
    {field_binding, 2, .inherited = true},
    {field_name, 0},
  [112] =
    {field_name, 0},
    {field_type, 2},
  [114] =
    {field_alias, 4},
    {field_name, 2},
  [116] =
    {field_name, 2},
    {field_return_type, 4},
  [118] =
    {field_binding, 5, .inherited = true},
    {field_binding_op, 4},
    {field_name, 3},
    {field_type, 2, .inherited = true},
    {field_visibility, 0},
  [123] =
    {field_alias, 4},
    {field_name, 2},
    {field_visibility, 0},
  [126] =
    {field_arguments, 3},
    {field_arguments, 4},
    {field_message, 2},
  [129] =
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [132] =
    {field_expression, 2},
    {field_option, 0},
  [134] =
    {field_arguments, 1},
    {field_arguments, 2},
    {field_arguments, 3},
  [137] =
    {field_arguments, 3, .inherited = true},
    {field_name, 2},
    {field_return_type, 5},
  [140] =
    {field_binding_op, 4},
    {field_name, 3},
    {field_type, 2, .inherited = true},
    {field_visibility, 0},
  [144] =
    {field_arguments, 3},
    {field_arguments, 4},
    {field_arguments, 5},
    {field_message, 2},
  [148] =
    {field_arguments, 3},
    {field_arguments, 4},
    {field_arguments, 5},
    {field_arguments, 6},
    {field_message, 2},
  [153] =
    {field_arguments, 5},
    {field_arguments, 6},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [158] =
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [161] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
  [167] =
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
    {field_type, 2},
  [173] =
    {field_arguments, 5},
    {field_arguments, 6},
    {field_arguments, 7},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [179] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_arguments, 7},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
  [186] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
  [193] =
    {field_arguments, 3},
    {field_arguments, 7},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
    {field_type, 2},
  [200] =
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
    {field_type, 2},
  [207] =
    {field_arguments, 5},
    {field_arguments, 6},
    {field_arguments, 7},
    {field_arguments, 8},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [214] =
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
  [219] =
    {field_arguments, 7},
    {field_arguments, 8},
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [224] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_arguments, 8},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
  [232] =
    {field_arguments, 3},
    {field_arguments, 8},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
    {field_type, 2},
  [240] =
    {field_arguments, 7},
    {field_arguments, 8},
    {field_arguments, 9},
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [246] =
    {field_arguments, 9},
    {field_arguments, 10},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
  [253] =
    {field_arguments, 7},
    {field_arguments, 8},
    {field_arguments, 9},
    {field_arguments, 10},
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [260] =
    {field_arguments, 9},
    {field_arguments, 10},
    {field_arguments, 11},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
  [268] =
    {field_arguments, 9},
    {field_arguments, 10},
    {field_arguments, 11},
    {field_arguments, 12},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 7,
  [9] = 9,
  [10] = 9,
  [11] = 7,
  [12] = 9,
  [13] = 9,
  [14] = 14,
  [15] = 7,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 19,
  [22] = 22,
  [23] = 23,
  [24] = 22,
  [25] = 23,
  [26] = 20,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 31,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 33,
  [39] = 37,
  [40] = 40,
  [41] = 41,
  [42] = 27,
  [43] = 30,
  [44] = 40,
  [45] = 45,
  [46] = 40,
  [47] = 28,
  [48] = 36,
  [49] = 49,
  [50] = 35,
  [51] = 41,
  [52] = 29,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 55,
  [59] = 56,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 60,
  [66] = 61,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 57,
  [71] = 63,
  [72] = 72,
  [73] = 64,
  [74] = 62,
  [75] = 75,
  [76] = 53,
  [77] = 68,
  [78] = 72,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 85,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 96,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 98,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 79,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 89,
  [114] = 101,
  [115] = 88,
  [116] = 99,
  [117] = 105,
  [118] = 108,
  [119] = 87,
  [120] = 94,
  [121] = 121,
  [122] = 122,
  [123] = 96,
  [124] = 124,
  [125] = 107,
  [126] = 126,
  [127] = 124,
  [128] = 81,
  [129] = 124,
  [130] = 80,
  [131] = 131,
  [132] = 97,
  [133] = 110,
  [134] = 88,
  [135] = 106,
  [136] = 103,
  [137] = 95,
  [138] = 91,
  [139] = 83,
  [140] = 110,
  [141] = 93,
  [142] = 92,
  [143] = 82,
  [144] = 83,
  [145] = 91,
  [146] = 95,
  [147] = 103,
  [148] = 106,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 229,
  [231] = 229,
  [232] = 228,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 234,
  [243] = 243,
  [244] = 235,
  [245] = 245,
  [246] = 237,
  [247] = 236,
  [248] = 240,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 239,
  [257] = 238,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 267,
  [269] = 267,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 270,
  [274] = 270,
  [275] = 270,
  [276] = 271,
  [277] = 228,
  [278] = 150,
  [279] = 149,
  [280] = 228,
  [281] = 161,
  [282] = 152,
  [283] = 156,
  [284] = 192,
  [285] = 165,
  [286] = 163,
  [287] = 162,
  [288] = 158,
  [289] = 157,
  [290] = 224,
  [291] = 164,
  [292] = 208,
  [293] = 155,
  [294] = 159,
  [295] = 154,
  [296] = 166,
  [297] = 160,
  [298] = 153,
  [299] = 200,
  [300] = 190,
  [301] = 215,
  [302] = 184,
  [303] = 205,
  [304] = 204,
  [305] = 196,
  [306] = 228,
  [307] = 176,
  [308] = 189,
  [309] = 186,
  [310] = 183,
  [311] = 220,
  [312] = 181,
  [313] = 195,
  [314] = 187,
  [315] = 182,
  [316] = 221,
  [317] = 180,
  [318] = 217,
  [319] = 209,
  [320] = 179,
  [321] = 198,
  [322] = 199,
  [323] = 202,
  [324] = 178,
  [325] = 203,
  [326] = 167,
  [327] = 175,
  [328] = 174,
  [329] = 218,
  [330] = 219,
  [331] = 222,
  [332] = 223,
  [333] = 225,
  [334] = 210,
  [335] = 211,
  [336] = 172,
  [337] = 212,
  [338] = 188,
  [339] = 213,
  [340] = 171,
  [341] = 194,
  [342] = 177,
  [343] = 168,
  [344] = 193,
  [345] = 206,
  [346] = 197,
  [347] = 173,
  [348] = 201,
  [349] = 214,
  [350] = 169,
  [351] = 170,
  [352] = 207,
  [353] = 191,
  [354] = 150,
  [355] = 149,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 363,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 369,
  [374] = 374,
  [375] = 364,
  [376] = 376,
  [377] = 377,
  [378] = 370,
  [379] = 165,
  [380] = 163,
  [381] = 157,
  [382] = 162,
  [383] = 158,
  [384] = 152,
  [385] = 156,
  [386] = 164,
  [387] = 387,
  [388] = 387,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 394,
  [396] = 396,
  [397] = 392,
  [398] = 398,
  [399] = 391,
  [400] = 400,
  [401] = 398,
  [402] = 393,
  [403] = 396,
  [404] = 227,
  [405] = 405,
  [406] = 405,
  [407] = 390,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 408,
  [414] = 411,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 233,
  [423] = 415,
  [424] = 417,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 417,
  [430] = 430,
  [431] = 431,
  [432] = 426,
  [433] = 418,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 435,
  [440] = 440,
  [441] = 416,
  [442] = 437,
  [443] = 443,
  [444] = 440,
  [445] = 435,
  [446] = 431,
  [447] = 436,
  [448] = 421,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 451,
  [455] = 455,
  [456] = 453,
  [457] = 457,
  [458] = 457,
  [459] = 234,
  [460] = 460,
  [461] = 450,
  [462] = 245,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 254,
  [468] = 255,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 239,
  [490] = 490,
  [491] = 491,
  [492] = 235,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 234,
  [518] = 245,
  [519] = 480,
  [520] = 239,
  [521] = 469,
  [522] = 503,
  [523] = 255,
  [524] = 476,
  [525] = 479,
  [526] = 475,
  [527] = 483,
  [528] = 484,
  [529] = 495,
  [530] = 486,
  [531] = 505,
  [532] = 482,
  [533] = 473,
  [534] = 506,
  [535] = 488,
  [536] = 498,
  [537] = 507,
  [538] = 254,
  [539] = 465,
  [540] = 493,
  [541] = 471,
  [542] = 466,
  [543] = 491,
  [544] = 472,
  [545] = 487,
  [546] = 508,
  [547] = 496,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 235,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 557,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 559,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 501,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 583,
  [585] = 581,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 590,
  [597] = 597,
  [598] = 598,
  [599] = 597,
  [600] = 598,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 602,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 604,
  [617] = 617,
  [618] = 607,
  [619] = 609,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 624,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 626,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 632,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 620,
  [647] = 647,
  [648] = 648,
  [649] = 635,
  [650] = 644,
  [651] = 631,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 249,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 654,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 655,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 658,
  [680] = 680,
  [681] = 665,
  [682] = 682,
  [683] = 683,
  [684] = 258,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 682,
  [704] = 683,
  [705] = 664,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 670,
  [715] = 715,
  [716] = 693,
  [717] = 250,
  [718] = 718,
  [719] = 712,
  [720] = 698,
  [721] = 721,
  [722] = 706,
  [723] = 661,
  [724] = 678,
  [725] = 725,
  [726] = 726,
  [727] = 671,
  [728] = 728,
  [729] = 694,
  [730] = 725,
  [731] = 728,
  [732] = 732,
  [733] = 715,
  [734] = 734,
  [735] = 735,
  [736] = 699,
  [737] = 696,
  [738] = 707,
  [739] = 739,
  [740] = 740,
  [741] = 721,
  [742] = 742,
  [743] = 743,
  [744] = 697,
  [745] = 695,
  [746] = 746,
  [747] = 747,
  [748] = 680,
  [749] = 709,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 490,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 758,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 776,
  [781] = 781,
  [782] = 761,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 470,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 757,
  [794] = 794,
  [795] = 494,
  [796] = 794,
  [797] = 797,
  [798] = 775,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 752,
  [804] = 786,
  [805] = 805,
  [806] = 784,
  [807] = 807,
  [808] = 765,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 771,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 814,
  [824] = 824,
  [825] = 825,
  [826] = 781,
  [827] = 827,
  [828] = 828,
  [829] = 765,
  [830] = 830,
  [831] = 754,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 841,
  [853] = 853,
  [854] = 853,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 850,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 857,
  [886] = 875,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 846,
  [892] = 849,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 881,
  [898] = 898,
  [899] = 855,
  [900] = 844,
  [901] = 834,
  [902] = 840,
  [903] = 872,
  [904] = 867,
  [905] = 862,
  [906] = 858,
  [907] = 833,
  [908] = 845,
  [909] = 909,
  [910] = 848,
  [911] = 895,
  [912] = 912,
  [913] = 874,
  [914] = 884,
  [915] = 871,
  [916] = 896,
  [917] = 917,
  [918] = 909,
  [919] = 876,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(429);
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '%') ADVANCE(988);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(515);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(454);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(445);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(99);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == '\\') ADVANCE(540);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'a') ADVANCE(254);
      if (lookahead == 'b') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(42);
      if (lookahead == 'd') ADVANCE(122);
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'g') ADVANCE(231);
      if (lookahead == 'i') ADVANCE(165);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(248);
      if (lookahead == 'n') ADVANCE(542);
      if (lookahead == 'o') ADVANCE(397);
      if (lookahead == 'p') ADVANCE(58);
      if (lookahead == 'r') ADVANCE(46);
      if (lookahead == 's') ADVANCE(983);
      if (lookahead == 't') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(421);
      if (lookahead == 'w') ADVANCE(185);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '%') ADVANCE(988);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(847);
      if (lookahead == 'e') ADVANCE(549);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(643);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'p') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(631);
      if (lookahead == 's') ADVANCE(629);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '%') ADVANCE(988);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(704);
      if (lookahead == 'd') ADVANCE(619);
      if (lookahead == 'e') ADVANCE(549);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'g') ADVANCE(783);
      if (lookahead == 'i') ADVANCE(641);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'm') ADVANCE(703);
      if (lookahead == 'p') ADVANCE(560);
      if (lookahead == 'r') ADVANCE(551);
      if (lookahead == 's') ADVANCE(984);
      if (lookahead == 't') ADVANCE(780);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(847);
      if (lookahead == 'e') ADVANCE(549);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(643);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'p') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(631);
      if (lookahead == 's') ADVANCE(629);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(847);
      if (lookahead == 'e') ADVANCE(549);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(643);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'p') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(631);
      if (lookahead == 's') ADVANCE(629);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(847);
      if (lookahead == 'e') ADVANCE(549);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(714);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'o') ADVANCE(856);
      if (lookahead == 'p') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(750);
      if (lookahead == 's') ADVANCE(629);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '%') ADVANCE(988);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'c') ADVANCE(247);
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'g') ADVANCE(339);
      if (lookahead == 'i') ADVANCE(255);
      if (lookahead == 'm') ADVANCE(248);
      if (lookahead == 'p') ADVANCE(183);
      if (lookahead == 'r') ADVANCE(47);
      if (lookahead == 's') ADVANCE(982);
      if (lookahead == 't') ADVANCE(401);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10)
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '%') ADVANCE(988);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(247);
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'g') ADVANCE(339);
      if (lookahead == 'i') ADVANCE(255);
      if (lookahead == 'm') ADVANCE(248);
      if (lookahead == 'p') ADVANCE(183);
      if (lookahead == 'r') ADVANCE(47);
      if (lookahead == 's') ADVANCE(982);
      if (lookahead == 't') ADVANCE(401);
      if (lookahead == '|') ADVANCE(422);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'a') ADVANCE(719);
      if (lookahead == 'b') ADVANCE(756);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(855);
      if (lookahead == 'e') ADVANCE(574);
      if (lookahead == 'f') ADVANCE(692);
      if (lookahead == 'i') ADVANCE(706);
      if (lookahead == 'l') ADVANCE(634);
      if (lookahead == 'p') ADVANCE(638);
      if (lookahead == 'r') ADVANCE(632);
      if (lookahead == 's') ADVANCE(836);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(515);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(445);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'i') ADVANCE(256);
      if (lookahead == 'o') ADVANCE(397);
      if (lookahead == 'w') ADVANCE(185);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10)
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == '|') ADVANCE(422);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '9') ADVANCE(358);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(98);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'a') ADVANCE(727);
      if (lookahead == 'c') ADVANCE(562);
      if (lookahead == 'f') ADVANCE(755);
      if (lookahead == 'i') ADVANCE(642);
      if (lookahead == 'o') ADVANCE(856);
      if (lookahead == 'p') ADVANCE(777);
      if (lookahead == 's') ADVANCE(833);
      if (lookahead == 't') ADVANCE(784);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'i') ADVANCE(256);
      if (lookahead == 'o') ADVANCE(397);
      if (lookahead == '|') ADVANCE(422);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13)
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '*') ADVANCE(518);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(37);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(562);
      if (lookahead == 'f') ADVANCE(853);
      if (lookahead == 'i') ADVANCE(716);
      if (lookahead == 'o') ADVANCE(856);
      if (lookahead == 'p') ADVANCE(777);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(511);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(424);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == ':') ADVANCE(454);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'c') ADVANCE(847);
      if (lookahead == 'e') ADVANCE(549);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'p') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(750);
      if (lookahead == 's') ADVANCE(629);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(490);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(511);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == '+') ADVANCE(516);
      if (lookahead == '-') ADVANCE(513);
      if (lookahead == '.') ADVANCE(424);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '@') ADVANCE(187);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == 'c') ADVANCE(847);
      if (lookahead == 'e') ADVANCE(548);
      if (lookahead == 'f') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(643);
      if (lookahead == 'l') ADVANCE(676);
      if (lookahead == 'p') ADVANCE(561);
      if (lookahead == 'r') ADVANCE(631);
      if (lookahead == 's') ADVANCE(629);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '/') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(540);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(537);
      if (lookahead != 0) ADVANCE(539);
      END_STATE();
    case 18:
      if (lookahead == '&') ADVANCE(495);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == ':') ADVANCE(36);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'a') ADVANCE(347);
      if (lookahead == 'i') ADVANCE(287);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(992);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(991);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == 'a') ADVANCE(727);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(167);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(86);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(175);
      if (lookahead == '_') ADVANCE(177);
      END_STATE();
    case 28:
      if (lookahead == '-') ADVANCE(103);
      END_STATE();
    case 29:
      if (lookahead == '-') ADVANCE(405);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(355);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(237);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(178);
      if (lookahead == '_') ADVANCE(179);
      END_STATE();
    case 33:
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == 'f') ADVANCE(853);
      if (lookahead == 'p') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 34:
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == 'p') ADVANCE(789);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 35:
      if (lookahead == '=') ADVANCE(526);
      END_STATE();
    case 36:
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 37:
      if (lookahead == '=') ADVANCE(525);
      END_STATE();
    case 38:
      if (lookahead == '=') ADVANCE(41);
      END_STATE();
    case 39:
      if (lookahead == '>') ADVANCE(500);
      END_STATE();
    case 40:
      if (lookahead == '>') ADVANCE(489);
      END_STATE();
    case 41:
      if (lookahead == '>') ADVANCE(455);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(233);
      if (lookahead == 'i') ADVANCE(321);
      if (lookahead == 'm') ADVANCE(980);
      if (lookahead == 'o') ADVANCE(232);
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(233);
      if (lookahead == 'i') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(232);
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(350);
      if (lookahead == 'l') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(399);
      if (lookahead == 'x') ADVANCE(317);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(112);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(112);
      if (lookahead == 'e') ADVANCE(240);
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(112);
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'i') ADVANCE(275);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(239);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'o') ADVANCE(322);
      if (lookahead == 'r') ADVANCE(299);
      if (lookahead == 'u') ADVANCE(264);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(116);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(416);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(114);
      if (lookahead == 'i') ADVANCE(279);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(385);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(115);
      if (lookahead == 'i') ADVANCE(286);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(267);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(363);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(340);
      if (lookahead == 'e') ADVANCE(327);
      if (lookahead == 'h') ADVANCE(415);
      if (lookahead == 'r') ADVANCE(188);
      if (lookahead == 't' ||
          lookahead == 'x') ADVANCE(980);
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(340);
      if (lookahead == 'e') ADVANCE(327);
      if (lookahead == 'h') ADVANCE(418);
      if (lookahead == 'r') ADVANCE(188);
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(389);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(100);
      if (lookahead == 'o') ADVANCE(406);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(225);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(101);
      if (lookahead == 'o') ADVANCE(408);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(246);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(324);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(229);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(102);
      if (lookahead == 'o') ADVANCE(410);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(174);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(117);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(386);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(390);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(359);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(396);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(360);
      END_STATE();
    case 79:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 81:
      if (lookahead == 'b') ADVANCE(63);
      if (lookahead == 'c') ADVANCE(199);
      if (lookahead == 'e') ADVANCE(235);
      if (lookahead == 'o') ADVANCE(404);
      if (lookahead == 'q') ADVANCE(398);
      if (lookahead == 's') ADVANCE(204);
      END_STATE();
    case 82:
      if (lookahead == 'b') ADVANCE(191);
      END_STATE();
    case 83:
      if (lookahead == 'b') ADVANCE(64);
      END_STATE();
    case 84:
      if (lookahead == 'b') ADVANCE(242);
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 85:
      if (lookahead == 'b') ADVANCE(62);
      END_STATE();
    case 86:
      if (lookahead == 'b') ADVANCE(134);
      END_STATE();
    case 87:
      if (lookahead == 'b') ADVANCE(65);
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 'e') ADVANCE(244);
      if (lookahead == 'q') ADVANCE(407);
      if (lookahead == 's') ADVANCE(208);
      END_STATE();
    case 88:
      if (lookahead == 'b') ADVANCE(70);
      if (lookahead == 'c') ADVANCE(202);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == 'q') ADVANCE(409);
      if (lookahead == 's') ADVANCE(210);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(26);
      END_STATE();
    case 90:
      if (lookahead == 'c') ADVANCE(503);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(219);
      END_STATE();
    case 92:
      if (lookahead == 'c') ADVANCE(938);
      END_STATE();
    case 93:
      if (lookahead == 'c') ADVANCE(940);
      END_STATE();
    case 94:
      if (lookahead == 'c') ADVANCE(944);
      END_STATE();
    case 95:
      if (lookahead == 'c') ADVANCE(942);
      END_STATE();
    case 96:
      if (lookahead == 'c') ADVANCE(946);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(948);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == 'r') ADVANCE(51);
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 100:
      if (lookahead == 'c') ADVANCE(220);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(221);
      END_STATE();
    case 102:
      if (lookahead == 'c') ADVANCE(222);
      END_STATE();
    case 103:
      if (lookahead == 'c') ADVANCE(302);
      END_STATE();
    case 104:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(138);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(236);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(68);
      END_STATE();
    case 111:
      if (lookahead == 'c') ADVANCE(395);
      END_STATE();
    case 112:
      if (lookahead == 'd') ADVANCE(986);
      END_STATE();
    case 113:
      if (lookahead == 'd') ADVANCE(894);
      if (lookahead == 'r') ADVANCE(371);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(896);
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 115:
      if (lookahead == 'd') ADVANCE(898);
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 116:
      if (lookahead == 'd') ADVANCE(205);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(213);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(341);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(215);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(216);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(217);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(169);
      if (lookahead == 'u') ADVANCE(328);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(241);
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(901);
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(501);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(973);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(884);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(975);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(888);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(963);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(505);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(419);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(926);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(928);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(950);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(952);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(930);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(954);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(890);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(29);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(227);
      if (lookahead == 'u') ADVANCE(328);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 162:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(343);
      END_STATE();
    case 165:
      if (lookahead == 'f') ADVANCE(480);
      if (lookahead == 'm') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(461);
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 166:
      if (lookahead == 'f') ADVANCE(968);
      END_STATE();
    case 167:
      if (lookahead == 'f') ADVANCE(311);
      END_STATE();
    case 168:
      if (lookahead == 'g') ADVANCE(986);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(986);
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 170:
      if (lookahead == 'g') ADVANCE(478);
      END_STATE();
    case 171:
      if (lookahead == 'g') ADVANCE(234);
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 172:
      if (lookahead == 'g') ADVANCE(383);
      END_STATE();
    case 173:
      if (lookahead == 'g') ADVANCE(130);
      END_STATE();
    case 174:
      if (lookahead == 'g') ADVANCE(144);
      END_STATE();
    case 175:
      if (lookahead == 'g') ADVANCE(342);
      END_STATE();
    case 176:
      if (lookahead == 'g') ADVANCE(384);
      END_STATE();
    case 177:
      if (lookahead == 'g') ADVANCE(344);
      END_STATE();
    case 178:
      if (lookahead == 'g') ADVANCE(345);
      END_STATE();
    case 179:
      if (lookahead == 'g') ADVANCE(346);
      END_STATE();
    case 180:
      if (lookahead == 'h') ADVANCE(878);
      END_STATE();
    case 181:
      if (lookahead == 'h') ADVANCE(882);
      END_STATE();
    case 182:
      if (lookahead == 'h') ADVANCE(880);
      END_STATE();
    case 183:
      if (lookahead == 'h') ADVANCE(414);
      if (lookahead == 't' ||
          lookahead == 'x') ADVANCE(980);
      END_STATE();
    case 184:
      if (lookahead == 'h') ADVANCE(195);
      END_STATE();
    case 185:
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 186:
      if (lookahead == 'h') ADVANCE(155);
      END_STATE();
    case 187:
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == 'r') ADVANCE(51);
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 188:
      if (lookahead == 'i') ADVANCE(413);
      if (lookahead == 'o') ADVANCE(316);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(412);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(420);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 192:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(90);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(310);
      END_STATE();
    case 195:
      if (lookahead == 'i') ADVANCE(228);
      END_STATE();
    case 196:
      if (lookahead == 'i') ADVANCE(260);
      if (lookahead == 'o') ADVANCE(403);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 198:
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(336);
      END_STATE();
    case 202:
      if (lookahead == 'i') ADVANCE(338);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(388);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 206:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 207:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 208:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 209:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(280);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(391);
      END_STATE();
    case 215:
      if (lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(162);
      END_STATE();
    case 218:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 219:
      if (lookahead == 'k') ADVANCE(498);
      END_STATE();
    case 220:
      if (lookahead == 'k') ADVANCE(932);
      END_STATE();
    case 221:
      if (lookahead == 'k') ADVANCE(934);
      END_STATE();
    case 222:
      if (lookahead == 'k') ADVANCE(936);
      END_STATE();
    case 223:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 224:
      if (lookahead == 'l') ADVANCE(873);
      END_STATE();
    case 225:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 227:
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 228:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(31);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(297);
      if (lookahead == 'r') ADVANCE(45);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(304);
      if (lookahead == 'm') ADVANCE(312);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(61);
      if (lookahead == 'x') ADVANCE(313);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(131);
      END_STATE();
    case 237:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(354);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(73);
      if (lookahead == 'm') ADVANCE(989);
      if (lookahead == 't') ADVANCE(402);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(73);
      if (lookahead == 't') ADVANCE(402);
      END_STATE();
    case 242:
      if (lookahead == 'l') ADVANCE(193);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 244:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'x') ADVANCE(314);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(78);
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(32);
      END_STATE();
    case 247:
      if (lookahead == 'm') ADVANCE(980);
      END_STATE();
    case 248:
      if (lookahead == 'm') ADVANCE(980);
      if (lookahead == 's') ADVANCE(982);
      END_STATE();
    case 249:
      if (lookahead == 'm') ADVANCE(989);
      END_STATE();
    case 250:
      if (lookahead == 'm') ADVANCE(459);
      END_STATE();
    case 251:
      if (lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 252:
      if (lookahead == 'm') ADVANCE(71);
      END_STATE();
    case 253:
      if (lookahead == 'm') ADVANCE(60);
      END_STATE();
    case 254:
      if (lookahead == 'n') ADVANCE(171);
      if (lookahead == 's') ADVANCE(439);
      END_STATE();
    case 255:
      if (lookahead == 'n') ADVANCE(980);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(986);
      END_STATE();
    case 258:
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 260:
      if (lookahead == 'n') ADVANCE(902);
      END_STATE();
    case 261:
      if (lookahead == 'n') ADVANCE(475);
      END_STATE();
    case 262:
      if (lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(958);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(111);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 267:
      if (lookahead == 'n') ADVANCE(353);
      END_STATE();
    case 268:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(348);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(366);
      END_STATE();
    case 272:
      if (lookahead == 'n') ADVANCE(367);
      END_STATE();
    case 273:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 274:
      if (lookahead == 'n') ADVANCE(369);
      END_STATE();
    case 275:
      if (lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 276:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 277:
      if (lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 278:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 280:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 281:
      if (lookahead == 'n') ADVANCE(375);
      END_STATE();
    case 282:
      if (lookahead == 'n') ADVANCE(376);
      END_STATE();
    case 283:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 284:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 285:
      if (lookahead == 'n') ADVANCE(379);
      END_STATE();
    case 286:
      if (lookahead == 'n') ADVANCE(381);
      END_STATE();
    case 287:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 289:
      if (lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 291:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 293:
      if (lookahead == 'o') ADVANCE(301);
      if (lookahead == 'r') ADVANCE(400);
      END_STATE();
    case 294:
      if (lookahead == 'o') ADVANCE(920);
      END_STATE();
    case 295:
      if (lookahead == 'o') ADVANCE(922);
      END_STATE();
    case 296:
      if (lookahead == 'o') ADVANCE(924);
      END_STATE();
    case 297:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 298:
      if (lookahead == 'o') ADVANCE(362);
      END_STATE();
    case 299:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 300:
      if (lookahead == 'o') ADVANCE(57);
      END_STATE();
    case 301:
      if (lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 302:
      if (lookahead == 'o') ADVANCE(411);
      END_STATE();
    case 303:
      if (lookahead == 'o') ADVANCE(291);
      END_STATE();
    case 304:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 305:
      if (lookahead == 'o') ADVANCE(330);
      END_STATE();
    case 306:
      if (lookahead == 'o') ADVANCE(331);
      END_STATE();
    case 307:
      if (lookahead == 'o') ADVANCE(261);
      END_STATE();
    case 308:
      if (lookahead == 'o') ADVANCE(262);
      END_STATE();
    case 309:
      if (lookahead == 'o') ADVANCE(269);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 311:
      if (lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 312:
      if (lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 313:
      if (lookahead == 'p') ADVANCE(294);
      END_STATE();
    case 314:
      if (lookahead == 'p') ADVANCE(295);
      END_STATE();
    case 315:
      if (lookahead == 'p') ADVANCE(296);
      END_STATE();
    case 316:
      if (lookahead == 'p') ADVANCE(153);
      END_STATE();
    case 317:
      if (lookahead == 'p') ADVANCE(305);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 319:
      if (lookahead == 'r') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(329);
      END_STATE();
    case 320:
      if (lookahead == 'r') ADVANCE(488);
      END_STATE();
    case 321:
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 322:
      if (lookahead == 'r') ADVANCE(484);
      END_STATE();
    case 323:
      if (lookahead == 'r') ADVANCE(876);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(892);
      END_STATE();
    case 325:
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 326:
      if (lookahead == 'r') ADVANCE(956);
      END_STATE();
    case 327:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 328:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 330:
      if (lookahead == 'r') ADVANCE(364);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(365);
      END_STATE();
    case 332:
      if (lookahead == 'r') ADVANCE(259);
      END_STATE();
    case 333:
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 334:
      if (lookahead == 'r') ADVANCE(382);
      END_STATE();
    case 335:
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 336:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 338:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 339:
      if (lookahead == 'r') ADVANCE(45);
      END_STATE();
    case 340:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 341:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 342:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 343:
      if (lookahead == 'r') ADVANCE(77);
      END_STATE();
    case 344:
      if (lookahead == 'r') ADVANCE(76);
      END_STATE();
    case 345:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 346:
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 347:
      if (lookahead == 's') ADVANCE(439);
      END_STATE();
    case 348:
      if (lookahead == 's') ADVANCE(466);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(443);
      END_STATE();
    case 350:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 351:
      if (lookahead == 's') ADVANCE(180);
      END_STATE();
    case 352:
      if (lookahead == 's') ADVANCE(125);
      END_STATE();
    case 353:
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 354:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 355:
      if (lookahead == 's') ADVANCE(190);
      END_STATE();
    case 356:
      if (lookahead == 's') ADVANCE(392);
      END_STATE();
    case 357:
      if (lookahead == 's') ADVANCE(192);
      END_STATE();
    case 358:
      if (lookahead == 's') ADVANCE(243);
      END_STATE();
    case 359:
      if (lookahead == 's') ADVANCE(393);
      END_STATE();
    case 360:
      if (lookahead == 's') ADVANCE(394);
      END_STATE();
    case 361:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 362:
      if (lookahead == 't') ADVANCE(966);
      END_STATE();
    case 363:
      if (lookahead == 't') ADVANCE(871);
      END_STATE();
    case 364:
      if (lookahead == 't') ADVANCE(430);
      END_STATE();
    case 365:
      if (lookahead == 't') ADVANCE(435);
      END_STATE();
    case 366:
      if (lookahead == 't') ADVANCE(964);
      END_STATE();
    case 367:
      if (lookahead == 't') ADVANCE(886);
      END_STATE();
    case 368:
      if (lookahead == 't') ADVANCE(904);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(441);
      END_STATE();
    case 370:
      if (lookahead == 't') ADVANCE(906);
      END_STATE();
    case 371:
      if (lookahead == 't') ADVANCE(908);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(914);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(910);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(916);
      END_STATE();
    case 375:
      if (lookahead == 't') ADVANCE(477);
      END_STATE();
    case 376:
      if (lookahead == 't') ADVANCE(959);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(960);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(961);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(962);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(912);
      END_STATE();
    case 381:
      if (lookahead == 't') ADVANCE(918);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(417);
      END_STATE();
    case 383:
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(30);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(349);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(133);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 397:
      if (lookahead == 'u') ADVANCE(361);
      END_STATE();
    case 398:
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 399:
      if (lookahead == 'u') ADVANCE(250);
      END_STATE();
    case 400:
      if (lookahead == 'u') ADVANCE(351);
      END_STATE();
    case 401:
      if (lookahead == 'u') ADVANCE(329);
      END_STATE();
    case 402:
      if (lookahead == 'u') ADVANCE(332);
      END_STATE();
    case 403:
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 404:
      if (lookahead == 'u') ADVANCE(370);
      END_STATE();
    case 405:
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 406:
      if (lookahead == 'u') ADVANCE(273);
      END_STATE();
    case 407:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 408:
      if (lookahead == 'u') ADVANCE(289);
      END_STATE();
    case 409:
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 410:
      if (lookahead == 'u') ADVANCE(290);
      END_STATE();
    case 411:
      if (lookahead == 'u') ADVANCE(281);
      END_STATE();
    case 412:
      if (lookahead == 'v') ADVANCE(146);
      END_STATE();
    case 413:
      if (lookahead == 'v') ADVANCE(74);
      END_STATE();
    case 414:
      if (lookahead == 'x') ADVANCE(978);
      END_STATE();
    case 415:
      if (lookahead == 'x') ADVANCE(978);
      if (lookahead == 'y') ADVANCE(357);
      END_STATE();
    case 416:
      if (lookahead == 'y') ADVANCE(474);
      END_STATE();
    case 417:
      if (lookahead == 'y') ADVANCE(451);
      END_STATE();
    case 418:
      if (lookahead == 'y') ADVANCE(357);
      END_STATE();
    case 419:
      if (lookahead == 'z') ADVANCE(207);
      END_STATE();
    case 420:
      if (lookahead == 'z') ADVANCE(141);
      END_STATE();
    case 421:
      if (lookahead == '{') ADVANCE(426);
      END_STATE();
    case 422:
      if (lookahead == '|') ADVANCE(496);
      END_STATE();
    case 423:
      if (lookahead == '}') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(423);
      END_STATE();
    case 424:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(972);
      END_STATE();
    case 425:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(977);
      END_STATE();
    case 426:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(423);
      END_STATE();
    case 427:
      if (eof) ADVANCE(429);
      if (lookahead == '!') ADVANCE(512);
      if (lookahead == '"') ADVANCE(533);
      if (lookahead == '#') ADVANCE(425);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(515);
      if (lookahead == '.') ADVANCE(494);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(454);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(445);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '@') ADVANCE(99);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == '\\') ADVANCE(540);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'a') ADVANCE(254);
      if (lookahead == 'b') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(43);
      if (lookahead == 'd') ADVANCE(151);
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'g') ADVANCE(230);
      if (lookahead == 'i') ADVANCE(165);
      if (lookahead == 'l') ADVANCE(143);
      if (lookahead == 'n') ADVANCE(542);
      if (lookahead == 'o') ADVANCE(397);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(123);
      if (lookahead == 's') ADVANCE(145);
      if (lookahead == 't') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(421);
      if (lookahead == 'w') ADVANCE(185);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      END_STATE();
    case 428:
      if (eof) ADVANCE(429);
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(486);
      if (lookahead == ')') ADVANCE(487);
      if (lookahead == '*') ADVANCE(519);
      if (lookahead == '+') ADVANCE(517);
      if (lookahead == ',') ADVANCE(433);
      if (lookahead == '-') ADVANCE(514);
      if (lookahead == '.') ADVANCE(493);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == ':') ADVANCE(453);
      if (lookahead == ';') ADVANCE(438);
      if (lookahead == '<') ADVANCE(446);
      if (lookahead == '=') ADVANCE(528);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '?') ADVANCE(497);
      if (lookahead == '[') ADVANCE(468);
      if (lookahead == ']') ADVANCE(469);
      if (lookahead == 'c') ADVANCE(763);
      if (lookahead == 'e') ADVANCE(710);
      if (lookahead == 'g') ADVANCE(687);
      if (lookahead == 'i') ADVANCE(707);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == '{') ADVANCE(432);
      if (lookahead == '|') ADVANCE(422);
      if (lookahead == '}') ADVANCE(434);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(971);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_export);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_export);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_component);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_inherits);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(524);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(523);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(522);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_property);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_struct);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_out);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_transitions);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_transitions);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_states);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_animate);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_animate);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_delay);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_duration);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_duration);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_iteration_DASHcount);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_easing);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_easing);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_ATtr);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(496);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(972);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_logical_and);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_logical_or);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_callback);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_callback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_pure);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_pure);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_ATimage_DASHurl);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_9slice);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(526);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == '>') ADVANCE(500);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(529);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(992);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(992);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(455);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(525);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(489);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '*') ADVANCE(536);
      if (lookahead == '/') ADVANCE(538);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(539);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '*') ADVANCE(535);
      if (lookahead == '/') ADVANCE(539);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(536);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '*') ADVANCE(535);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(536);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '/') ADVANCE(534);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(537);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(539);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(539);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(538);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(539);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_n);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_in_DASHout);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(802);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(797);
      if (lookahead == 'l') ADVANCE(803);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(797);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(605);
      if (lookahead == 'i') ADVANCE(732);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(608);
      if (lookahead == 'e') ADVANCE(705);
      if (lookahead == 'o') ADVANCE(751);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(608);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(685);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(801);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(606);
      if (lookahead == 'i') ADVANCE(734);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(696);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(587);
      if (lookahead == 'o') ADVANCE(849);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(607);
      if (lookahead == 'i') ADVANCE(735);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'h') ADVANCE(864);
      if (lookahead == 't' ||
          lookahead == 'x') ADVANCE(981);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(691);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(595);
      if (lookahead == 'o') ADVANCE(860);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(771);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(596);
      if (lookahead == 'o') ADVANCE(861);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(720);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(689);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(598);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(837);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(838);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(826);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(835);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(800);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(843);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(553);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(557);
      if (lookahead == 'c') ADVANCE(662);
      if (lookahead == 'e') ADVANCE(690);
      if (lookahead == 'o') ADVANCE(854);
      if (lookahead == 'q') ADVANCE(845);
      if (lookahead == 's') ADVANCE(678);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(657);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(698);
      if (lookahead == 'r') ADVANCE(621);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(612);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(568);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(563);
      if (lookahead == 'c') ADVANCE(665);
      if (lookahead == 'e') ADVANCE(700);
      if (lookahead == 'q') ADVANCE(858);
      if (lookahead == 's') ADVANCE(679);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(565);
      if (lookahead == 'c') ADVANCE(666);
      if (lookahead == 'e') ADVANCE(701);
      if (lookahead == 'q') ADVANCE(859);
      if (lookahead == 's') ADVANCE(680);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(544);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(681);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(939);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(941);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(945);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(943);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(947);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(949);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(504);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(682);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(683);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(810);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(684);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(615);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(616);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(618);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(834);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(567);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(640);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(895);
      if (lookahead == 'r') ADVANCE(816);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(897);
      if (lookahead == 'r') ADVANCE(818);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(899);
      if (lookahead == 'r') ADVANCE(820);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(987);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(900);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(974);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(976);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(867);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(927);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(929);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(951);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(953);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(931);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(955);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(646);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(483);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(502);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(473);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(506);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(885);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(889);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(891);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(723);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(545);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(688);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(831);
      if (lookahead == 'o') ADVANCE(751);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(699);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(772);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(722);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(729);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(564);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(788);
      if (lookahead == 'h') ADVANCE(866);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(736);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(481);
      if (lookahead == 'n') ADVANCE(981);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(481);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(481);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(969);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(762);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(987);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(479);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(875);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(694);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(625);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(828);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(829);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(879);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(883);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(881);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(863);
      if (lookahead == 'o') ADVANCE(770);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(586);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(868);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(862);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(708);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(713);
      if (lookahead == 'o') ADVANCE(852);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(782);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(590);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(633);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(785);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(787);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(592);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(593);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(754);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(594);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(725);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(603);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(728);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(721);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(841);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(730);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(731);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(733);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(933);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(935);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(937);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(499);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(457);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(874);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(742);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(644);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(546);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(554);
      if (lookahead == 'x') ADVANCE(767);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(695);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(761);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(758);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(624);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(583);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(798);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(639);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(671);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(573);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(576);
      if (lookahead == 'x') ADVANCE(768);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(577);
      if (lookahead == 'x') ADVANCE(769);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(460);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(981);
      if (lookahead == 's') ADVANCE(985);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(981);
      if (lookahead == 'u') ADVANCE(580);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(990);
      if (lookahead == 't') ADVANCE(848);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(559);
      if (lookahead == 'n') ADVANCE(825);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(765);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(570);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(766);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(846);
      if (lookahead == 'x') ADVANCE(764);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(627);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(450);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(903);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(463);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(987);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(508);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(476);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(649);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(799);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(637);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(651);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(811);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(795);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(647);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(599);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(660);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(648);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(813);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(613);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(614);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(817);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(617);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(819);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(821);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(827);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(602);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(652);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(600);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(601);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(578);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(711);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(921);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(923);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(925);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(770);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(775);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(751);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(812);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(686);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(717);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(724);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(773);
      if (lookahead == 'u') ADVANCE(738);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(752);
      if (lookahead == 'r') ADVANCE(851);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(718);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(774);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(857);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(572);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(737);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(709);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(748);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(749);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(743);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(744);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(745);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(746);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(635);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(893);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(957);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(485);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(877);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(808);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(844);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(656);
      if (lookahead == 'u') ADVANCE(581);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(809);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(712);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(850);
      if (lookahead == 'u') ADVANCE(786);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(850);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(588);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(552);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(566);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(589);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(715);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(591);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(604);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(747);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(824);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(674);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(575);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(636);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(470);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(467);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(653);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(609);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(611);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(677);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(672);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(832);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(658);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(620);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(840);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(842);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(673);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(776);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(431);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(436);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(458);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(442);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(967);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(965);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(905);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(907);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(909);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(915);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(911);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(917);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(913);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(919);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(465);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(543);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(870);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(872);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(887);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(654);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(655);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(547);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(848);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(569);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(668);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(659);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(791);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(630);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(622);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(623);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(667);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(670);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(675);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(597);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(550);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(702);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(580);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(779);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(726);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(796);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(814);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(738);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(815);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(792);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(822);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(823);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(555);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(558);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(740);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(741);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'v') ADVANCE(628);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'v') ADVANCE(571);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(979);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(452);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(806);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(664);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(869);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(626);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(869);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym_float);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(anon_sym_color);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(anon_sym_color);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(anon_sym_brush);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(anon_sym_brush);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_physical_DASHlength);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(anon_sym_physical_DASHlength);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(anon_sym_length);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(anon_sym_length);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(anon_sym_angle);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_angle);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(anon_sym_percent);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_percent);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_image);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_image);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_relative_DASHfont_DASHsize);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_relative_DASHfont_DASHsize);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_linear);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_linear);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquad);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquad);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquad);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquad);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquad);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquad);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_ease);
      if (lookahead == '-') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_ease);
      if (lookahead == '-') ADVANCE(196);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_ease_DASHin);
      if (lookahead == '-') ADVANCE(81);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_ease_DASHin);
      if (lookahead == '-') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_ease_DASHout);
      if (lookahead == '-') ADVANCE(87);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_ease_DASHout);
      if (lookahead == '-') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout);
      if (lookahead == '-') ADVANCE(88);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout);
      if (lookahead == '-') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquart);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquart);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquart);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquart);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquart);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquart);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquint);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquint);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquint);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquint);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquint);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquint);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHexpo);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHexpo);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHexpo);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHexpo);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHexpo);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHexpo);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHsine);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHsine);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHsine);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHsine);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHsine);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHsine);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHback);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHback);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHback);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHcirc);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHcirc);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHcirc);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHcirc);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHcirc);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHcirc);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHelastic);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHelastic);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHelastic);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHelastic);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHelastic);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHelastic);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHbounce);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHbounce);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHbounce);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHbounce);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHbounce);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHbounce);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(anon_sym_cubic_DASHbezier);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(anon_sym_cubic_DASHbezier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_children_identifier);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(anon_sym_ATlinear_DASHgradient);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(anon_sym_ATlinear_gradient);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(anon_sym_ATradial_DASHgradient);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(anon_sym_ATradial_gradient);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(anon_sym_circle);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(anon_sym_parent);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(anon_sym_root);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_root);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_self);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym__int_number);
      if (lookahead == '.') ADVANCE(972);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(970);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym__int_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(971);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym__float_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(972);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_color_value);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(977);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_phx);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_phx);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(aux_sym_length_value_token1);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(aux_sym_length_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      if (lookahead == 'e') ADVANCE(688);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(aux_sym_angle_value_token1);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(aux_sym_angle_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(anon_sym_PERCENT2);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(anon_sym_rem);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_rem);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(869);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(992);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 428},
  [2] = {.lex_state = 1},
  [3] = {.lex_state = 1},
  [4] = {.lex_state = 1},
  [5] = {.lex_state = 1},
  [6] = {.lex_state = 1},
  [7] = {.lex_state = 1},
  [8] = {.lex_state = 1},
  [9] = {.lex_state = 1},
  [10] = {.lex_state = 1},
  [11] = {.lex_state = 1},
  [12] = {.lex_state = 1},
  [13] = {.lex_state = 1},
  [14] = {.lex_state = 1},
  [15] = {.lex_state = 1},
  [16] = {.lex_state = 5},
  [17] = {.lex_state = 5},
  [18] = {.lex_state = 5},
  [19] = {.lex_state = 15},
  [20] = {.lex_state = 15},
  [21] = {.lex_state = 15},
  [22] = {.lex_state = 15},
  [23] = {.lex_state = 15},
  [24] = {.lex_state = 15},
  [25] = {.lex_state = 15},
  [26] = {.lex_state = 15},
  [27] = {.lex_state = 15},
  [28] = {.lex_state = 15},
  [29] = {.lex_state = 15},
  [30] = {.lex_state = 15},
  [31] = {.lex_state = 15},
  [32] = {.lex_state = 15},
  [33] = {.lex_state = 15},
  [34] = {.lex_state = 15},
  [35] = {.lex_state = 15},
  [36] = {.lex_state = 15},
  [37] = {.lex_state = 15},
  [38] = {.lex_state = 15},
  [39] = {.lex_state = 15},
  [40] = {.lex_state = 15},
  [41] = {.lex_state = 15},
  [42] = {.lex_state = 15},
  [43] = {.lex_state = 15},
  [44] = {.lex_state = 15},
  [45] = {.lex_state = 15},
  [46] = {.lex_state = 15},
  [47] = {.lex_state = 15},
  [48] = {.lex_state = 15},
  [49] = {.lex_state = 15},
  [50] = {.lex_state = 15},
  [51] = {.lex_state = 15},
  [52] = {.lex_state = 15},
  [53] = {.lex_state = 15},
  [54] = {.lex_state = 15},
  [55] = {.lex_state = 15},
  [56] = {.lex_state = 15},
  [57] = {.lex_state = 15},
  [58] = {.lex_state = 15},
  [59] = {.lex_state = 15},
  [60] = {.lex_state = 15},
  [61] = {.lex_state = 15},
  [62] = {.lex_state = 15},
  [63] = {.lex_state = 15},
  [64] = {.lex_state = 15},
  [65] = {.lex_state = 15},
  [66] = {.lex_state = 15},
  [67] = {.lex_state = 15},
  [68] = {.lex_state = 15},
  [69] = {.lex_state = 15},
  [70] = {.lex_state = 15},
  [71] = {.lex_state = 15},
  [72] = {.lex_state = 15},
  [73] = {.lex_state = 15},
  [74] = {.lex_state = 15},
  [75] = {.lex_state = 15},
  [76] = {.lex_state = 15},
  [77] = {.lex_state = 15},
  [78] = {.lex_state = 15},
  [79] = {.lex_state = 15},
  [80] = {.lex_state = 15},
  [81] = {.lex_state = 15},
  [82] = {.lex_state = 15},
  [83] = {.lex_state = 15},
  [84] = {.lex_state = 15},
  [85] = {.lex_state = 15},
  [86] = {.lex_state = 15},
  [87] = {.lex_state = 15},
  [88] = {.lex_state = 15},
  [89] = {.lex_state = 15},
  [90] = {.lex_state = 15},
  [91] = {.lex_state = 15},
  [92] = {.lex_state = 15},
  [93] = {.lex_state = 15},
  [94] = {.lex_state = 15},
  [95] = {.lex_state = 15},
  [96] = {.lex_state = 15},
  [97] = {.lex_state = 15},
  [98] = {.lex_state = 15},
  [99] = {.lex_state = 15},
  [100] = {.lex_state = 15},
  [101] = {.lex_state = 15},
  [102] = {.lex_state = 15},
  [103] = {.lex_state = 15},
  [104] = {.lex_state = 15},
  [105] = {.lex_state = 15},
  [106] = {.lex_state = 15},
  [107] = {.lex_state = 15},
  [108] = {.lex_state = 15},
  [109] = {.lex_state = 15},
  [110] = {.lex_state = 15},
  [111] = {.lex_state = 15},
  [112] = {.lex_state = 15},
  [113] = {.lex_state = 15},
  [114] = {.lex_state = 15},
  [115] = {.lex_state = 15},
  [116] = {.lex_state = 15},
  [117] = {.lex_state = 15},
  [118] = {.lex_state = 15},
  [119] = {.lex_state = 15},
  [120] = {.lex_state = 15},
  [121] = {.lex_state = 15},
  [122] = {.lex_state = 15},
  [123] = {.lex_state = 15},
  [124] = {.lex_state = 15},
  [125] = {.lex_state = 15},
  [126] = {.lex_state = 15},
  [127] = {.lex_state = 15},
  [128] = {.lex_state = 15},
  [129] = {.lex_state = 15},
  [130] = {.lex_state = 15},
  [131] = {.lex_state = 15},
  [132] = {.lex_state = 15},
  [133] = {.lex_state = 15},
  [134] = {.lex_state = 15},
  [135] = {.lex_state = 15},
  [136] = {.lex_state = 15},
  [137] = {.lex_state = 15},
  [138] = {.lex_state = 15},
  [139] = {.lex_state = 15},
  [140] = {.lex_state = 15},
  [141] = {.lex_state = 15},
  [142] = {.lex_state = 15},
  [143] = {.lex_state = 15},
  [144] = {.lex_state = 15},
  [145] = {.lex_state = 15},
  [146] = {.lex_state = 15},
  [147] = {.lex_state = 15},
  [148] = {.lex_state = 15},
  [149] = {.lex_state = 2},
  [150] = {.lex_state = 2},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 1},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 1},
  [155] = {.lex_state = 1},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 1},
  [159] = {.lex_state = 1},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 1},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 1},
  [164] = {.lex_state = 1},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 1},
  [168] = {.lex_state = 1},
  [169] = {.lex_state = 1},
  [170] = {.lex_state = 1},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 1},
  [173] = {.lex_state = 1},
  [174] = {.lex_state = 1},
  [175] = {.lex_state = 1},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 1},
  [178] = {.lex_state = 1},
  [179] = {.lex_state = 1},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 1},
  [182] = {.lex_state = 1},
  [183] = {.lex_state = 1},
  [184] = {.lex_state = 1},
  [185] = {.lex_state = 1},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 1},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1},
  [201] = {.lex_state = 1},
  [202] = {.lex_state = 1},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 1},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 1},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 1},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 1},
  [220] = {.lex_state = 1},
  [221] = {.lex_state = 1},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 1},
  [225] = {.lex_state = 1},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 1},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 5},
  [230] = {.lex_state = 1},
  [231] = {.lex_state = 5},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 5},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 5},
  [236] = {.lex_state = 1},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 1},
  [239] = {.lex_state = 16},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 16},
  [242] = {.lex_state = 16},
  [243] = {.lex_state = 1},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 1},
  [246] = {.lex_state = 5},
  [247] = {.lex_state = 5},
  [248] = {.lex_state = 5},
  [249] = {.lex_state = 5},
  [250] = {.lex_state = 5},
  [251] = {.lex_state = 1},
  [252] = {.lex_state = 1},
  [253] = {.lex_state = 5},
  [254] = {.lex_state = 1},
  [255] = {.lex_state = 1},
  [256] = {.lex_state = 1},
  [257] = {.lex_state = 5},
  [258] = {.lex_state = 5},
  [259] = {.lex_state = 1},
  [260] = {.lex_state = 1},
  [261] = {.lex_state = 15},
  [262] = {.lex_state = 15},
  [263] = {.lex_state = 15},
  [264] = {.lex_state = 15},
  [265] = {.lex_state = 15},
  [266] = {.lex_state = 15},
  [267] = {.lex_state = 12},
  [268] = {.lex_state = 12},
  [269] = {.lex_state = 12},
  [270] = {.lex_state = 12},
  [271] = {.lex_state = 12},
  [272] = {.lex_state = 12},
  [273] = {.lex_state = 12},
  [274] = {.lex_state = 12},
  [275] = {.lex_state = 12},
  [276] = {.lex_state = 12},
  [277] = {.lex_state = 12},
  [278] = {.lex_state = 6},
  [279] = {.lex_state = 6},
  [280] = {.lex_state = 12},
  [281] = {.lex_state = 9},
  [282] = {.lex_state = 428},
  [283] = {.lex_state = 428},
  [284] = {.lex_state = 8},
  [285] = {.lex_state = 428},
  [286] = {.lex_state = 428},
  [287] = {.lex_state = 428},
  [288] = {.lex_state = 428},
  [289] = {.lex_state = 428},
  [290] = {.lex_state = 8},
  [291] = {.lex_state = 428},
  [292] = {.lex_state = 8},
  [293] = {.lex_state = 428},
  [294] = {.lex_state = 428},
  [295] = {.lex_state = 428},
  [296] = {.lex_state = 428},
  [297] = {.lex_state = 428},
  [298] = {.lex_state = 428},
  [299] = {.lex_state = 428},
  [300] = {.lex_state = 428},
  [301] = {.lex_state = 428},
  [302] = {.lex_state = 428},
  [303] = {.lex_state = 428},
  [304] = {.lex_state = 428},
  [305] = {.lex_state = 428},
  [306] = {.lex_state = 14},
  [307] = {.lex_state = 428},
  [308] = {.lex_state = 428},
  [309] = {.lex_state = 428},
  [310] = {.lex_state = 428},
  [311] = {.lex_state = 428},
  [312] = {.lex_state = 428},
  [313] = {.lex_state = 428},
  [314] = {.lex_state = 428},
  [315] = {.lex_state = 428},
  [316] = {.lex_state = 428},
  [317] = {.lex_state = 428},
  [318] = {.lex_state = 428},
  [319] = {.lex_state = 428},
  [320] = {.lex_state = 428},
  [321] = {.lex_state = 428},
  [322] = {.lex_state = 428},
  [323] = {.lex_state = 428},
  [324] = {.lex_state = 428},
  [325] = {.lex_state = 428},
  [326] = {.lex_state = 428},
  [327] = {.lex_state = 428},
  [328] = {.lex_state = 428},
  [329] = {.lex_state = 428},
  [330] = {.lex_state = 428},
  [331] = {.lex_state = 428},
  [332] = {.lex_state = 428},
  [333] = {.lex_state = 428},
  [334] = {.lex_state = 428},
  [335] = {.lex_state = 428},
  [336] = {.lex_state = 428},
  [337] = {.lex_state = 428},
  [338] = {.lex_state = 428},
  [339] = {.lex_state = 428},
  [340] = {.lex_state = 428},
  [341] = {.lex_state = 428},
  [342] = {.lex_state = 428},
  [343] = {.lex_state = 428},
  [344] = {.lex_state = 428},
  [345] = {.lex_state = 428},
  [346] = {.lex_state = 428},
  [347] = {.lex_state = 428},
  [348] = {.lex_state = 428},
  [349] = {.lex_state = 428},
  [350] = {.lex_state = 428},
  [351] = {.lex_state = 428},
  [352] = {.lex_state = 428},
  [353] = {.lex_state = 428},
  [354] = {.lex_state = 7},
  [355] = {.lex_state = 7},
  [356] = {.lex_state = 8},
  [357] = {.lex_state = 428},
  [358] = {.lex_state = 8},
  [359] = {.lex_state = 8},
  [360] = {.lex_state = 8},
  [361] = {.lex_state = 8},
  [362] = {.lex_state = 8},
  [363] = {.lex_state = 8},
  [364] = {.lex_state = 8},
  [365] = {.lex_state = 8},
  [366] = {.lex_state = 14},
  [367] = {.lex_state = 8},
  [368] = {.lex_state = 8},
  [369] = {.lex_state = 8},
  [370] = {.lex_state = 8},
  [371] = {.lex_state = 8},
  [372] = {.lex_state = 8},
  [373] = {.lex_state = 8},
  [374] = {.lex_state = 8},
  [375] = {.lex_state = 8},
  [376] = {.lex_state = 14},
  [377] = {.lex_state = 14},
  [378] = {.lex_state = 8},
  [379] = {.lex_state = 1},
  [380] = {.lex_state = 1},
  [381] = {.lex_state = 1},
  [382] = {.lex_state = 1},
  [383] = {.lex_state = 1},
  [384] = {.lex_state = 1},
  [385] = {.lex_state = 1},
  [386] = {.lex_state = 1},
  [387] = {.lex_state = 428},
  [388] = {.lex_state = 428},
  [389] = {.lex_state = 428},
  [390] = {.lex_state = 1},
  [391] = {.lex_state = 428},
  [392] = {.lex_state = 428},
  [393] = {.lex_state = 428},
  [394] = {.lex_state = 428},
  [395] = {.lex_state = 428},
  [396] = {.lex_state = 428},
  [397] = {.lex_state = 428},
  [398] = {.lex_state = 428},
  [399] = {.lex_state = 428},
  [400] = {.lex_state = 428},
  [401] = {.lex_state = 428},
  [402] = {.lex_state = 428},
  [403] = {.lex_state = 428},
  [404] = {.lex_state = 428},
  [405] = {.lex_state = 428},
  [406] = {.lex_state = 428},
  [407] = {.lex_state = 428},
  [408] = {.lex_state = 428},
  [409] = {.lex_state = 428},
  [410] = {.lex_state = 428},
  [411] = {.lex_state = 428},
  [412] = {.lex_state = 8},
  [413] = {.lex_state = 428},
  [414] = {.lex_state = 428},
  [415] = {.lex_state = 428},
  [416] = {.lex_state = 428},
  [417] = {.lex_state = 428},
  [418] = {.lex_state = 428},
  [419] = {.lex_state = 8},
  [420] = {.lex_state = 428},
  [421] = {.lex_state = 428},
  [422] = {.lex_state = 13},
  [423] = {.lex_state = 428},
  [424] = {.lex_state = 428},
  [425] = {.lex_state = 428},
  [426] = {.lex_state = 428},
  [427] = {.lex_state = 428},
  [428] = {.lex_state = 428},
  [429] = {.lex_state = 428},
  [430] = {.lex_state = 428},
  [431] = {.lex_state = 428},
  [432] = {.lex_state = 428},
  [433] = {.lex_state = 428},
  [434] = {.lex_state = 428},
  [435] = {.lex_state = 428},
  [436] = {.lex_state = 428},
  [437] = {.lex_state = 428},
  [438] = {.lex_state = 428},
  [439] = {.lex_state = 428},
  [440] = {.lex_state = 428},
  [441] = {.lex_state = 428},
  [442] = {.lex_state = 428},
  [443] = {.lex_state = 428},
  [444] = {.lex_state = 428},
  [445] = {.lex_state = 428},
  [446] = {.lex_state = 428},
  [447] = {.lex_state = 428},
  [448] = {.lex_state = 428},
  [449] = {.lex_state = 428},
  [450] = {.lex_state = 8},
  [451] = {.lex_state = 8},
  [452] = {.lex_state = 428},
  [453] = {.lex_state = 8},
  [454] = {.lex_state = 8},
  [455] = {.lex_state = 8},
  [456] = {.lex_state = 8},
  [457] = {.lex_state = 8},
  [458] = {.lex_state = 8},
  [459] = {.lex_state = 12},
  [460] = {.lex_state = 12},
  [461] = {.lex_state = 8},
  [462] = {.lex_state = 12},
  [463] = {.lex_state = 428},
  [464] = {.lex_state = 12},
  [465] = {.lex_state = 12},
  [466] = {.lex_state = 12},
  [467] = {.lex_state = 12},
  [468] = {.lex_state = 12},
  [469] = {.lex_state = 12},
  [470] = {.lex_state = 12},
  [471] = {.lex_state = 12},
  [472] = {.lex_state = 12},
  [473] = {.lex_state = 12},
  [474] = {.lex_state = 12},
  [475] = {.lex_state = 12},
  [476] = {.lex_state = 12},
  [477] = {.lex_state = 12},
  [478] = {.lex_state = 12},
  [479] = {.lex_state = 12},
  [480] = {.lex_state = 12},
  [481] = {.lex_state = 12},
  [482] = {.lex_state = 12},
  [483] = {.lex_state = 12},
  [484] = {.lex_state = 12},
  [485] = {.lex_state = 12},
  [486] = {.lex_state = 12},
  [487] = {.lex_state = 12},
  [488] = {.lex_state = 12},
  [489] = {.lex_state = 12},
  [490] = {.lex_state = 12},
  [491] = {.lex_state = 12},
  [492] = {.lex_state = 12},
  [493] = {.lex_state = 12},
  [494] = {.lex_state = 12},
  [495] = {.lex_state = 12},
  [496] = {.lex_state = 12},
  [497] = {.lex_state = 12},
  [498] = {.lex_state = 12},
  [499] = {.lex_state = 12},
  [500] = {.lex_state = 12},
  [501] = {.lex_state = 12},
  [502] = {.lex_state = 12},
  [503] = {.lex_state = 12},
  [504] = {.lex_state = 12},
  [505] = {.lex_state = 12},
  [506] = {.lex_state = 12},
  [507] = {.lex_state = 12},
  [508] = {.lex_state = 12},
  [509] = {.lex_state = 428},
  [510] = {.lex_state = 428},
  [511] = {.lex_state = 428},
  [512] = {.lex_state = 428},
  [513] = {.lex_state = 428},
  [514] = {.lex_state = 428},
  [515] = {.lex_state = 428},
  [516] = {.lex_state = 428},
  [517] = {.lex_state = 14},
  [518] = {.lex_state = 14},
  [519] = {.lex_state = 14},
  [520] = {.lex_state = 14},
  [521] = {.lex_state = 14},
  [522] = {.lex_state = 14},
  [523] = {.lex_state = 14},
  [524] = {.lex_state = 14},
  [525] = {.lex_state = 14},
  [526] = {.lex_state = 14},
  [527] = {.lex_state = 14},
  [528] = {.lex_state = 14},
  [529] = {.lex_state = 14},
  [530] = {.lex_state = 14},
  [531] = {.lex_state = 14},
  [532] = {.lex_state = 14},
  [533] = {.lex_state = 14},
  [534] = {.lex_state = 14},
  [535] = {.lex_state = 14},
  [536] = {.lex_state = 14},
  [537] = {.lex_state = 14},
  [538] = {.lex_state = 14},
  [539] = {.lex_state = 14},
  [540] = {.lex_state = 14},
  [541] = {.lex_state = 14},
  [542] = {.lex_state = 14},
  [543] = {.lex_state = 14},
  [544] = {.lex_state = 14},
  [545] = {.lex_state = 14},
  [546] = {.lex_state = 14},
  [547] = {.lex_state = 14},
  [548] = {.lex_state = 19},
  [549] = {.lex_state = 428},
  [550] = {.lex_state = 428},
  [551] = {.lex_state = 428},
  [552] = {.lex_state = 428},
  [553] = {.lex_state = 428},
  [554] = {.lex_state = 428},
  [555] = {.lex_state = 428},
  [556] = {.lex_state = 428},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 428},
  [559] = {.lex_state = 0},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 428},
  [562] = {.lex_state = 428},
  [563] = {.lex_state = 428},
  [564] = {.lex_state = 428},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 428},
  [567] = {.lex_state = 428},
  [568] = {.lex_state = 0},
  [569] = {.lex_state = 428},
  [570] = {.lex_state = 428},
  [571] = {.lex_state = 428},
  [572] = {.lex_state = 428},
  [573] = {.lex_state = 428},
  [574] = {.lex_state = 428},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 428},
  [577] = {.lex_state = 428},
  [578] = {.lex_state = 428},
  [579] = {.lex_state = 428},
  [580] = {.lex_state = 428},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 24},
  [584] = {.lex_state = 24},
  [585] = {.lex_state = 0},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 15},
  [588] = {.lex_state = 33},
  [589] = {.lex_state = 15},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 15},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 15},
  [600] = {.lex_state = 6},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 19},
  [603] = {.lex_state = 19},
  [604] = {.lex_state = 19},
  [605] = {.lex_state = 19},
  [606] = {.lex_state = 9},
  [607] = {.lex_state = 17},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 17},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 19},
  [612] = {.lex_state = 17},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 9},
  [616] = {.lex_state = 19},
  [617] = {.lex_state = 9},
  [618] = {.lex_state = 17},
  [619] = {.lex_state = 17},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 20},
  [623] = {.lex_state = 20},
  [624] = {.lex_state = 20},
  [625] = {.lex_state = 20},
  [626] = {.lex_state = 15},
  [627] = {.lex_state = 20},
  [628] = {.lex_state = 20},
  [629] = {.lex_state = 15},
  [630] = {.lex_state = 0},
  [631] = {.lex_state = 0},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 19},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 20},
  [636] = {.lex_state = 20},
  [637] = {.lex_state = 15},
  [638] = {.lex_state = 20},
  [639] = {.lex_state = 20},
  [640] = {.lex_state = 19},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 20},
  [643] = {.lex_state = 20},
  [644] = {.lex_state = 20},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 20},
  [648] = {.lex_state = 20},
  [649] = {.lex_state = 20},
  [650] = {.lex_state = 20},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 20},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 34},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 428},
  [665] = {.lex_state = 428},
  [666] = {.lex_state = 19},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 20},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 19},
  [681] = {.lex_state = 428},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 9},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 20},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 20},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 17},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 15},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 15},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 19},
  [700] = {.lex_state = 20},
  [701] = {.lex_state = 20},
  [702] = {.lex_state = 17},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 428},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 20},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 9},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 34},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 20},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 20},
  [728] = {.lex_state = 15},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 20},
  [731] = {.lex_state = 15},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 19},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 428},
  [744] = {.lex_state = 15},
  [745] = {.lex_state = 15},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 19},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 20},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 20},
  [753] = {.lex_state = 34},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 20},
  [761] = {.lex_state = 19},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 20},
  [768] = {.lex_state = 19},
  [769] = {.lex_state = 19},
  [770] = {.lex_state = 20},
  [771] = {.lex_state = 19},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 20},
  [779] = {.lex_state = 20},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 19},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 19},
  [786] = {.lex_state = 20},
  [787] = {.lex_state = 20},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 20},
  [792] = {.lex_state = 9},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 20},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 20},
  [797] = {.lex_state = 20},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 20},
  [800] = {.lex_state = 20},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 19},
  [803] = {.lex_state = 20},
  [804] = {.lex_state = 20},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 20},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 0},
  [812] = {.lex_state = 20},
  [813] = {.lex_state = 20},
  [814] = {.lex_state = 20},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 19},
  [817] = {.lex_state = 19},
  [818] = {.lex_state = 19},
  [819] = {.lex_state = 20},
  [820] = {.lex_state = 19},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 20},
  [823] = {.lex_state = 20},
  [824] = {.lex_state = 20},
  [825] = {.lex_state = 19},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 20},
  [828] = {.lex_state = 20},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 20},
  [833] = {.lex_state = 428},
  [834] = {.lex_state = 15},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 12},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 9},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 15},
  [856] = {.lex_state = 1},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 9},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 20},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 428},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 15},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 15},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 15},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 15},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 428},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 428},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_export] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_transitions] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_animate] = ACTIONS(1),
    [anon_sym_delay] = ACTIONS(1),
    [anon_sym_duration] = ACTIONS(1),
    [anon_sym_iteration_DASHcount] = ACTIONS(1),
    [anon_sym_easing] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_ATtr] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_logical_and] = ACTIONS(1),
    [sym_logical_or] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_callback] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_pure] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_ATimage_DASHurl] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [anon_sym_n] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_color] = ACTIONS(1),
    [anon_sym_brush] = ACTIONS(1),
    [anon_sym_physical_DASHlength] = ACTIONS(1),
    [anon_sym_length] = ACTIONS(1),
    [anon_sym_angle] = ACTIONS(1),
    [anon_sym_percent] = ACTIONS(1),
    [anon_sym_image] = ACTIONS(1),
    [anon_sym_relative_DASHfont_DASHsize] = ACTIONS(1),
    [anon_sym_linear] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(1),
    [anon_sym_ease] = ACTIONS(1),
    [anon_sym_ease_DASHin] = ACTIONS(1),
    [anon_sym_ease_DASHout] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(1),
    [anon_sym_cubic_DASHbezier] = ACTIONS(1),
    [sym_children_identifier] = ACTIONS(1),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(1),
    [anon_sym_ATlinear_gradient] = ACTIONS(1),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(1),
    [anon_sym_ATradial_gradient] = ACTIONS(1),
    [anon_sym_circle] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [anon_sym_root] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [sym__int_number] = ACTIONS(1),
    [sym__float_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_color_value] = ACTIONS(1),
    [anon_sym_phx] = ACTIONS(1),
    [aux_sym_length_value_token1] = ACTIONS(1),
    [aux_sym_duration_value_token1] = ACTIONS(1),
    [aux_sym_angle_value_token1] = ACTIONS(1),
    [anon_sym_PERCENT2] = ACTIONS(1),
    [anon_sym_rem] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_sourcefile] = STATE(889),
    [sym__definition] = STATE(463),
    [sym__local_type] = STATE(463),
    [sym__exported_type] = STATE(463),
    [sym_import_statement] = STATE(463),
    [sym_component_definition] = STATE(463),
    [sym_global_definition] = STATE(463),
    [sym_struct_definition] = STATE(463),
    [sym_enum_definition] = STATE(463),
    [sym_user_type_identifier] = STATE(888),
    [aux_sym_sourcefile_repeat1] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_export] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_component] = ACTIONS(11),
    [anon_sym_global] = ACTIONS(13),
    [anon_sym_struct] = ACTIONS(15),
    [anon_sym_enum] = ACTIONS(17),
    [sym__identifier] = ACTIONS(19),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(9),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(216),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(9),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(216),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(63),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__imperative_block_statement] = STATE(12),
    [sym_binding] = STATE(12),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(12),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(12),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(216),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__imperative_block_statement] = STATE(10),
    [sym_binding] = STATE(10),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(10),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(10),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(216),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(10),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__imperative_block_statement] = STATE(10),
    [sym_binding] = STATE(10),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(10),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(10),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(216),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(10),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(9),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__imperative_block_statement] = STATE(10),
    [sym_binding] = STATE(10),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(10),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(10),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(10),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(14),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(14),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(77),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__imperative_block_statement] = STATE(13),
    [sym_binding] = STATE(13),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(13),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(13),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(13),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(14),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(14),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(83),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(14),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(88),
    [anon_sym_return] = ACTIONS(90),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(96),
    [anon_sym_LPAREN] = ACTIONS(99),
    [anon_sym_ATtr] = ACTIONS(102),
    [anon_sym_ATimage_DASHurl] = ACTIONS(105),
    [anon_sym_BANG] = ACTIONS(108),
    [anon_sym_DASH] = ACTIONS(108),
    [anon_sym_PLUS] = ACTIONS(108),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym__identifier] = ACTIONS(114),
    [anon_sym_linear] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(117),
    [anon_sym_ease] = ACTIONS(117),
    [anon_sym_ease_DASHin] = ACTIONS(117),
    [anon_sym_ease_DASHout] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(117),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(117),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(117),
    [anon_sym_cubic_DASHbezier] = ACTIONS(120),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(123),
    [anon_sym_ATlinear_gradient] = ACTIONS(123),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(126),
    [anon_sym_ATradial_gradient] = ACTIONS(126),
    [anon_sym_parent] = ACTIONS(129),
    [anon_sym_root] = ACTIONS(129),
    [anon_sym_self] = ACTIONS(129),
    [sym__int_number] = ACTIONS(132),
    [sym__float_number] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(138),
    [anon_sym_false] = ACTIONS(138),
    [sym_color_value] = ACTIONS(141),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__imperative_block_statement] = STATE(12),
    [sym_binding] = STATE(12),
    [sym_anon_struct_block] = STATE(218),
    [sym_if_expr] = STATE(12),
    [sym__assignment_setup] = STATE(44),
    [sym_assignment_block] = STATE(243),
    [sym_assignment_expr] = STATE(243),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_callback_event] = STATE(12),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(185),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [aux_sym_imperative_block_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(144),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_in_out_transition] = STATE(17),
    [sym__assignment_setup] = STATE(40),
    [sym_assignment_block] = STATE(17),
    [sym_assignment_expr] = STATE(810),
    [sym_expression] = STATE(357),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [aux_sym_states_definition_repeat1] = STATE(17),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_RBRACE] = ACTIONS(148),
    [anon_sym_in] = ACTIONS(150),
    [anon_sym_out] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_in_out_transition] = STATE(18),
    [sym__assignment_setup] = STATE(40),
    [sym_assignment_block] = STATE(18),
    [sym_assignment_expr] = STATE(764),
    [sym_expression] = STATE(357),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [aux_sym_states_definition_repeat1] = STATE(18),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_RBRACE] = ACTIONS(178),
    [anon_sym_in] = ACTIONS(150),
    [anon_sym_out] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_in_out_transition] = STATE(18),
    [sym__assignment_setup] = STATE(46),
    [sym_assignment_block] = STATE(18),
    [sym_assignment_expr] = STATE(860),
    [sym_expression] = STATE(357),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [aux_sym_states_definition_repeat1] = STATE(18),
    [anon_sym_LBRACE] = ACTIONS(180),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_in] = ACTIONS(185),
    [anon_sym_out] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(188),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_ATtr] = ACTIONS(194),
    [anon_sym_ATimage_DASHurl] = ACTIONS(197),
    [anon_sym_BANG] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(200),
    [anon_sym_PLUS] = ACTIONS(200),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [sym__identifier] = ACTIONS(206),
    [anon_sym_linear] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(209),
    [anon_sym_ease] = ACTIONS(209),
    [anon_sym_ease_DASHin] = ACTIONS(209),
    [anon_sym_ease_DASHout] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(209),
    [anon_sym_cubic_DASHbezier] = ACTIONS(212),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(215),
    [anon_sym_ATlinear_gradient] = ACTIONS(215),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(218),
    [anon_sym_ATradial_gradient] = ACTIONS(218),
    [anon_sym_parent] = ACTIONS(221),
    [anon_sym_root] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(221),
    [sym__int_number] = ACTIONS(224),
    [sym__float_number] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(230),
    [anon_sym_false] = ACTIONS(230),
    [sym_color_value] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(236),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(242),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(244),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(246),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(252),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(254),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(706),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(655),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(256),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(906),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(712),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(403),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(260),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(396),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_COMMA] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(264),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(763),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_imperative_block] = STATE(245),
    [sym__binding] = STATE(260),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(417),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_imperative_block] = STATE(518),
    [sym__binding] = STATE(536),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(429),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(763),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_imperative_block] = STATE(518),
    [sym__binding] = STATE(530),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(429),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(763),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(274),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_imperative_block] = STATE(462),
    [sym__binding] = STATE(486),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(424),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_block] = STATE(247),
    [sym__assignment_value_block] = STATE(246),
    [sym_expression] = STATE(404),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(278),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(862),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(722),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(719),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_block] = STATE(236),
    [sym__assignment_value_block] = STATE(237),
    [sym_expression] = STATE(227),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(756),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_block] = STATE(247),
    [sym__assignment_value_block] = STATE(246),
    [sym_expression] = STATE(404),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(668),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(763),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(286),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_imperative_block] = STATE(245),
    [sym__binding] = STATE(260),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(389),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_imperative_block] = STATE(462),
    [sym__binding] = STATE(498),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(424),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(905),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_gradient_color] = STATE(858),
    [sym_image_call] = STATE(167),
    [sym_argument] = STATE(594),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(290),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_imperative_block] = STATE(460),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(430),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(292),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(294),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(300),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(302),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(304),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(308),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(312),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(314),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_argument] = STATE(763),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_imperative_block] = STATE(460),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(387),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_for_range] = STATE(859),
    [sym_expression] = STATE(425),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(509),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(320),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(322),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(324),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(326),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(434),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_SEMI] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(330),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_imperative_block] = STATE(460),
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(388),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(332),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(440),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(398),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(402),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(283),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(438),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(406),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(449),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(433),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(291),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(395),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(405),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(285),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(437),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(397),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(436),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(286),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(435),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(408),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(446),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(432),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(439),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(441),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(334),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(287),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(431),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(399),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(288),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(415),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(421),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(444),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(289),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(410),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(428),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(394),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(416),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(164),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(426),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(448),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(418),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(447),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(427),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(443),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(445),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(152),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(423),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(420),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(282),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(414),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(384),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(401),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(409),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(413),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(157),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(386),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(158),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(162),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(163),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(165),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(156),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(124),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(381),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(392),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(442),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_anon_struct_block] = STATE(329),
    [sym_expression] = STATE(393),
    [sym_parens_op] = STATE(326),
    [sym_index_op] = STATE(326),
    [sym_tr] = STATE(326),
    [sym_member_access] = STATE(326),
    [sym_unary_expression] = STATE(326),
    [sym_binary_expression] = STATE(326),
    [sym__add_binary_expression] = STATE(325),
    [sym__comparison_binary_expression] = STATE(323),
    [sym__logic_binary_expression] = STATE(322),
    [sym__mult_binary_expression] = STATE(321),
    [sym_ternary_expression] = STATE(326),
    [sym_function_call] = STATE(326),
    [sym_gradient_call] = STATE(326),
    [sym_image_call] = STATE(326),
    [sym_unary_prec_operator] = STATE(127),
    [sym__string] = STATE(284),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(329),
    [sym_value_list] = STATE(329),
    [sym_value] = STATE(326),
    [sym_linear_gradient_identifier] = STATE(909),
    [sym_radial_gradient_identifier] = STATE(876),
    [sym_reference_identifier] = STATE(326),
    [sym__number] = STATE(598),
    [sym_int_value] = STATE(329),
    [sym_float_value] = STATE(329),
    [sym_bool_value] = STATE(329),
    [sym_string_value] = STATE(329),
    [sym_physical_length_value] = STATE(329),
    [sym_length_value] = STATE(329),
    [sym_duration_value] = STATE(329),
    [sym_angle_value] = STATE(329),
    [sym_percent_value] = STATE(329),
    [sym_relative_font_size_value] = STATE(329),
    [sym__basic_value] = STATE(329),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(385),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(379),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(380),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(382),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_anon_struct_block] = STATE(218),
    [sym_expression] = STATE(383),
    [sym_parens_op] = STATE(167),
    [sym_index_op] = STATE(167),
    [sym_tr] = STATE(167),
    [sym_member_access] = STATE(167),
    [sym_unary_expression] = STATE(167),
    [sym_binary_expression] = STATE(167),
    [sym__add_binary_expression] = STATE(203),
    [sym__comparison_binary_expression] = STATE(202),
    [sym__logic_binary_expression] = STATE(199),
    [sym__mult_binary_expression] = STATE(198),
    [sym_ternary_expression] = STATE(167),
    [sym_function_call] = STATE(167),
    [sym_gradient_call] = STATE(167),
    [sym_image_call] = STATE(167),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(192),
    [sym_simple_identifier] = STATE(155),
    [sym_easing_kind_identifier] = STATE(218),
    [sym_value_list] = STATE(218),
    [sym_value] = STATE(167),
    [sym_linear_gradient_identifier] = STATE(918),
    [sym_radial_gradient_identifier] = STATE(919),
    [sym_reference_identifier] = STATE(167),
    [sym__number] = STATE(600),
    [sym_int_value] = STATE(218),
    [sym_float_value] = STATE(218),
    [sym_bool_value] = STATE(218),
    [sym_string_value] = STATE(218),
    [sym_physical_length_value] = STATE(218),
    [sym_length_value] = STATE(218),
    [sym_duration_value] = STATE(218),
    [sym_angle_value] = STATE(218),
    [sym_percent_value] = STATE(218),
    [sym_relative_font_size_value] = STATE(218),
    [sym__basic_value] = STATE(218),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_SEMI] = ACTIONS(338),
    [anon_sym_LT] = ACTIONS(340),
    [anon_sym_GT] = ACTIONS(340),
    [anon_sym_return] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(338),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_if] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(338),
    [anon_sym_ATtr] = ACTIONS(338),
    [anon_sym_DOT] = ACTIONS(340),
    [sym_logical_and] = ACTIONS(338),
    [sym_logical_or] = ACTIONS(338),
    [anon_sym_QMARK] = ACTIONS(338),
    [anon_sym_ATimage_DASHurl] = ACTIONS(338),
    [anon_sym_BANG] = ACTIONS(340),
    [anon_sym_DASH] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_SLASH] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(338),
    [anon_sym_EQ] = ACTIONS(340),
    [anon_sym_PLUS_EQ] = ACTIONS(338),
    [anon_sym_DASH_EQ] = ACTIONS(338),
    [anon_sym_STAR_EQ] = ACTIONS(338),
    [anon_sym_SLASH_EQ] = ACTIONS(338),
    [anon_sym_DQUOTE] = ACTIONS(338),
    [sym__identifier] = ACTIONS(340),
    [anon_sym_linear] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(340),
    [anon_sym_ease] = ACTIONS(340),
    [anon_sym_ease_DASHin] = ACTIONS(340),
    [anon_sym_ease_DASHout] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(340),
    [anon_sym_cubic_DASHbezier] = ACTIONS(340),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(338),
    [anon_sym_ATlinear_gradient] = ACTIONS(338),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(338),
    [anon_sym_ATradial_gradient] = ACTIONS(338),
    [anon_sym_parent] = ACTIONS(340),
    [anon_sym_root] = ACTIONS(340),
    [anon_sym_self] = ACTIONS(340),
    [sym__int_number] = ACTIONS(340),
    [sym__float_number] = ACTIONS(338),
    [anon_sym_true] = ACTIONS(340),
    [anon_sym_false] = ACTIONS(340),
    [sym_color_value] = ACTIONS(338),
    [anon_sym_phx] = ACTIONS(342),
    [aux_sym_length_value_token1] = ACTIONS(342),
    [aux_sym_duration_value_token1] = ACTIONS(342),
    [aux_sym_angle_value_token1] = ACTIONS(342),
    [anon_sym_PERCENT2] = ACTIONS(344),
    [anon_sym_rem] = ACTIONS(342),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [anon_sym_LBRACE] = ACTIONS(346),
    [anon_sym_RBRACE] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(346),
    [anon_sym_LT] = ACTIONS(348),
    [anon_sym_GT] = ACTIONS(348),
    [anon_sym_return] = ACTIONS(348),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_LBRACK] = ACTIONS(346),
    [anon_sym_if] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(346),
    [anon_sym_ATtr] = ACTIONS(346),
    [anon_sym_DOT] = ACTIONS(348),
    [sym_logical_and] = ACTIONS(346),
    [sym_logical_or] = ACTIONS(346),
    [anon_sym_QMARK] = ACTIONS(346),
    [anon_sym_ATimage_DASHurl] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_DASH] = ACTIONS(348),
    [anon_sym_PLUS] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(348),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_EQ] = ACTIONS(348),
    [anon_sym_PLUS_EQ] = ACTIONS(346),
    [anon_sym_DASH_EQ] = ACTIONS(346),
    [anon_sym_STAR_EQ] = ACTIONS(346),
    [anon_sym_SLASH_EQ] = ACTIONS(346),
    [anon_sym_DQUOTE] = ACTIONS(346),
    [sym__identifier] = ACTIONS(348),
    [anon_sym_linear] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(348),
    [anon_sym_ease] = ACTIONS(348),
    [anon_sym_ease_DASHin] = ACTIONS(348),
    [anon_sym_ease_DASHout] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(348),
    [anon_sym_cubic_DASHbezier] = ACTIONS(348),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(346),
    [anon_sym_ATlinear_gradient] = ACTIONS(346),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(346),
    [anon_sym_ATradial_gradient] = ACTIONS(346),
    [anon_sym_parent] = ACTIONS(348),
    [anon_sym_root] = ACTIONS(348),
    [anon_sym_self] = ACTIONS(348),
    [sym__int_number] = ACTIONS(348),
    [sym__float_number] = ACTIONS(346),
    [anon_sym_true] = ACTIONS(348),
    [anon_sym_false] = ACTIONS(348),
    [sym_color_value] = ACTIONS(346),
    [anon_sym_phx] = ACTIONS(342),
    [aux_sym_length_value_token1] = ACTIONS(342),
    [aux_sym_duration_value_token1] = ACTIONS(342),
    [aux_sym_angle_value_token1] = ACTIONS(342),
    [anon_sym_PERCENT2] = ACTIONS(344),
    [anon_sym_rem] = ACTIONS(342),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [sym_assignment_prec_operator] = STATE(263),
    [anon_sym_LBRACE] = ACTIONS(350),
    [anon_sym_RBRACE] = ACTIONS(350),
    [anon_sym_SEMI] = ACTIONS(328),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(354),
    [anon_sym_COLON] = ACTIONS(356),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_LPAREN] = ACTIONS(350),
    [anon_sym_ATtr] = ACTIONS(350),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(364),
    [anon_sym_QMARK] = ACTIONS(366),
    [anon_sym_ATimage_DASHurl] = ACTIONS(350),
    [anon_sym_BANG] = ACTIONS(354),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(374),
    [anon_sym_PLUS_EQ] = ACTIONS(356),
    [anon_sym_DASH_EQ] = ACTIONS(356),
    [anon_sym_STAR_EQ] = ACTIONS(356),
    [anon_sym_SLASH_EQ] = ACTIONS(356),
    [anon_sym_DQUOTE] = ACTIONS(350),
    [sym__identifier] = ACTIONS(354),
    [anon_sym_linear] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(354),
    [anon_sym_ease] = ACTIONS(354),
    [anon_sym_ease_DASHin] = ACTIONS(354),
    [anon_sym_ease_DASHout] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(354),
    [anon_sym_cubic_DASHbezier] = ACTIONS(354),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(350),
    [anon_sym_ATlinear_gradient] = ACTIONS(350),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(350),
    [anon_sym_ATradial_gradient] = ACTIONS(350),
    [anon_sym_parent] = ACTIONS(354),
    [anon_sym_root] = ACTIONS(354),
    [anon_sym_self] = ACTIONS(354),
    [sym__int_number] = ACTIONS(354),
    [sym__float_number] = ACTIONS(350),
    [anon_sym_true] = ACTIONS(354),
    [anon_sym_false] = ACTIONS(354),
    [sym_color_value] = ACTIONS(350),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(376),
    [anon_sym_SEMI] = ACTIONS(376),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(378),
    [anon_sym_return] = ACTIONS(378),
    [anon_sym_COLON] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(378),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_ATtr] = ACTIONS(376),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(376),
    [sym_logical_or] = ACTIONS(376),
    [anon_sym_QMARK] = ACTIONS(376),
    [anon_sym_ATimage_DASHurl] = ACTIONS(376),
    [anon_sym_BANG] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(378),
    [anon_sym_PLUS] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(378),
    [anon_sym_SLASH] = ACTIONS(378),
    [anon_sym_GT_EQ] = ACTIONS(376),
    [anon_sym_LT_EQ] = ACTIONS(376),
    [anon_sym_EQ_EQ] = ACTIONS(376),
    [anon_sym_BANG_EQ] = ACTIONS(376),
    [anon_sym_EQ] = ACTIONS(378),
    [anon_sym_PLUS_EQ] = ACTIONS(376),
    [anon_sym_DASH_EQ] = ACTIONS(376),
    [anon_sym_STAR_EQ] = ACTIONS(376),
    [anon_sym_SLASH_EQ] = ACTIONS(376),
    [anon_sym_DQUOTE] = ACTIONS(376),
    [sym__identifier] = ACTIONS(378),
    [anon_sym_linear] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(378),
    [anon_sym_ease] = ACTIONS(378),
    [anon_sym_ease_DASHin] = ACTIONS(378),
    [anon_sym_ease_DASHout] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(378),
    [anon_sym_cubic_DASHbezier] = ACTIONS(378),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(376),
    [anon_sym_ATlinear_gradient] = ACTIONS(376),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(376),
    [anon_sym_ATradial_gradient] = ACTIONS(376),
    [anon_sym_parent] = ACTIONS(378),
    [anon_sym_root] = ACTIONS(378),
    [anon_sym_self] = ACTIONS(378),
    [sym__int_number] = ACTIONS(378),
    [sym__float_number] = ACTIONS(376),
    [anon_sym_true] = ACTIONS(378),
    [anon_sym_false] = ACTIONS(378),
    [sym_color_value] = ACTIONS(376),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [anon_sym_LBRACE] = ACTIONS(380),
    [anon_sym_COMMA] = ACTIONS(380),
    [anon_sym_RBRACE] = ACTIONS(380),
    [anon_sym_SEMI] = ACTIONS(380),
    [anon_sym_LT] = ACTIONS(382),
    [anon_sym_GT] = ACTIONS(382),
    [anon_sym_return] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(380),
    [anon_sym_LBRACK] = ACTIONS(380),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_LPAREN] = ACTIONS(380),
    [anon_sym_RPAREN] = ACTIONS(380),
    [anon_sym_ATtr] = ACTIONS(380),
    [anon_sym_EQ_GT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(382),
    [sym_logical_and] = ACTIONS(380),
    [sym_logical_or] = ACTIONS(380),
    [anon_sym_QMARK] = ACTIONS(380),
    [anon_sym_ATimage_DASHurl] = ACTIONS(380),
    [anon_sym_BANG] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_STAR] = ACTIONS(382),
    [anon_sym_SLASH] = ACTIONS(382),
    [anon_sym_GT_EQ] = ACTIONS(380),
    [anon_sym_LT_EQ] = ACTIONS(380),
    [anon_sym_EQ_EQ] = ACTIONS(380),
    [anon_sym_BANG_EQ] = ACTIONS(380),
    [anon_sym_EQ] = ACTIONS(382),
    [anon_sym_PLUS_EQ] = ACTIONS(380),
    [anon_sym_DASH_EQ] = ACTIONS(380),
    [anon_sym_STAR_EQ] = ACTIONS(380),
    [anon_sym_SLASH_EQ] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [sym__identifier] = ACTIONS(382),
    [anon_sym_linear] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(382),
    [anon_sym_ease] = ACTIONS(382),
    [anon_sym_ease_DASHin] = ACTIONS(382),
    [anon_sym_ease_DASHout] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(382),
    [anon_sym_cubic_DASHbezier] = ACTIONS(382),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(380),
    [anon_sym_ATlinear_gradient] = ACTIONS(380),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(380),
    [anon_sym_ATradial_gradient] = ACTIONS(380),
    [anon_sym_parent] = ACTIONS(382),
    [anon_sym_root] = ACTIONS(382),
    [anon_sym_self] = ACTIONS(382),
    [sym__int_number] = ACTIONS(382),
    [sym__float_number] = ACTIONS(380),
    [anon_sym_true] = ACTIONS(382),
    [anon_sym_false] = ACTIONS(382),
    [sym_color_value] = ACTIONS(380),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_COMMA] = ACTIONS(384),
    [anon_sym_RBRACE] = ACTIONS(384),
    [anon_sym_SEMI] = ACTIONS(384),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_return] = ACTIONS(386),
    [anon_sym_COLON] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_if] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(384),
    [anon_sym_RPAREN] = ACTIONS(384),
    [anon_sym_ATtr] = ACTIONS(384),
    [anon_sym_EQ_GT] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [sym_logical_and] = ACTIONS(384),
    [sym_logical_or] = ACTIONS(384),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_ATimage_DASHurl] = ACTIONS(384),
    [anon_sym_BANG] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_DQUOTE] = ACTIONS(384),
    [sym__identifier] = ACTIONS(386),
    [anon_sym_linear] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(386),
    [anon_sym_ease] = ACTIONS(386),
    [anon_sym_ease_DASHin] = ACTIONS(386),
    [anon_sym_ease_DASHout] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(386),
    [anon_sym_cubic_DASHbezier] = ACTIONS(386),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(384),
    [anon_sym_ATlinear_gradient] = ACTIONS(384),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(384),
    [anon_sym_ATradial_gradient] = ACTIONS(384),
    [anon_sym_parent] = ACTIONS(386),
    [anon_sym_root] = ACTIONS(386),
    [anon_sym_self] = ACTIONS(386),
    [sym__int_number] = ACTIONS(386),
    [sym__float_number] = ACTIONS(384),
    [anon_sym_true] = ACTIONS(386),
    [anon_sym_false] = ACTIONS(386),
    [sym_color_value] = ACTIONS(384),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_arguments] = STATE(154),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_COMMA] = ACTIONS(388),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_COLON] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_RPAREN] = ACTIONS(388),
    [anon_sym_ATtr] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(390),
    [sym_logical_and] = ACTIONS(388),
    [sym_logical_or] = ACTIONS(388),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_ATimage_DASHurl] = ACTIONS(388),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_DQUOTE] = ACTIONS(388),
    [sym__identifier] = ACTIONS(390),
    [anon_sym_linear] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease] = ACTIONS(390),
    [anon_sym_ease_DASHin] = ACTIONS(390),
    [anon_sym_ease_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_cubic_DASHbezier] = ACTIONS(390),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(388),
    [anon_sym_ATlinear_gradient] = ACTIONS(388),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(388),
    [anon_sym_ATradial_gradient] = ACTIONS(388),
    [anon_sym_parent] = ACTIONS(390),
    [anon_sym_root] = ACTIONS(390),
    [anon_sym_self] = ACTIONS(390),
    [sym__int_number] = ACTIONS(390),
    [sym__float_number] = ACTIONS(388),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [sym_color_value] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(394),
    [anon_sym_LT] = ACTIONS(396),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_COLON] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_ATtr] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(394),
    [sym_logical_or] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(394),
    [anon_sym_ATimage_DASHurl] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(394),
    [anon_sym_LT_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_PLUS_EQ] = ACTIONS(394),
    [anon_sym_DASH_EQ] = ACTIONS(394),
    [anon_sym_STAR_EQ] = ACTIONS(394),
    [anon_sym_SLASH_EQ] = ACTIONS(394),
    [anon_sym_DQUOTE] = ACTIONS(394),
    [sym__identifier] = ACTIONS(396),
    [anon_sym_linear] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(396),
    [anon_sym_ease] = ACTIONS(396),
    [anon_sym_ease_DASHin] = ACTIONS(396),
    [anon_sym_ease_DASHout] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(396),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(396),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(396),
    [anon_sym_cubic_DASHbezier] = ACTIONS(396),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(394),
    [anon_sym_ATlinear_gradient] = ACTIONS(394),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(394),
    [anon_sym_ATradial_gradient] = ACTIONS(394),
    [anon_sym_parent] = ACTIONS(396),
    [anon_sym_root] = ACTIONS(396),
    [anon_sym_self] = ACTIONS(396),
    [sym__int_number] = ACTIONS(396),
    [sym__float_number] = ACTIONS(394),
    [anon_sym_true] = ACTIONS(396),
    [anon_sym_false] = ACTIONS(396),
    [sym_color_value] = ACTIONS(394),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(398),
    [anon_sym_RBRACE] = ACTIONS(398),
    [anon_sym_SEMI] = ACTIONS(398),
    [anon_sym_LT] = ACTIONS(400),
    [anon_sym_GT] = ACTIONS(400),
    [anon_sym_return] = ACTIONS(400),
    [anon_sym_COLON] = ACTIONS(398),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(400),
    [anon_sym_LPAREN] = ACTIONS(398),
    [anon_sym_ATtr] = ACTIONS(398),
    [anon_sym_DOT] = ACTIONS(400),
    [sym_logical_and] = ACTIONS(398),
    [sym_logical_or] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(398),
    [anon_sym_ATimage_DASHurl] = ACTIONS(398),
    [anon_sym_BANG] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(398),
    [anon_sym_EQ] = ACTIONS(400),
    [anon_sym_PLUS_EQ] = ACTIONS(398),
    [anon_sym_DASH_EQ] = ACTIONS(398),
    [anon_sym_STAR_EQ] = ACTIONS(398),
    [anon_sym_SLASH_EQ] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym__identifier] = ACTIONS(400),
    [anon_sym_linear] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(400),
    [anon_sym_ease] = ACTIONS(400),
    [anon_sym_ease_DASHin] = ACTIONS(400),
    [anon_sym_ease_DASHout] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(400),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(400),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(400),
    [anon_sym_cubic_DASHbezier] = ACTIONS(400),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(398),
    [anon_sym_ATlinear_gradient] = ACTIONS(398),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(398),
    [anon_sym_ATradial_gradient] = ACTIONS(398),
    [anon_sym_parent] = ACTIONS(400),
    [anon_sym_root] = ACTIONS(400),
    [anon_sym_self] = ACTIONS(400),
    [sym__int_number] = ACTIONS(400),
    [sym__float_number] = ACTIONS(398),
    [anon_sym_true] = ACTIONS(400),
    [anon_sym_false] = ACTIONS(400),
    [sym_color_value] = ACTIONS(398),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(402),
    [anon_sym_RBRACE] = ACTIONS(402),
    [anon_sym_SEMI] = ACTIONS(402),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(404),
    [anon_sym_COLON] = ACTIONS(402),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(404),
    [anon_sym_LPAREN] = ACTIONS(402),
    [anon_sym_ATtr] = ACTIONS(402),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(402),
    [sym_logical_or] = ACTIONS(402),
    [anon_sym_QMARK] = ACTIONS(402),
    [anon_sym_ATimage_DASHurl] = ACTIONS(402),
    [anon_sym_BANG] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(404),
    [anon_sym_PLUS_EQ] = ACTIONS(402),
    [anon_sym_DASH_EQ] = ACTIONS(402),
    [anon_sym_STAR_EQ] = ACTIONS(402),
    [anon_sym_SLASH_EQ] = ACTIONS(402),
    [anon_sym_DQUOTE] = ACTIONS(402),
    [sym__identifier] = ACTIONS(404),
    [anon_sym_linear] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(404),
    [anon_sym_ease] = ACTIONS(404),
    [anon_sym_ease_DASHin] = ACTIONS(404),
    [anon_sym_ease_DASHout] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(404),
    [anon_sym_cubic_DASHbezier] = ACTIONS(404),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(402),
    [anon_sym_ATlinear_gradient] = ACTIONS(402),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(402),
    [anon_sym_ATradial_gradient] = ACTIONS(402),
    [anon_sym_parent] = ACTIONS(404),
    [anon_sym_root] = ACTIONS(404),
    [anon_sym_self] = ACTIONS(404),
    [sym__int_number] = ACTIONS(404),
    [sym__float_number] = ACTIONS(402),
    [anon_sym_true] = ACTIONS(404),
    [anon_sym_false] = ACTIONS(404),
    [sym_color_value] = ACTIONS(402),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [anon_sym_LBRACE] = ACTIONS(406),
    [anon_sym_COMMA] = ACTIONS(406),
    [anon_sym_RBRACE] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(406),
    [anon_sym_LT] = ACTIONS(408),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_return] = ACTIONS(408),
    [anon_sym_COLON] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(406),
    [anon_sym_if] = ACTIONS(408),
    [anon_sym_LPAREN] = ACTIONS(406),
    [anon_sym_RPAREN] = ACTIONS(406),
    [anon_sym_ATtr] = ACTIONS(406),
    [anon_sym_EQ_GT] = ACTIONS(406),
    [anon_sym_DOT] = ACTIONS(408),
    [sym_logical_and] = ACTIONS(406),
    [sym_logical_or] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(406),
    [anon_sym_ATimage_DASHurl] = ACTIONS(406),
    [anon_sym_BANG] = ACTIONS(408),
    [anon_sym_DASH] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(408),
    [anon_sym_STAR] = ACTIONS(408),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_GT_EQ] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(406),
    [anon_sym_EQ_EQ] = ACTIONS(406),
    [anon_sym_BANG_EQ] = ACTIONS(406),
    [anon_sym_EQ] = ACTIONS(408),
    [anon_sym_PLUS_EQ] = ACTIONS(406),
    [anon_sym_DASH_EQ] = ACTIONS(406),
    [anon_sym_STAR_EQ] = ACTIONS(406),
    [anon_sym_SLASH_EQ] = ACTIONS(406),
    [anon_sym_DQUOTE] = ACTIONS(406),
    [sym__identifier] = ACTIONS(408),
    [anon_sym_linear] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(408),
    [anon_sym_ease] = ACTIONS(408),
    [anon_sym_ease_DASHin] = ACTIONS(408),
    [anon_sym_ease_DASHout] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(408),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(408),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(408),
    [anon_sym_cubic_DASHbezier] = ACTIONS(408),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(406),
    [anon_sym_ATlinear_gradient] = ACTIONS(406),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(406),
    [anon_sym_ATradial_gradient] = ACTIONS(406),
    [anon_sym_parent] = ACTIONS(408),
    [anon_sym_root] = ACTIONS(408),
    [anon_sym_self] = ACTIONS(408),
    [sym__int_number] = ACTIONS(408),
    [sym__float_number] = ACTIONS(406),
    [anon_sym_true] = ACTIONS(408),
    [anon_sym_false] = ACTIONS(408),
    [sym_color_value] = ACTIONS(406),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [anon_sym_LBRACE] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(410),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_GT] = ACTIONS(412),
    [anon_sym_return] = ACTIONS(412),
    [anon_sym_COLON] = ACTIONS(410),
    [anon_sym_LBRACK] = ACTIONS(410),
    [anon_sym_if] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_RPAREN] = ACTIONS(410),
    [anon_sym_ATtr] = ACTIONS(410),
    [anon_sym_EQ_GT] = ACTIONS(410),
    [anon_sym_DOT] = ACTIONS(412),
    [sym_logical_and] = ACTIONS(410),
    [sym_logical_or] = ACTIONS(410),
    [anon_sym_QMARK] = ACTIONS(410),
    [anon_sym_ATimage_DASHurl] = ACTIONS(410),
    [anon_sym_BANG] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(412),
    [anon_sym_SLASH] = ACTIONS(412),
    [anon_sym_GT_EQ] = ACTIONS(410),
    [anon_sym_LT_EQ] = ACTIONS(410),
    [anon_sym_EQ_EQ] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(410),
    [anon_sym_EQ] = ACTIONS(412),
    [anon_sym_PLUS_EQ] = ACTIONS(410),
    [anon_sym_DASH_EQ] = ACTIONS(410),
    [anon_sym_STAR_EQ] = ACTIONS(410),
    [anon_sym_SLASH_EQ] = ACTIONS(410),
    [anon_sym_DQUOTE] = ACTIONS(410),
    [sym__identifier] = ACTIONS(412),
    [anon_sym_linear] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(412),
    [anon_sym_ease] = ACTIONS(412),
    [anon_sym_ease_DASHin] = ACTIONS(412),
    [anon_sym_ease_DASHout] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(412),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(412),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(412),
    [anon_sym_cubic_DASHbezier] = ACTIONS(412),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(410),
    [anon_sym_ATlinear_gradient] = ACTIONS(410),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(410),
    [anon_sym_ATradial_gradient] = ACTIONS(410),
    [anon_sym_parent] = ACTIONS(412),
    [anon_sym_root] = ACTIONS(412),
    [anon_sym_self] = ACTIONS(412),
    [sym__int_number] = ACTIONS(412),
    [sym__float_number] = ACTIONS(410),
    [anon_sym_true] = ACTIONS(412),
    [anon_sym_false] = ACTIONS(412),
    [sym_color_value] = ACTIONS(410),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [anon_sym_LBRACE] = ACTIONS(414),
    [anon_sym_COMMA] = ACTIONS(414),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_return] = ACTIONS(416),
    [anon_sym_COLON] = ACTIONS(414),
    [anon_sym_LBRACK] = ACTIONS(414),
    [anon_sym_if] = ACTIONS(416),
    [anon_sym_LPAREN] = ACTIONS(414),
    [anon_sym_RPAREN] = ACTIONS(414),
    [anon_sym_ATtr] = ACTIONS(414),
    [anon_sym_EQ_GT] = ACTIONS(414),
    [anon_sym_DOT] = ACTIONS(416),
    [sym_logical_and] = ACTIONS(414),
    [sym_logical_or] = ACTIONS(414),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_ATimage_DASHurl] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_DASH] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(416),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_SLASH] = ACTIONS(416),
    [anon_sym_GT_EQ] = ACTIONS(414),
    [anon_sym_LT_EQ] = ACTIONS(414),
    [anon_sym_EQ_EQ] = ACTIONS(414),
    [anon_sym_BANG_EQ] = ACTIONS(414),
    [anon_sym_EQ] = ACTIONS(416),
    [anon_sym_PLUS_EQ] = ACTIONS(414),
    [anon_sym_DASH_EQ] = ACTIONS(414),
    [anon_sym_STAR_EQ] = ACTIONS(414),
    [anon_sym_SLASH_EQ] = ACTIONS(414),
    [anon_sym_DQUOTE] = ACTIONS(414),
    [sym__identifier] = ACTIONS(416),
    [anon_sym_linear] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(416),
    [anon_sym_ease] = ACTIONS(416),
    [anon_sym_ease_DASHin] = ACTIONS(416),
    [anon_sym_ease_DASHout] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(416),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(416),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(416),
    [anon_sym_cubic_DASHbezier] = ACTIONS(416),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(414),
    [anon_sym_ATlinear_gradient] = ACTIONS(414),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(414),
    [anon_sym_ATradial_gradient] = ACTIONS(414),
    [anon_sym_parent] = ACTIONS(416),
    [anon_sym_root] = ACTIONS(416),
    [anon_sym_self] = ACTIONS(416),
    [sym__int_number] = ACTIONS(416),
    [sym__float_number] = ACTIONS(414),
    [anon_sym_true] = ACTIONS(416),
    [anon_sym_false] = ACTIONS(416),
    [sym_color_value] = ACTIONS(414),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(402),
    [anon_sym_RBRACE] = ACTIONS(402),
    [anon_sym_SEMI] = ACTIONS(402),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(404),
    [anon_sym_COLON] = ACTIONS(402),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(404),
    [anon_sym_LPAREN] = ACTIONS(402),
    [anon_sym_ATtr] = ACTIONS(402),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(402),
    [anon_sym_QMARK] = ACTIONS(402),
    [anon_sym_ATimage_DASHurl] = ACTIONS(402),
    [anon_sym_BANG] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(404),
    [anon_sym_PLUS_EQ] = ACTIONS(402),
    [anon_sym_DASH_EQ] = ACTIONS(402),
    [anon_sym_STAR_EQ] = ACTIONS(402),
    [anon_sym_SLASH_EQ] = ACTIONS(402),
    [anon_sym_DQUOTE] = ACTIONS(402),
    [sym__identifier] = ACTIONS(404),
    [anon_sym_linear] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(404),
    [anon_sym_ease] = ACTIONS(404),
    [anon_sym_ease_DASHin] = ACTIONS(404),
    [anon_sym_ease_DASHout] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(404),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(404),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(404),
    [anon_sym_cubic_DASHbezier] = ACTIONS(404),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(402),
    [anon_sym_ATlinear_gradient] = ACTIONS(402),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(402),
    [anon_sym_ATradial_gradient] = ACTIONS(402),
    [anon_sym_parent] = ACTIONS(404),
    [anon_sym_root] = ACTIONS(404),
    [anon_sym_self] = ACTIONS(404),
    [sym__int_number] = ACTIONS(404),
    [sym__float_number] = ACTIONS(402),
    [anon_sym_true] = ACTIONS(404),
    [anon_sym_false] = ACTIONS(404),
    [sym_color_value] = ACTIONS(402),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_RBRACE] = ACTIONS(418),
    [anon_sym_SEMI] = ACTIONS(418),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_COLON] = ACTIONS(418),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(418),
    [anon_sym_ATtr] = ACTIONS(418),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(418),
    [sym_logical_or] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(418),
    [anon_sym_ATimage_DASHurl] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(418),
    [anon_sym_DASH_EQ] = ACTIONS(418),
    [anon_sym_STAR_EQ] = ACTIONS(418),
    [anon_sym_SLASH_EQ] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(418),
    [sym__identifier] = ACTIONS(420),
    [anon_sym_linear] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(420),
    [anon_sym_ease] = ACTIONS(420),
    [anon_sym_ease_DASHin] = ACTIONS(420),
    [anon_sym_ease_DASHout] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(420),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(420),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(420),
    [anon_sym_cubic_DASHbezier] = ACTIONS(420),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(418),
    [anon_sym_ATlinear_gradient] = ACTIONS(418),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(418),
    [anon_sym_ATradial_gradient] = ACTIONS(418),
    [anon_sym_parent] = ACTIONS(420),
    [anon_sym_root] = ACTIONS(420),
    [anon_sym_self] = ACTIONS(420),
    [sym__int_number] = ACTIONS(420),
    [sym__float_number] = ACTIONS(418),
    [anon_sym_true] = ACTIONS(420),
    [anon_sym_false] = ACTIONS(420),
    [sym_color_value] = ACTIONS(418),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(422),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(424),
    [anon_sym_COLON] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(424),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_ATtr] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_ATimage_DASHurl] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(424),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(422),
    [sym__identifier] = ACTIONS(424),
    [anon_sym_linear] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(424),
    [anon_sym_ease] = ACTIONS(424),
    [anon_sym_ease_DASHin] = ACTIONS(424),
    [anon_sym_ease_DASHout] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(424),
    [anon_sym_cubic_DASHbezier] = ACTIONS(424),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(422),
    [anon_sym_ATlinear_gradient] = ACTIONS(422),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(422),
    [anon_sym_ATradial_gradient] = ACTIONS(422),
    [anon_sym_parent] = ACTIONS(424),
    [anon_sym_root] = ACTIONS(424),
    [anon_sym_self] = ACTIONS(424),
    [sym__int_number] = ACTIONS(424),
    [sym__float_number] = ACTIONS(422),
    [anon_sym_true] = ACTIONS(424),
    [anon_sym_false] = ACTIONS(424),
    [sym_color_value] = ACTIONS(422),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_COLON] = ACTIONS(426),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_ATtr] = ACTIONS(426),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(426),
    [sym_logical_or] = ACTIONS(426),
    [anon_sym_QMARK] = ACTIONS(426),
    [anon_sym_ATimage_DASHurl] = ACTIONS(426),
    [anon_sym_BANG] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(426),
    [anon_sym_LT_EQ] = ACTIONS(426),
    [anon_sym_EQ_EQ] = ACTIONS(426),
    [anon_sym_BANG_EQ] = ACTIONS(426),
    [anon_sym_EQ] = ACTIONS(428),
    [anon_sym_PLUS_EQ] = ACTIONS(426),
    [anon_sym_DASH_EQ] = ACTIONS(426),
    [anon_sym_STAR_EQ] = ACTIONS(426),
    [anon_sym_SLASH_EQ] = ACTIONS(426),
    [anon_sym_DQUOTE] = ACTIONS(426),
    [sym__identifier] = ACTIONS(428),
    [anon_sym_linear] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(428),
    [anon_sym_ease] = ACTIONS(428),
    [anon_sym_ease_DASHin] = ACTIONS(428),
    [anon_sym_ease_DASHout] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(428),
    [anon_sym_cubic_DASHbezier] = ACTIONS(428),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(426),
    [anon_sym_ATlinear_gradient] = ACTIONS(426),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(426),
    [anon_sym_ATradial_gradient] = ACTIONS(426),
    [anon_sym_parent] = ACTIONS(428),
    [anon_sym_root] = ACTIONS(428),
    [anon_sym_self] = ACTIONS(428),
    [sym__int_number] = ACTIONS(428),
    [sym__float_number] = ACTIONS(426),
    [anon_sym_true] = ACTIONS(428),
    [anon_sym_false] = ACTIONS(428),
    [sym_color_value] = ACTIONS(426),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [anon_sym_LBRACE] = ACTIONS(430),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_GT] = ACTIONS(432),
    [anon_sym_return] = ACTIONS(432),
    [anon_sym_COLON] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_if] = ACTIONS(432),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_RPAREN] = ACTIONS(430),
    [anon_sym_ATtr] = ACTIONS(430),
    [anon_sym_EQ_GT] = ACTIONS(430),
    [anon_sym_DOT] = ACTIONS(432),
    [sym_logical_and] = ACTIONS(430),
    [sym_logical_or] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_ATimage_DASHurl] = ACTIONS(430),
    [anon_sym_BANG] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_STAR] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(430),
    [anon_sym_EQ] = ACTIONS(432),
    [anon_sym_PLUS_EQ] = ACTIONS(430),
    [anon_sym_DASH_EQ] = ACTIONS(430),
    [anon_sym_STAR_EQ] = ACTIONS(430),
    [anon_sym_SLASH_EQ] = ACTIONS(430),
    [anon_sym_DQUOTE] = ACTIONS(430),
    [sym__identifier] = ACTIONS(432),
    [anon_sym_linear] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(432),
    [anon_sym_ease] = ACTIONS(432),
    [anon_sym_ease_DASHin] = ACTIONS(432),
    [anon_sym_ease_DASHout] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(432),
    [anon_sym_cubic_DASHbezier] = ACTIONS(432),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(430),
    [anon_sym_ATlinear_gradient] = ACTIONS(430),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(430),
    [anon_sym_ATradial_gradient] = ACTIONS(430),
    [anon_sym_parent] = ACTIONS(432),
    [anon_sym_root] = ACTIONS(432),
    [anon_sym_self] = ACTIONS(432),
    [sym__int_number] = ACTIONS(432),
    [sym__float_number] = ACTIONS(430),
    [anon_sym_true] = ACTIONS(432),
    [anon_sym_false] = ACTIONS(432),
    [sym_color_value] = ACTIONS(430),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_COMMA] = ACTIONS(388),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_COLON] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_RPAREN] = ACTIONS(388),
    [anon_sym_ATtr] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(390),
    [sym_logical_and] = ACTIONS(388),
    [sym_logical_or] = ACTIONS(388),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_ATimage_DASHurl] = ACTIONS(388),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_DQUOTE] = ACTIONS(388),
    [sym__identifier] = ACTIONS(390),
    [anon_sym_linear] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease] = ACTIONS(390),
    [anon_sym_ease_DASHin] = ACTIONS(390),
    [anon_sym_ease_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_cubic_DASHbezier] = ACTIONS(390),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(388),
    [anon_sym_ATlinear_gradient] = ACTIONS(388),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(388),
    [anon_sym_ATradial_gradient] = ACTIONS(388),
    [anon_sym_parent] = ACTIONS(390),
    [anon_sym_root] = ACTIONS(390),
    [anon_sym_self] = ACTIONS(390),
    [sym__int_number] = ACTIONS(390),
    [sym__float_number] = ACTIONS(388),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [sym_color_value] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_COMMA] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(436),
    [anon_sym_GT] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_COLON] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_RPAREN] = ACTIONS(434),
    [anon_sym_ATtr] = ACTIONS(434),
    [anon_sym_DOT] = ACTIONS(436),
    [sym_logical_and] = ACTIONS(434),
    [sym_logical_or] = ACTIONS(434),
    [anon_sym_QMARK] = ACTIONS(434),
    [anon_sym_ATimage_DASHurl] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_STAR] = ACTIONS(436),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_GT_EQ] = ACTIONS(434),
    [anon_sym_LT_EQ] = ACTIONS(434),
    [anon_sym_EQ_EQ] = ACTIONS(434),
    [anon_sym_BANG_EQ] = ACTIONS(434),
    [anon_sym_EQ] = ACTIONS(436),
    [anon_sym_PLUS_EQ] = ACTIONS(434),
    [anon_sym_DASH_EQ] = ACTIONS(434),
    [anon_sym_STAR_EQ] = ACTIONS(434),
    [anon_sym_SLASH_EQ] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(434),
    [sym__identifier] = ACTIONS(436),
    [anon_sym_linear] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(436),
    [anon_sym_ease] = ACTIONS(436),
    [anon_sym_ease_DASHin] = ACTIONS(436),
    [anon_sym_ease_DASHout] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(436),
    [anon_sym_cubic_DASHbezier] = ACTIONS(436),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(434),
    [anon_sym_ATlinear_gradient] = ACTIONS(434),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(434),
    [anon_sym_ATradial_gradient] = ACTIONS(434),
    [anon_sym_parent] = ACTIONS(436),
    [anon_sym_root] = ACTIONS(436),
    [anon_sym_self] = ACTIONS(436),
    [sym__int_number] = ACTIONS(436),
    [sym__float_number] = ACTIONS(434),
    [anon_sym_true] = ACTIONS(436),
    [anon_sym_false] = ACTIONS(436),
    [sym_color_value] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [anon_sym_LBRACE] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_LT] = ACTIONS(440),
    [anon_sym_GT] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_COLON] = ACTIONS(438),
    [anon_sym_LBRACK] = ACTIONS(438),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_RPAREN] = ACTIONS(438),
    [anon_sym_ATtr] = ACTIONS(438),
    [anon_sym_DOT] = ACTIONS(440),
    [sym_logical_and] = ACTIONS(438),
    [sym_logical_or] = ACTIONS(438),
    [anon_sym_QMARK] = ACTIONS(438),
    [anon_sym_ATimage_DASHurl] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(438),
    [anon_sym_LT_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_EQ] = ACTIONS(440),
    [anon_sym_PLUS_EQ] = ACTIONS(438),
    [anon_sym_DASH_EQ] = ACTIONS(438),
    [anon_sym_STAR_EQ] = ACTIONS(438),
    [anon_sym_SLASH_EQ] = ACTIONS(438),
    [anon_sym_DQUOTE] = ACTIONS(438),
    [sym__identifier] = ACTIONS(440),
    [anon_sym_linear] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(440),
    [anon_sym_ease] = ACTIONS(440),
    [anon_sym_ease_DASHin] = ACTIONS(440),
    [anon_sym_ease_DASHout] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(440),
    [anon_sym_cubic_DASHbezier] = ACTIONS(440),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(438),
    [anon_sym_ATlinear_gradient] = ACTIONS(438),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(438),
    [anon_sym_ATradial_gradient] = ACTIONS(438),
    [anon_sym_parent] = ACTIONS(440),
    [anon_sym_root] = ACTIONS(440),
    [anon_sym_self] = ACTIONS(440),
    [sym__int_number] = ACTIONS(440),
    [sym__float_number] = ACTIONS(438),
    [anon_sym_true] = ACTIONS(440),
    [anon_sym_false] = ACTIONS(440),
    [sym_color_value] = ACTIONS(438),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_return] = ACTIONS(444),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(442),
    [anon_sym_if] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
    [anon_sym_ATtr] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(444),
    [sym_logical_and] = ACTIONS(442),
    [sym_logical_or] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_ATimage_DASHurl] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_EQ_EQ] = ACTIONS(442),
    [anon_sym_BANG_EQ] = ACTIONS(442),
    [anon_sym_EQ] = ACTIONS(444),
    [anon_sym_PLUS_EQ] = ACTIONS(442),
    [anon_sym_DASH_EQ] = ACTIONS(442),
    [anon_sym_STAR_EQ] = ACTIONS(442),
    [anon_sym_SLASH_EQ] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(442),
    [sym__identifier] = ACTIONS(444),
    [anon_sym_linear] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(444),
    [anon_sym_ease] = ACTIONS(444),
    [anon_sym_ease_DASHin] = ACTIONS(444),
    [anon_sym_ease_DASHout] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(444),
    [anon_sym_cubic_DASHbezier] = ACTIONS(444),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(442),
    [anon_sym_ATlinear_gradient] = ACTIONS(442),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(442),
    [anon_sym_ATradial_gradient] = ACTIONS(442),
    [anon_sym_parent] = ACTIONS(444),
    [anon_sym_root] = ACTIONS(444),
    [anon_sym_self] = ACTIONS(444),
    [sym__int_number] = ACTIONS(444),
    [sym__float_number] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(444),
    [anon_sym_false] = ACTIONS(444),
    [sym_color_value] = ACTIONS(442),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [anon_sym_LBRACE] = ACTIONS(446),
    [anon_sym_COMMA] = ACTIONS(446),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_SEMI] = ACTIONS(446),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_COLON] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(446),
    [anon_sym_RPAREN] = ACTIONS(446),
    [anon_sym_ATtr] = ACTIONS(446),
    [anon_sym_DOT] = ACTIONS(448),
    [sym_logical_and] = ACTIONS(446),
    [sym_logical_or] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(446),
    [anon_sym_ATimage_DASHurl] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_GT_EQ] = ACTIONS(446),
    [anon_sym_LT_EQ] = ACTIONS(446),
    [anon_sym_EQ_EQ] = ACTIONS(446),
    [anon_sym_BANG_EQ] = ACTIONS(446),
    [anon_sym_EQ] = ACTIONS(448),
    [anon_sym_PLUS_EQ] = ACTIONS(446),
    [anon_sym_DASH_EQ] = ACTIONS(446),
    [anon_sym_STAR_EQ] = ACTIONS(446),
    [anon_sym_SLASH_EQ] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(446),
    [sym__identifier] = ACTIONS(448),
    [anon_sym_linear] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(448),
    [anon_sym_ease] = ACTIONS(448),
    [anon_sym_ease_DASHin] = ACTIONS(448),
    [anon_sym_ease_DASHout] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(448),
    [anon_sym_cubic_DASHbezier] = ACTIONS(448),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(446),
    [anon_sym_ATlinear_gradient] = ACTIONS(446),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(446),
    [anon_sym_ATradial_gradient] = ACTIONS(446),
    [anon_sym_parent] = ACTIONS(448),
    [anon_sym_root] = ACTIONS(448),
    [anon_sym_self] = ACTIONS(448),
    [sym__int_number] = ACTIONS(448),
    [sym__float_number] = ACTIONS(446),
    [anon_sym_true] = ACTIONS(448),
    [anon_sym_false] = ACTIONS(448),
    [sym_color_value] = ACTIONS(446),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [anon_sym_LBRACE] = ACTIONS(450),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_SEMI] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(452),
    [anon_sym_GT] = ACTIONS(452),
    [anon_sym_return] = ACTIONS(452),
    [anon_sym_COLON] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_if] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_RPAREN] = ACTIONS(450),
    [anon_sym_ATtr] = ACTIONS(450),
    [anon_sym_DOT] = ACTIONS(452),
    [sym_logical_and] = ACTIONS(450),
    [sym_logical_or] = ACTIONS(450),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_ATimage_DASHurl] = ACTIONS(450),
    [anon_sym_BANG] = ACTIONS(452),
    [anon_sym_DASH] = ACTIONS(452),
    [anon_sym_PLUS] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(452),
    [anon_sym_SLASH] = ACTIONS(452),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(450),
    [anon_sym_EQ] = ACTIONS(452),
    [anon_sym_PLUS_EQ] = ACTIONS(450),
    [anon_sym_DASH_EQ] = ACTIONS(450),
    [anon_sym_STAR_EQ] = ACTIONS(450),
    [anon_sym_SLASH_EQ] = ACTIONS(450),
    [anon_sym_DQUOTE] = ACTIONS(450),
    [sym__identifier] = ACTIONS(452),
    [anon_sym_linear] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(452),
    [anon_sym_ease] = ACTIONS(452),
    [anon_sym_ease_DASHin] = ACTIONS(452),
    [anon_sym_ease_DASHout] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(452),
    [anon_sym_cubic_DASHbezier] = ACTIONS(452),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(450),
    [anon_sym_ATlinear_gradient] = ACTIONS(450),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(450),
    [anon_sym_ATradial_gradient] = ACTIONS(450),
    [anon_sym_parent] = ACTIONS(452),
    [anon_sym_root] = ACTIONS(452),
    [anon_sym_self] = ACTIONS(452),
    [sym__int_number] = ACTIONS(452),
    [sym__float_number] = ACTIONS(450),
    [anon_sym_true] = ACTIONS(452),
    [anon_sym_false] = ACTIONS(452),
    [sym_color_value] = ACTIONS(450),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_RPAREN] = ACTIONS(454),
    [anon_sym_ATtr] = ACTIONS(454),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(454),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_EQ] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(454),
    [anon_sym_DASH_EQ] = ACTIONS(454),
    [anon_sym_STAR_EQ] = ACTIONS(454),
    [anon_sym_SLASH_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [sym__identifier] = ACTIONS(456),
    [anon_sym_linear] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(456),
    [anon_sym_ease] = ACTIONS(456),
    [anon_sym_ease_DASHin] = ACTIONS(456),
    [anon_sym_ease_DASHout] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(456),
    [anon_sym_cubic_DASHbezier] = ACTIONS(456),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(454),
    [anon_sym_ATlinear_gradient] = ACTIONS(454),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(454),
    [anon_sym_ATradial_gradient] = ACTIONS(454),
    [anon_sym_parent] = ACTIONS(456),
    [anon_sym_root] = ACTIONS(456),
    [anon_sym_self] = ACTIONS(456),
    [sym__int_number] = ACTIONS(456),
    [sym__float_number] = ACTIONS(454),
    [anon_sym_true] = ACTIONS(456),
    [anon_sym_false] = ACTIONS(456),
    [sym_color_value] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_GT] = ACTIONS(460),
    [anon_sym_return] = ACTIONS(460),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_if] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_ATtr] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(460),
    [sym_logical_and] = ACTIONS(458),
    [sym_logical_or] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_ATimage_DASHurl] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(460),
    [anon_sym_PLUS_EQ] = ACTIONS(458),
    [anon_sym_DASH_EQ] = ACTIONS(458),
    [anon_sym_STAR_EQ] = ACTIONS(458),
    [anon_sym_SLASH_EQ] = ACTIONS(458),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [sym__identifier] = ACTIONS(460),
    [anon_sym_linear] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(460),
    [anon_sym_ease] = ACTIONS(460),
    [anon_sym_ease_DASHin] = ACTIONS(460),
    [anon_sym_ease_DASHout] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(460),
    [anon_sym_cubic_DASHbezier] = ACTIONS(460),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(458),
    [anon_sym_ATlinear_gradient] = ACTIONS(458),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(458),
    [anon_sym_ATradial_gradient] = ACTIONS(458),
    [anon_sym_parent] = ACTIONS(460),
    [anon_sym_root] = ACTIONS(460),
    [anon_sym_self] = ACTIONS(460),
    [sym__int_number] = ACTIONS(460),
    [sym__float_number] = ACTIONS(458),
    [anon_sym_true] = ACTIONS(460),
    [anon_sym_false] = ACTIONS(460),
    [sym_color_value] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [anon_sym_LBRACE] = ACTIONS(462),
    [anon_sym_COMMA] = ACTIONS(462),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(462),
    [anon_sym_LT] = ACTIONS(464),
    [anon_sym_GT] = ACTIONS(464),
    [anon_sym_return] = ACTIONS(464),
    [anon_sym_COLON] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_LPAREN] = ACTIONS(462),
    [anon_sym_RPAREN] = ACTIONS(462),
    [anon_sym_ATtr] = ACTIONS(462),
    [anon_sym_DOT] = ACTIONS(464),
    [sym_logical_and] = ACTIONS(462),
    [sym_logical_or] = ACTIONS(462),
    [anon_sym_QMARK] = ACTIONS(462),
    [anon_sym_ATimage_DASHurl] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_SLASH] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(462),
    [anon_sym_LT_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_EQ] = ACTIONS(464),
    [anon_sym_PLUS_EQ] = ACTIONS(462),
    [anon_sym_DASH_EQ] = ACTIONS(462),
    [anon_sym_STAR_EQ] = ACTIONS(462),
    [anon_sym_SLASH_EQ] = ACTIONS(462),
    [anon_sym_DQUOTE] = ACTIONS(462),
    [sym__identifier] = ACTIONS(464),
    [anon_sym_linear] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(464),
    [anon_sym_ease] = ACTIONS(464),
    [anon_sym_ease_DASHin] = ACTIONS(464),
    [anon_sym_ease_DASHout] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(464),
    [anon_sym_cubic_DASHbezier] = ACTIONS(464),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(462),
    [anon_sym_ATlinear_gradient] = ACTIONS(462),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(462),
    [anon_sym_ATradial_gradient] = ACTIONS(462),
    [anon_sym_parent] = ACTIONS(464),
    [anon_sym_root] = ACTIONS(464),
    [anon_sym_self] = ACTIONS(464),
    [sym__int_number] = ACTIONS(464),
    [sym__float_number] = ACTIONS(462),
    [anon_sym_true] = ACTIONS(464),
    [anon_sym_false] = ACTIONS(464),
    [sym_color_value] = ACTIONS(462),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_GT] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_COLON] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_if] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(466),
    [anon_sym_RPAREN] = ACTIONS(466),
    [anon_sym_ATtr] = ACTIONS(466),
    [anon_sym_DOT] = ACTIONS(468),
    [sym_logical_and] = ACTIONS(466),
    [sym_logical_or] = ACTIONS(466),
    [anon_sym_QMARK] = ACTIONS(466),
    [anon_sym_ATimage_DASHurl] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(466),
    [anon_sym_LT_EQ] = ACTIONS(466),
    [anon_sym_EQ_EQ] = ACTIONS(466),
    [anon_sym_BANG_EQ] = ACTIONS(466),
    [anon_sym_EQ] = ACTIONS(468),
    [anon_sym_PLUS_EQ] = ACTIONS(466),
    [anon_sym_DASH_EQ] = ACTIONS(466),
    [anon_sym_STAR_EQ] = ACTIONS(466),
    [anon_sym_SLASH_EQ] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(466),
    [sym__identifier] = ACTIONS(468),
    [anon_sym_linear] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease] = ACTIONS(468),
    [anon_sym_ease_DASHin] = ACTIONS(468),
    [anon_sym_ease_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_cubic_DASHbezier] = ACTIONS(468),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(466),
    [anon_sym_ATlinear_gradient] = ACTIONS(466),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(466),
    [anon_sym_ATradial_gradient] = ACTIONS(466),
    [anon_sym_parent] = ACTIONS(468),
    [anon_sym_root] = ACTIONS(468),
    [anon_sym_self] = ACTIONS(468),
    [sym__int_number] = ACTIONS(468),
    [sym__float_number] = ACTIONS(466),
    [anon_sym_true] = ACTIONS(468),
    [anon_sym_false] = ACTIONS(468),
    [sym_color_value] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [anon_sym_LBRACE] = ACTIONS(470),
    [anon_sym_COMMA] = ACTIONS(470),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(470),
    [anon_sym_LT] = ACTIONS(472),
    [anon_sym_GT] = ACTIONS(472),
    [anon_sym_return] = ACTIONS(472),
    [anon_sym_COLON] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(472),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_RPAREN] = ACTIONS(470),
    [anon_sym_ATtr] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(472),
    [sym_logical_and] = ACTIONS(470),
    [sym_logical_or] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(470),
    [anon_sym_ATimage_DASHurl] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_STAR] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_GT_EQ] = ACTIONS(470),
    [anon_sym_LT_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_EQ] = ACTIONS(472),
    [anon_sym_PLUS_EQ] = ACTIONS(470),
    [anon_sym_DASH_EQ] = ACTIONS(470),
    [anon_sym_STAR_EQ] = ACTIONS(470),
    [anon_sym_SLASH_EQ] = ACTIONS(470),
    [anon_sym_DQUOTE] = ACTIONS(470),
    [sym__identifier] = ACTIONS(472),
    [anon_sym_linear] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(472),
    [anon_sym_ease] = ACTIONS(472),
    [anon_sym_ease_DASHin] = ACTIONS(472),
    [anon_sym_ease_DASHout] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(472),
    [anon_sym_cubic_DASHbezier] = ACTIONS(472),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(470),
    [anon_sym_ATlinear_gradient] = ACTIONS(470),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(470),
    [anon_sym_ATradial_gradient] = ACTIONS(470),
    [anon_sym_parent] = ACTIONS(472),
    [anon_sym_root] = ACTIONS(472),
    [anon_sym_self] = ACTIONS(472),
    [sym__int_number] = ACTIONS(472),
    [sym__float_number] = ACTIONS(470),
    [anon_sym_true] = ACTIONS(472),
    [anon_sym_false] = ACTIONS(472),
    [sym_color_value] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [anon_sym_LBRACE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
    [anon_sym_ATtr] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(476),
    [sym_logical_and] = ACTIONS(474),
    [sym_logical_or] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_ATimage_DASHurl] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(476),
    [anon_sym_PLUS_EQ] = ACTIONS(474),
    [anon_sym_DASH_EQ] = ACTIONS(474),
    [anon_sym_STAR_EQ] = ACTIONS(474),
    [anon_sym_SLASH_EQ] = ACTIONS(474),
    [anon_sym_DQUOTE] = ACTIONS(474),
    [sym__identifier] = ACTIONS(476),
    [anon_sym_linear] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(476),
    [anon_sym_ease] = ACTIONS(476),
    [anon_sym_ease_DASHin] = ACTIONS(476),
    [anon_sym_ease_DASHout] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(476),
    [anon_sym_cubic_DASHbezier] = ACTIONS(476),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(474),
    [anon_sym_ATlinear_gradient] = ACTIONS(474),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(474),
    [anon_sym_ATradial_gradient] = ACTIONS(474),
    [anon_sym_parent] = ACTIONS(476),
    [anon_sym_root] = ACTIONS(476),
    [anon_sym_self] = ACTIONS(476),
    [sym__int_number] = ACTIONS(476),
    [sym__float_number] = ACTIONS(474),
    [anon_sym_true] = ACTIONS(476),
    [anon_sym_false] = ACTIONS(476),
    [sym_color_value] = ACTIONS(474),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(478),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_return] = ACTIONS(480),
    [anon_sym_COLON] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_RPAREN] = ACTIONS(478),
    [anon_sym_ATtr] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(480),
    [sym_logical_and] = ACTIONS(478),
    [sym_logical_or] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(478),
    [anon_sym_ATimage_DASHurl] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_GT_EQ] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_PLUS_EQ] = ACTIONS(478),
    [anon_sym_DASH_EQ] = ACTIONS(478),
    [anon_sym_STAR_EQ] = ACTIONS(478),
    [anon_sym_SLASH_EQ] = ACTIONS(478),
    [anon_sym_DQUOTE] = ACTIONS(478),
    [sym__identifier] = ACTIONS(480),
    [anon_sym_linear] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(480),
    [anon_sym_ease] = ACTIONS(480),
    [anon_sym_ease_DASHin] = ACTIONS(480),
    [anon_sym_ease_DASHout] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(480),
    [anon_sym_cubic_DASHbezier] = ACTIONS(480),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(478),
    [anon_sym_ATlinear_gradient] = ACTIONS(478),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(478),
    [anon_sym_ATradial_gradient] = ACTIONS(478),
    [anon_sym_parent] = ACTIONS(480),
    [anon_sym_root] = ACTIONS(480),
    [anon_sym_self] = ACTIONS(480),
    [sym__int_number] = ACTIONS(480),
    [sym__float_number] = ACTIONS(478),
    [anon_sym_true] = ACTIONS(480),
    [anon_sym_false] = ACTIONS(480),
    [sym_color_value] = ACTIONS(478),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [anon_sym_LBRACE] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_return] = ACTIONS(484),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_ATtr] = ACTIONS(482),
    [anon_sym_DOT] = ACTIONS(484),
    [sym_logical_and] = ACTIONS(482),
    [sym_logical_or] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_ATimage_DASHurl] = ACTIONS(482),
    [anon_sym_BANG] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_DQUOTE] = ACTIONS(482),
    [sym__identifier] = ACTIONS(484),
    [anon_sym_linear] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(484),
    [anon_sym_ease] = ACTIONS(484),
    [anon_sym_ease_DASHin] = ACTIONS(484),
    [anon_sym_ease_DASHout] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(484),
    [anon_sym_cubic_DASHbezier] = ACTIONS(484),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(482),
    [anon_sym_ATlinear_gradient] = ACTIONS(482),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(482),
    [anon_sym_ATradial_gradient] = ACTIONS(482),
    [anon_sym_parent] = ACTIONS(484),
    [anon_sym_root] = ACTIONS(484),
    [anon_sym_self] = ACTIONS(484),
    [sym__int_number] = ACTIONS(484),
    [sym__float_number] = ACTIONS(482),
    [anon_sym_true] = ACTIONS(484),
    [anon_sym_false] = ACTIONS(484),
    [sym_color_value] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [anon_sym_LBRACE] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_return] = ACTIONS(488),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_if] = ACTIONS(488),
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_ATtr] = ACTIONS(486),
    [anon_sym_DOT] = ACTIONS(488),
    [sym_logical_and] = ACTIONS(486),
    [sym_logical_or] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_ATimage_DASHurl] = ACTIONS(486),
    [anon_sym_BANG] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(488),
    [anon_sym_PLUS_EQ] = ACTIONS(486),
    [anon_sym_DASH_EQ] = ACTIONS(486),
    [anon_sym_STAR_EQ] = ACTIONS(486),
    [anon_sym_SLASH_EQ] = ACTIONS(486),
    [anon_sym_DQUOTE] = ACTIONS(486),
    [sym__identifier] = ACTIONS(488),
    [anon_sym_linear] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(488),
    [anon_sym_ease] = ACTIONS(488),
    [anon_sym_ease_DASHin] = ACTIONS(488),
    [anon_sym_ease_DASHout] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(488),
    [anon_sym_cubic_DASHbezier] = ACTIONS(488),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(486),
    [anon_sym_ATlinear_gradient] = ACTIONS(486),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(486),
    [anon_sym_ATradial_gradient] = ACTIONS(486),
    [anon_sym_parent] = ACTIONS(488),
    [anon_sym_root] = ACTIONS(488),
    [anon_sym_self] = ACTIONS(488),
    [sym__int_number] = ACTIONS(488),
    [sym__float_number] = ACTIONS(486),
    [anon_sym_true] = ACTIONS(488),
    [anon_sym_false] = ACTIONS(488),
    [sym_color_value] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [anon_sym_LBRACE] = ACTIONS(490),
    [anon_sym_COMMA] = ACTIONS(490),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(492),
    [anon_sym_GT] = ACTIONS(492),
    [anon_sym_return] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(490),
    [anon_sym_if] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_RPAREN] = ACTIONS(490),
    [anon_sym_ATtr] = ACTIONS(490),
    [anon_sym_DOT] = ACTIONS(492),
    [sym_logical_and] = ACTIONS(490),
    [sym_logical_or] = ACTIONS(490),
    [anon_sym_QMARK] = ACTIONS(490),
    [anon_sym_ATimage_DASHurl] = ACTIONS(490),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(490),
    [anon_sym_LT_EQ] = ACTIONS(490),
    [anon_sym_EQ_EQ] = ACTIONS(490),
    [anon_sym_BANG_EQ] = ACTIONS(490),
    [anon_sym_EQ] = ACTIONS(492),
    [anon_sym_PLUS_EQ] = ACTIONS(490),
    [anon_sym_DASH_EQ] = ACTIONS(490),
    [anon_sym_STAR_EQ] = ACTIONS(490),
    [anon_sym_SLASH_EQ] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(490),
    [sym__identifier] = ACTIONS(492),
    [anon_sym_linear] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(492),
    [anon_sym_ease] = ACTIONS(492),
    [anon_sym_ease_DASHin] = ACTIONS(492),
    [anon_sym_ease_DASHout] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(492),
    [anon_sym_cubic_DASHbezier] = ACTIONS(492),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(490),
    [anon_sym_ATlinear_gradient] = ACTIONS(490),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(490),
    [anon_sym_ATradial_gradient] = ACTIONS(490),
    [anon_sym_parent] = ACTIONS(492),
    [anon_sym_root] = ACTIONS(492),
    [anon_sym_self] = ACTIONS(492),
    [sym__int_number] = ACTIONS(492),
    [sym__float_number] = ACTIONS(490),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [sym_color_value] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(494),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(494),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_ATtr] = ACTIONS(494),
    [anon_sym_DOT] = ACTIONS(496),
    [sym_logical_and] = ACTIONS(494),
    [sym_logical_or] = ACTIONS(494),
    [anon_sym_QMARK] = ACTIONS(494),
    [anon_sym_ATimage_DASHurl] = ACTIONS(494),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(494),
    [anon_sym_LT_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_EQ] = ACTIONS(496),
    [anon_sym_PLUS_EQ] = ACTIONS(494),
    [anon_sym_DASH_EQ] = ACTIONS(494),
    [anon_sym_STAR_EQ] = ACTIONS(494),
    [anon_sym_SLASH_EQ] = ACTIONS(494),
    [anon_sym_DQUOTE] = ACTIONS(494),
    [sym__identifier] = ACTIONS(496),
    [anon_sym_linear] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(496),
    [anon_sym_ease] = ACTIONS(496),
    [anon_sym_ease_DASHin] = ACTIONS(496),
    [anon_sym_ease_DASHout] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(496),
    [anon_sym_cubic_DASHbezier] = ACTIONS(496),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(494),
    [anon_sym_ATlinear_gradient] = ACTIONS(494),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(494),
    [anon_sym_ATradial_gradient] = ACTIONS(494),
    [anon_sym_parent] = ACTIONS(496),
    [anon_sym_root] = ACTIONS(496),
    [anon_sym_self] = ACTIONS(496),
    [sym__int_number] = ACTIONS(496),
    [sym__float_number] = ACTIONS(494),
    [anon_sym_true] = ACTIONS(496),
    [anon_sym_false] = ACTIONS(496),
    [sym_color_value] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_COMMA] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_if] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(498),
    [anon_sym_RPAREN] = ACTIONS(498),
    [anon_sym_ATtr] = ACTIONS(498),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(498),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_DASH] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(500),
    [anon_sym_STAR] = ACTIONS(500),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_EQ] = ACTIONS(500),
    [anon_sym_PLUS_EQ] = ACTIONS(498),
    [anon_sym_DASH_EQ] = ACTIONS(498),
    [anon_sym_STAR_EQ] = ACTIONS(498),
    [anon_sym_SLASH_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(498),
    [sym__identifier] = ACTIONS(500),
    [anon_sym_linear] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(500),
    [anon_sym_ease] = ACTIONS(500),
    [anon_sym_ease_DASHin] = ACTIONS(500),
    [anon_sym_ease_DASHout] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(500),
    [anon_sym_cubic_DASHbezier] = ACTIONS(500),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(498),
    [anon_sym_ATlinear_gradient] = ACTIONS(498),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(498),
    [anon_sym_ATradial_gradient] = ACTIONS(498),
    [anon_sym_parent] = ACTIONS(500),
    [anon_sym_root] = ACTIONS(500),
    [anon_sym_self] = ACTIONS(500),
    [sym__int_number] = ACTIONS(500),
    [sym__float_number] = ACTIONS(498),
    [anon_sym_true] = ACTIONS(500),
    [anon_sym_false] = ACTIONS(500),
    [sym_color_value] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_arguments] = STATE(154),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_COLON] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_ATtr] = ACTIONS(388),
    [anon_sym_EQ_GT] = ACTIONS(504),
    [anon_sym_DOT] = ACTIONS(390),
    [sym_logical_and] = ACTIONS(388),
    [sym_logical_or] = ACTIONS(388),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_ATimage_DASHurl] = ACTIONS(388),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_DQUOTE] = ACTIONS(388),
    [sym__identifier] = ACTIONS(390),
    [anon_sym_linear] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease] = ACTIONS(390),
    [anon_sym_ease_DASHin] = ACTIONS(390),
    [anon_sym_ease_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_cubic_DASHbezier] = ACTIONS(390),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(388),
    [anon_sym_ATlinear_gradient] = ACTIONS(388),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(388),
    [anon_sym_ATradial_gradient] = ACTIONS(388),
    [anon_sym_parent] = ACTIONS(390),
    [anon_sym_root] = ACTIONS(390),
    [anon_sym_self] = ACTIONS(390),
    [sym__int_number] = ACTIONS(390),
    [sym__float_number] = ACTIONS(388),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [sym_color_value] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_COLON] = ACTIONS(506),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_RPAREN] = ACTIONS(506),
    [anon_sym_ATtr] = ACTIONS(506),
    [anon_sym_DOT] = ACTIONS(508),
    [sym_logical_and] = ACTIONS(506),
    [sym_logical_or] = ACTIONS(506),
    [anon_sym_QMARK] = ACTIONS(506),
    [anon_sym_ATimage_DASHurl] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(506),
    [anon_sym_EQ_EQ] = ACTIONS(506),
    [anon_sym_BANG_EQ] = ACTIONS(506),
    [anon_sym_EQ] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(506),
    [anon_sym_DASH_EQ] = ACTIONS(506),
    [anon_sym_STAR_EQ] = ACTIONS(506),
    [anon_sym_SLASH_EQ] = ACTIONS(506),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [sym__identifier] = ACTIONS(508),
    [anon_sym_linear] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(508),
    [anon_sym_ease] = ACTIONS(508),
    [anon_sym_ease_DASHin] = ACTIONS(508),
    [anon_sym_ease_DASHout] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(508),
    [anon_sym_cubic_DASHbezier] = ACTIONS(508),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(506),
    [anon_sym_ATlinear_gradient] = ACTIONS(506),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(506),
    [anon_sym_ATradial_gradient] = ACTIONS(506),
    [anon_sym_parent] = ACTIONS(508),
    [anon_sym_root] = ACTIONS(508),
    [anon_sym_self] = ACTIONS(508),
    [sym__int_number] = ACTIONS(508),
    [sym__float_number] = ACTIONS(506),
    [anon_sym_true] = ACTIONS(508),
    [anon_sym_false] = ACTIONS(508),
    [sym_color_value] = ACTIONS(506),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_RPAREN] = ACTIONS(510),
    [anon_sym_ATtr] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(512),
    [sym_logical_and] = ACTIONS(510),
    [sym_logical_or] = ACTIONS(510),
    [anon_sym_QMARK] = ACTIONS(510),
    [anon_sym_ATimage_DASHurl] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(510),
    [anon_sym_LT_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(510),
    [anon_sym_DASH_EQ] = ACTIONS(510),
    [anon_sym_STAR_EQ] = ACTIONS(510),
    [anon_sym_SLASH_EQ] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(510),
    [sym__identifier] = ACTIONS(512),
    [anon_sym_linear] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(512),
    [anon_sym_ease] = ACTIONS(512),
    [anon_sym_ease_DASHin] = ACTIONS(512),
    [anon_sym_ease_DASHout] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(512),
    [anon_sym_cubic_DASHbezier] = ACTIONS(512),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(510),
    [anon_sym_ATlinear_gradient] = ACTIONS(510),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(510),
    [anon_sym_ATradial_gradient] = ACTIONS(510),
    [anon_sym_parent] = ACTIONS(512),
    [anon_sym_root] = ACTIONS(512),
    [anon_sym_self] = ACTIONS(512),
    [sym__int_number] = ACTIONS(512),
    [sym__float_number] = ACTIONS(510),
    [anon_sym_true] = ACTIONS(512),
    [anon_sym_false] = ACTIONS(512),
    [sym_color_value] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [anon_sym_LBRACE] = ACTIONS(514),
    [anon_sym_COMMA] = ACTIONS(514),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_SEMI] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_GT] = ACTIONS(516),
    [anon_sym_return] = ACTIONS(516),
    [anon_sym_COLON] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(514),
    [anon_sym_if] = ACTIONS(516),
    [anon_sym_LPAREN] = ACTIONS(514),
    [anon_sym_RPAREN] = ACTIONS(514),
    [anon_sym_ATtr] = ACTIONS(514),
    [anon_sym_DOT] = ACTIONS(516),
    [sym_logical_and] = ACTIONS(514),
    [sym_logical_or] = ACTIONS(514),
    [anon_sym_QMARK] = ACTIONS(514),
    [anon_sym_ATimage_DASHurl] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(516),
    [anon_sym_DASH] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(516),
    [anon_sym_STAR] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(514),
    [anon_sym_EQ_EQ] = ACTIONS(514),
    [anon_sym_BANG_EQ] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(514),
    [anon_sym_DASH_EQ] = ACTIONS(514),
    [anon_sym_STAR_EQ] = ACTIONS(514),
    [anon_sym_SLASH_EQ] = ACTIONS(514),
    [anon_sym_DQUOTE] = ACTIONS(514),
    [sym__identifier] = ACTIONS(516),
    [anon_sym_linear] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(516),
    [anon_sym_ease] = ACTIONS(516),
    [anon_sym_ease_DASHin] = ACTIONS(516),
    [anon_sym_ease_DASHout] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(516),
    [anon_sym_cubic_DASHbezier] = ACTIONS(516),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(514),
    [anon_sym_ATlinear_gradient] = ACTIONS(514),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(514),
    [anon_sym_ATradial_gradient] = ACTIONS(514),
    [anon_sym_parent] = ACTIONS(516),
    [anon_sym_root] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(516),
    [sym__int_number] = ACTIONS(516),
    [sym__float_number] = ACTIONS(514),
    [anon_sym_true] = ACTIONS(516),
    [anon_sym_false] = ACTIONS(516),
    [sym_color_value] = ACTIONS(514),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_SEMI] = ACTIONS(518),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(520),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_COLON] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_if] = ACTIONS(520),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_ATtr] = ACTIONS(518),
    [anon_sym_DOT] = ACTIONS(520),
    [sym_logical_and] = ACTIONS(518),
    [sym_logical_or] = ACTIONS(518),
    [anon_sym_QMARK] = ACTIONS(518),
    [anon_sym_ATimage_DASHurl] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_STAR] = ACTIONS(520),
    [anon_sym_SLASH] = ACTIONS(520),
    [anon_sym_GT_EQ] = ACTIONS(518),
    [anon_sym_LT_EQ] = ACTIONS(518),
    [anon_sym_EQ_EQ] = ACTIONS(518),
    [anon_sym_BANG_EQ] = ACTIONS(518),
    [anon_sym_EQ] = ACTIONS(520),
    [anon_sym_PLUS_EQ] = ACTIONS(518),
    [anon_sym_DASH_EQ] = ACTIONS(518),
    [anon_sym_STAR_EQ] = ACTIONS(518),
    [anon_sym_SLASH_EQ] = ACTIONS(518),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [sym__identifier] = ACTIONS(520),
    [anon_sym_linear] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(520),
    [anon_sym_ease] = ACTIONS(520),
    [anon_sym_ease_DASHin] = ACTIONS(520),
    [anon_sym_ease_DASHout] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(520),
    [anon_sym_cubic_DASHbezier] = ACTIONS(520),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(518),
    [anon_sym_ATlinear_gradient] = ACTIONS(518),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(518),
    [anon_sym_ATradial_gradient] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(520),
    [anon_sym_root] = ACTIONS(520),
    [anon_sym_self] = ACTIONS(520),
    [sym__int_number] = ACTIONS(520),
    [sym__float_number] = ACTIONS(518),
    [anon_sym_true] = ACTIONS(520),
    [anon_sym_false] = ACTIONS(520),
    [sym_color_value] = ACTIONS(518),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_ATtr] = ACTIONS(522),
    [anon_sym_DOT] = ACTIONS(524),
    [sym_logical_and] = ACTIONS(522),
    [sym_logical_or] = ACTIONS(522),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_ATimage_DASHurl] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_STAR_EQ] = ACTIONS(522),
    [anon_sym_SLASH_EQ] = ACTIONS(522),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [sym__identifier] = ACTIONS(524),
    [anon_sym_linear] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(524),
    [anon_sym_ease] = ACTIONS(524),
    [anon_sym_ease_DASHin] = ACTIONS(524),
    [anon_sym_ease_DASHout] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(524),
    [anon_sym_cubic_DASHbezier] = ACTIONS(524),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(522),
    [anon_sym_ATlinear_gradient] = ACTIONS(522),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(522),
    [anon_sym_ATradial_gradient] = ACTIONS(522),
    [anon_sym_parent] = ACTIONS(524),
    [anon_sym_root] = ACTIONS(524),
    [anon_sym_self] = ACTIONS(524),
    [sym__int_number] = ACTIONS(524),
    [sym__float_number] = ACTIONS(522),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [sym_color_value] = ACTIONS(522),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_COLON] = ACTIONS(526),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_ATtr] = ACTIONS(526),
    [anon_sym_DOT] = ACTIONS(528),
    [sym_logical_and] = ACTIONS(526),
    [sym_logical_or] = ACTIONS(526),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_ATimage_DASHurl] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(528),
    [anon_sym_PLUS_EQ] = ACTIONS(526),
    [anon_sym_DASH_EQ] = ACTIONS(526),
    [anon_sym_STAR_EQ] = ACTIONS(526),
    [anon_sym_SLASH_EQ] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [sym__identifier] = ACTIONS(528),
    [anon_sym_linear] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(528),
    [anon_sym_ease] = ACTIONS(528),
    [anon_sym_ease_DASHin] = ACTIONS(528),
    [anon_sym_ease_DASHout] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(528),
    [anon_sym_cubic_DASHbezier] = ACTIONS(528),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(526),
    [anon_sym_ATlinear_gradient] = ACTIONS(526),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(526),
    [anon_sym_ATradial_gradient] = ACTIONS(526),
    [anon_sym_parent] = ACTIONS(528),
    [anon_sym_root] = ACTIONS(528),
    [anon_sym_self] = ACTIONS(528),
    [sym__int_number] = ACTIONS(528),
    [sym__float_number] = ACTIONS(526),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [sym_color_value] = ACTIONS(526),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_ATtr] = ACTIONS(530),
    [anon_sym_DOT] = ACTIONS(532),
    [sym_logical_and] = ACTIONS(530),
    [sym_logical_or] = ACTIONS(530),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_ATimage_DASHurl] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_PLUS_EQ] = ACTIONS(530),
    [anon_sym_DASH_EQ] = ACTIONS(530),
    [anon_sym_STAR_EQ] = ACTIONS(530),
    [anon_sym_SLASH_EQ] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [sym__identifier] = ACTIONS(532),
    [anon_sym_linear] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(532),
    [anon_sym_ease] = ACTIONS(532),
    [anon_sym_ease_DASHin] = ACTIONS(532),
    [anon_sym_ease_DASHout] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(532),
    [anon_sym_cubic_DASHbezier] = ACTIONS(532),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(530),
    [anon_sym_ATlinear_gradient] = ACTIONS(530),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(530),
    [anon_sym_ATradial_gradient] = ACTIONS(530),
    [anon_sym_parent] = ACTIONS(532),
    [anon_sym_root] = ACTIONS(532),
    [anon_sym_self] = ACTIONS(532),
    [sym__int_number] = ACTIONS(532),
    [sym__float_number] = ACTIONS(530),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [sym_color_value] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [anon_sym_LBRACE] = ACTIONS(534),
    [anon_sym_COMMA] = ACTIONS(534),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_SEMI] = ACTIONS(534),
    [anon_sym_LT] = ACTIONS(536),
    [anon_sym_GT] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(536),
    [anon_sym_COLON] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_RPAREN] = ACTIONS(534),
    [anon_sym_ATtr] = ACTIONS(534),
    [anon_sym_DOT] = ACTIONS(536),
    [sym_logical_and] = ACTIONS(534),
    [sym_logical_or] = ACTIONS(534),
    [anon_sym_QMARK] = ACTIONS(534),
    [anon_sym_ATimage_DASHurl] = ACTIONS(534),
    [anon_sym_BANG] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(536),
    [anon_sym_SLASH] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(534),
    [anon_sym_LT_EQ] = ACTIONS(534),
    [anon_sym_EQ_EQ] = ACTIONS(534),
    [anon_sym_BANG_EQ] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_PLUS_EQ] = ACTIONS(534),
    [anon_sym_DASH_EQ] = ACTIONS(534),
    [anon_sym_STAR_EQ] = ACTIONS(534),
    [anon_sym_SLASH_EQ] = ACTIONS(534),
    [anon_sym_DQUOTE] = ACTIONS(534),
    [sym__identifier] = ACTIONS(536),
    [anon_sym_linear] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(536),
    [anon_sym_ease] = ACTIONS(536),
    [anon_sym_ease_DASHin] = ACTIONS(536),
    [anon_sym_ease_DASHout] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(536),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(536),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(536),
    [anon_sym_cubic_DASHbezier] = ACTIONS(536),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(534),
    [anon_sym_ATlinear_gradient] = ACTIONS(534),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(534),
    [anon_sym_ATradial_gradient] = ACTIONS(534),
    [anon_sym_parent] = ACTIONS(536),
    [anon_sym_root] = ACTIONS(536),
    [anon_sym_self] = ACTIONS(536),
    [sym__int_number] = ACTIONS(536),
    [sym__float_number] = ACTIONS(534),
    [anon_sym_true] = ACTIONS(536),
    [anon_sym_false] = ACTIONS(536),
    [sym_color_value] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [anon_sym_LBRACE] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(538),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_SEMI] = ACTIONS(538),
    [anon_sym_LT] = ACTIONS(540),
    [anon_sym_GT] = ACTIONS(540),
    [anon_sym_return] = ACTIONS(540),
    [anon_sym_COLON] = ACTIONS(538),
    [anon_sym_LBRACK] = ACTIONS(538),
    [anon_sym_if] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym_RPAREN] = ACTIONS(538),
    [anon_sym_ATtr] = ACTIONS(538),
    [anon_sym_DOT] = ACTIONS(540),
    [sym_logical_and] = ACTIONS(538),
    [sym_logical_or] = ACTIONS(538),
    [anon_sym_QMARK] = ACTIONS(538),
    [anon_sym_ATimage_DASHurl] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(540),
    [anon_sym_DASH] = ACTIONS(540),
    [anon_sym_PLUS] = ACTIONS(540),
    [anon_sym_STAR] = ACTIONS(540),
    [anon_sym_SLASH] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(538),
    [anon_sym_EQ_EQ] = ACTIONS(538),
    [anon_sym_BANG_EQ] = ACTIONS(538),
    [anon_sym_EQ] = ACTIONS(540),
    [anon_sym_PLUS_EQ] = ACTIONS(538),
    [anon_sym_DASH_EQ] = ACTIONS(538),
    [anon_sym_STAR_EQ] = ACTIONS(538),
    [anon_sym_SLASH_EQ] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [sym__identifier] = ACTIONS(540),
    [anon_sym_linear] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(540),
    [anon_sym_ease] = ACTIONS(540),
    [anon_sym_ease_DASHin] = ACTIONS(540),
    [anon_sym_ease_DASHout] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(540),
    [anon_sym_cubic_DASHbezier] = ACTIONS(540),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(538),
    [anon_sym_ATlinear_gradient] = ACTIONS(538),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(538),
    [anon_sym_ATradial_gradient] = ACTIONS(538),
    [anon_sym_parent] = ACTIONS(540),
    [anon_sym_root] = ACTIONS(540),
    [anon_sym_self] = ACTIONS(540),
    [sym__int_number] = ACTIONS(540),
    [sym__float_number] = ACTIONS(538),
    [anon_sym_true] = ACTIONS(540),
    [anon_sym_false] = ACTIONS(540),
    [sym_color_value] = ACTIONS(538),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(544),
    [anon_sym_GT] = ACTIONS(544),
    [anon_sym_return] = ACTIONS(544),
    [anon_sym_COLON] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_ATtr] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(544),
    [sym_logical_and] = ACTIONS(542),
    [sym_logical_or] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(542),
    [anon_sym_ATimage_DASHurl] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_SLASH] = ACTIONS(544),
    [anon_sym_GT_EQ] = ACTIONS(542),
    [anon_sym_LT_EQ] = ACTIONS(542),
    [anon_sym_EQ_EQ] = ACTIONS(542),
    [anon_sym_BANG_EQ] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(542),
    [anon_sym_DASH_EQ] = ACTIONS(542),
    [anon_sym_STAR_EQ] = ACTIONS(542),
    [anon_sym_SLASH_EQ] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(542),
    [sym__identifier] = ACTIONS(544),
    [anon_sym_linear] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(544),
    [anon_sym_ease] = ACTIONS(544),
    [anon_sym_ease_DASHin] = ACTIONS(544),
    [anon_sym_ease_DASHout] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(544),
    [anon_sym_cubic_DASHbezier] = ACTIONS(544),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(542),
    [anon_sym_ATlinear_gradient] = ACTIONS(542),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(542),
    [anon_sym_ATradial_gradient] = ACTIONS(542),
    [anon_sym_parent] = ACTIONS(544),
    [anon_sym_root] = ACTIONS(544),
    [anon_sym_self] = ACTIONS(544),
    [sym__int_number] = ACTIONS(544),
    [sym__float_number] = ACTIONS(542),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [sym_color_value] = ACTIONS(542),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [anon_sym_LBRACE] = ACTIONS(546),
    [anon_sym_COMMA] = ACTIONS(546),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(546),
    [anon_sym_LT] = ACTIONS(548),
    [anon_sym_GT] = ACTIONS(548),
    [anon_sym_return] = ACTIONS(548),
    [anon_sym_COLON] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_RPAREN] = ACTIONS(546),
    [anon_sym_ATtr] = ACTIONS(546),
    [anon_sym_DOT] = ACTIONS(548),
    [sym_logical_and] = ACTIONS(546),
    [sym_logical_or] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(546),
    [anon_sym_ATimage_DASHurl] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(548),
    [anon_sym_DASH] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(546),
    [anon_sym_EQ_EQ] = ACTIONS(546),
    [anon_sym_BANG_EQ] = ACTIONS(546),
    [anon_sym_EQ] = ACTIONS(548),
    [anon_sym_PLUS_EQ] = ACTIONS(546),
    [anon_sym_DASH_EQ] = ACTIONS(546),
    [anon_sym_STAR_EQ] = ACTIONS(546),
    [anon_sym_SLASH_EQ] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym__identifier] = ACTIONS(548),
    [anon_sym_linear] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(548),
    [anon_sym_ease] = ACTIONS(548),
    [anon_sym_ease_DASHin] = ACTIONS(548),
    [anon_sym_ease_DASHout] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(548),
    [anon_sym_cubic_DASHbezier] = ACTIONS(548),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(546),
    [anon_sym_ATlinear_gradient] = ACTIONS(546),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(546),
    [anon_sym_ATradial_gradient] = ACTIONS(546),
    [anon_sym_parent] = ACTIONS(548),
    [anon_sym_root] = ACTIONS(548),
    [anon_sym_self] = ACTIONS(548),
    [sym__int_number] = ACTIONS(548),
    [sym__float_number] = ACTIONS(546),
    [anon_sym_true] = ACTIONS(548),
    [anon_sym_false] = ACTIONS(548),
    [sym_color_value] = ACTIONS(546),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [anon_sym_LBRACE] = ACTIONS(550),
    [anon_sym_COMMA] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_SEMI] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(552),
    [anon_sym_GT] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_COLON] = ACTIONS(550),
    [anon_sym_LBRACK] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(550),
    [anon_sym_RPAREN] = ACTIONS(550),
    [anon_sym_ATtr] = ACTIONS(550),
    [anon_sym_DOT] = ACTIONS(552),
    [sym_logical_and] = ACTIONS(550),
    [sym_logical_or] = ACTIONS(550),
    [anon_sym_QMARK] = ACTIONS(550),
    [anon_sym_ATimage_DASHurl] = ACTIONS(550),
    [anon_sym_BANG] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(552),
    [anon_sym_STAR] = ACTIONS(552),
    [anon_sym_SLASH] = ACTIONS(552),
    [anon_sym_GT_EQ] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(550),
    [anon_sym_EQ_EQ] = ACTIONS(550),
    [anon_sym_BANG_EQ] = ACTIONS(550),
    [anon_sym_EQ] = ACTIONS(552),
    [anon_sym_PLUS_EQ] = ACTIONS(550),
    [anon_sym_DASH_EQ] = ACTIONS(550),
    [anon_sym_STAR_EQ] = ACTIONS(550),
    [anon_sym_SLASH_EQ] = ACTIONS(550),
    [anon_sym_DQUOTE] = ACTIONS(550),
    [sym__identifier] = ACTIONS(552),
    [anon_sym_linear] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(552),
    [anon_sym_ease] = ACTIONS(552),
    [anon_sym_ease_DASHin] = ACTIONS(552),
    [anon_sym_ease_DASHout] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(552),
    [anon_sym_cubic_DASHbezier] = ACTIONS(552),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(550),
    [anon_sym_ATlinear_gradient] = ACTIONS(550),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(550),
    [anon_sym_ATradial_gradient] = ACTIONS(550),
    [anon_sym_parent] = ACTIONS(552),
    [anon_sym_root] = ACTIONS(552),
    [anon_sym_self] = ACTIONS(552),
    [sym__int_number] = ACTIONS(552),
    [sym__float_number] = ACTIONS(550),
    [anon_sym_true] = ACTIONS(552),
    [anon_sym_false] = ACTIONS(552),
    [sym_color_value] = ACTIONS(550),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_COLON] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_ATtr] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(556),
    [sym_logical_and] = ACTIONS(554),
    [sym_logical_or] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_ATimage_DASHurl] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(556),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [sym__identifier] = ACTIONS(556),
    [anon_sym_linear] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease] = ACTIONS(556),
    [anon_sym_ease_DASHin] = ACTIONS(556),
    [anon_sym_ease_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_cubic_DASHbezier] = ACTIONS(556),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(554),
    [anon_sym_ATlinear_gradient] = ACTIONS(554),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(554),
    [anon_sym_ATradial_gradient] = ACTIONS(554),
    [anon_sym_parent] = ACTIONS(556),
    [anon_sym_root] = ACTIONS(556),
    [anon_sym_self] = ACTIONS(556),
    [sym__int_number] = ACTIONS(556),
    [sym__float_number] = ACTIONS(554),
    [anon_sym_true] = ACTIONS(556),
    [anon_sym_false] = ACTIONS(556),
    [sym_color_value] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_COLON] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_ATtr] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(556),
    [sym_logical_and] = ACTIONS(554),
    [sym_logical_or] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_ATimage_DASHurl] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(556),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [sym__identifier] = ACTIONS(556),
    [anon_sym_linear] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease] = ACTIONS(556),
    [anon_sym_ease_DASHin] = ACTIONS(556),
    [anon_sym_ease_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_cubic_DASHbezier] = ACTIONS(556),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(554),
    [anon_sym_ATlinear_gradient] = ACTIONS(554),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(554),
    [anon_sym_ATradial_gradient] = ACTIONS(554),
    [anon_sym_parent] = ACTIONS(556),
    [anon_sym_root] = ACTIONS(556),
    [anon_sym_self] = ACTIONS(556),
    [sym__int_number] = ACTIONS(556),
    [sym__float_number] = ACTIONS(554),
    [anon_sym_true] = ACTIONS(556),
    [anon_sym_false] = ACTIONS(556),
    [sym_color_value] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_COLON] = ACTIONS(558),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_ATtr] = ACTIONS(558),
    [anon_sym_DOT] = ACTIONS(560),
    [sym_logical_and] = ACTIONS(558),
    [sym_logical_or] = ACTIONS(558),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_ATimage_DASHurl] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_EQ] = ACTIONS(560),
    [anon_sym_PLUS_EQ] = ACTIONS(558),
    [anon_sym_DASH_EQ] = ACTIONS(558),
    [anon_sym_STAR_EQ] = ACTIONS(558),
    [anon_sym_SLASH_EQ] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [sym__identifier] = ACTIONS(560),
    [anon_sym_linear] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(560),
    [anon_sym_ease] = ACTIONS(560),
    [anon_sym_ease_DASHin] = ACTIONS(560),
    [anon_sym_ease_DASHout] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(560),
    [anon_sym_cubic_DASHbezier] = ACTIONS(560),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(558),
    [anon_sym_ATlinear_gradient] = ACTIONS(558),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(558),
    [anon_sym_ATradial_gradient] = ACTIONS(558),
    [anon_sym_parent] = ACTIONS(560),
    [anon_sym_root] = ACTIONS(560),
    [anon_sym_self] = ACTIONS(560),
    [sym__int_number] = ACTIONS(560),
    [sym__float_number] = ACTIONS(558),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [sym_color_value] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_ATtr] = ACTIONS(562),
    [anon_sym_DOT] = ACTIONS(564),
    [sym_logical_and] = ACTIONS(562),
    [sym_logical_or] = ACTIONS(562),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_ATimage_DASHurl] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(562),
    [anon_sym_DASH_EQ] = ACTIONS(562),
    [anon_sym_STAR_EQ] = ACTIONS(562),
    [anon_sym_SLASH_EQ] = ACTIONS(562),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [sym__identifier] = ACTIONS(564),
    [anon_sym_linear] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(564),
    [anon_sym_ease] = ACTIONS(564),
    [anon_sym_ease_DASHin] = ACTIONS(564),
    [anon_sym_ease_DASHout] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(564),
    [anon_sym_cubic_DASHbezier] = ACTIONS(564),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(562),
    [anon_sym_ATlinear_gradient] = ACTIONS(562),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(562),
    [anon_sym_ATradial_gradient] = ACTIONS(562),
    [anon_sym_parent] = ACTIONS(564),
    [anon_sym_root] = ACTIONS(564),
    [anon_sym_self] = ACTIONS(564),
    [sym__int_number] = ACTIONS(564),
    [sym__float_number] = ACTIONS(562),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [sym_color_value] = ACTIONS(562),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_COLON] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_ATtr] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(556),
    [sym_logical_and] = ACTIONS(554),
    [sym_logical_or] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_ATimage_DASHurl] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(556),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [sym__identifier] = ACTIONS(556),
    [anon_sym_linear] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease] = ACTIONS(556),
    [anon_sym_ease_DASHin] = ACTIONS(556),
    [anon_sym_ease_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_cubic_DASHbezier] = ACTIONS(556),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(554),
    [anon_sym_ATlinear_gradient] = ACTIONS(554),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(554),
    [anon_sym_ATradial_gradient] = ACTIONS(554),
    [anon_sym_parent] = ACTIONS(556),
    [anon_sym_root] = ACTIONS(556),
    [anon_sym_self] = ACTIONS(556),
    [sym__int_number] = ACTIONS(556),
    [sym__float_number] = ACTIONS(554),
    [anon_sym_true] = ACTIONS(556),
    [anon_sym_false] = ACTIONS(556),
    [sym_color_value] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_COLON] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_ATtr] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(556),
    [sym_logical_and] = ACTIONS(554),
    [sym_logical_or] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_ATimage_DASHurl] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(556),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [sym__identifier] = ACTIONS(556),
    [anon_sym_linear] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease] = ACTIONS(556),
    [anon_sym_ease_DASHin] = ACTIONS(556),
    [anon_sym_ease_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_cubic_DASHbezier] = ACTIONS(556),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(554),
    [anon_sym_ATlinear_gradient] = ACTIONS(554),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(554),
    [anon_sym_ATradial_gradient] = ACTIONS(554),
    [anon_sym_parent] = ACTIONS(556),
    [anon_sym_root] = ACTIONS(556),
    [anon_sym_self] = ACTIONS(556),
    [sym__int_number] = ACTIONS(556),
    [sym__float_number] = ACTIONS(554),
    [anon_sym_true] = ACTIONS(556),
    [anon_sym_false] = ACTIONS(556),
    [sym_color_value] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(566),
    [anon_sym_RBRACE] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(568),
    [anon_sym_GT] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_RPAREN] = ACTIONS(566),
    [anon_sym_ATtr] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(568),
    [sym_logical_and] = ACTIONS(566),
    [sym_logical_or] = ACTIONS(566),
    [anon_sym_QMARK] = ACTIONS(566),
    [anon_sym_ATimage_DASHurl] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(568),
    [anon_sym_GT_EQ] = ACTIONS(566),
    [anon_sym_LT_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(566),
    [anon_sym_DASH_EQ] = ACTIONS(566),
    [anon_sym_STAR_EQ] = ACTIONS(566),
    [anon_sym_SLASH_EQ] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(566),
    [sym__identifier] = ACTIONS(568),
    [anon_sym_linear] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(568),
    [anon_sym_ease] = ACTIONS(568),
    [anon_sym_ease_DASHin] = ACTIONS(568),
    [anon_sym_ease_DASHout] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(568),
    [anon_sym_cubic_DASHbezier] = ACTIONS(568),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(566),
    [anon_sym_ATlinear_gradient] = ACTIONS(566),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(566),
    [anon_sym_ATradial_gradient] = ACTIONS(566),
    [anon_sym_parent] = ACTIONS(568),
    [anon_sym_root] = ACTIONS(568),
    [anon_sym_self] = ACTIONS(568),
    [sym__int_number] = ACTIONS(568),
    [sym__float_number] = ACTIONS(566),
    [anon_sym_true] = ACTIONS(568),
    [anon_sym_false] = ACTIONS(568),
    [sym_color_value] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_COMMA] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_GT] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_COLON] = ACTIONS(570),
    [anon_sym_LBRACK] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_RPAREN] = ACTIONS(570),
    [anon_sym_ATtr] = ACTIONS(570),
    [anon_sym_DOT] = ACTIONS(572),
    [sym_logical_and] = ACTIONS(570),
    [sym_logical_or] = ACTIONS(570),
    [anon_sym_QMARK] = ACTIONS(570),
    [anon_sym_ATimage_DASHurl] = ACTIONS(570),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_STAR] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(572),
    [anon_sym_GT_EQ] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(570),
    [anon_sym_EQ_EQ] = ACTIONS(570),
    [anon_sym_BANG_EQ] = ACTIONS(570),
    [anon_sym_EQ] = ACTIONS(572),
    [anon_sym_PLUS_EQ] = ACTIONS(570),
    [anon_sym_DASH_EQ] = ACTIONS(570),
    [anon_sym_STAR_EQ] = ACTIONS(570),
    [anon_sym_SLASH_EQ] = ACTIONS(570),
    [anon_sym_DQUOTE] = ACTIONS(570),
    [sym__identifier] = ACTIONS(572),
    [anon_sym_linear] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(572),
    [anon_sym_ease] = ACTIONS(572),
    [anon_sym_ease_DASHin] = ACTIONS(572),
    [anon_sym_ease_DASHout] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(572),
    [anon_sym_cubic_DASHbezier] = ACTIONS(572),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(570),
    [anon_sym_ATlinear_gradient] = ACTIONS(570),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(570),
    [anon_sym_ATradial_gradient] = ACTIONS(570),
    [anon_sym_parent] = ACTIONS(572),
    [anon_sym_root] = ACTIONS(572),
    [anon_sym_self] = ACTIONS(572),
    [sym__int_number] = ACTIONS(572),
    [sym__float_number] = ACTIONS(570),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [sym_color_value] = ACTIONS(570),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [anon_sym_LBRACE] = ACTIONS(574),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_RBRACE] = ACTIONS(574),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LT] = ACTIONS(576),
    [anon_sym_GT] = ACTIONS(576),
    [anon_sym_return] = ACTIONS(576),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_LBRACK] = ACTIONS(574),
    [anon_sym_if] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(574),
    [anon_sym_RPAREN] = ACTIONS(574),
    [anon_sym_ATtr] = ACTIONS(574),
    [anon_sym_DOT] = ACTIONS(576),
    [sym_logical_and] = ACTIONS(574),
    [sym_logical_or] = ACTIONS(574),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_ATimage_DASHurl] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_STAR] = ACTIONS(576),
    [anon_sym_SLASH] = ACTIONS(576),
    [anon_sym_GT_EQ] = ACTIONS(574),
    [anon_sym_LT_EQ] = ACTIONS(574),
    [anon_sym_EQ_EQ] = ACTIONS(574),
    [anon_sym_BANG_EQ] = ACTIONS(574),
    [anon_sym_EQ] = ACTIONS(576),
    [anon_sym_PLUS_EQ] = ACTIONS(574),
    [anon_sym_DASH_EQ] = ACTIONS(574),
    [anon_sym_STAR_EQ] = ACTIONS(574),
    [anon_sym_SLASH_EQ] = ACTIONS(574),
    [anon_sym_DQUOTE] = ACTIONS(574),
    [sym__identifier] = ACTIONS(576),
    [anon_sym_linear] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(576),
    [anon_sym_ease] = ACTIONS(576),
    [anon_sym_ease_DASHin] = ACTIONS(576),
    [anon_sym_ease_DASHout] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(576),
    [anon_sym_cubic_DASHbezier] = ACTIONS(576),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(574),
    [anon_sym_ATlinear_gradient] = ACTIONS(574),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(574),
    [anon_sym_ATradial_gradient] = ACTIONS(574),
    [anon_sym_parent] = ACTIONS(576),
    [anon_sym_root] = ACTIONS(576),
    [anon_sym_self] = ACTIONS(576),
    [sym__int_number] = ACTIONS(576),
    [sym__float_number] = ACTIONS(574),
    [anon_sym_true] = ACTIONS(576),
    [anon_sym_false] = ACTIONS(576),
    [sym_color_value] = ACTIONS(574),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_COLON] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(578),
    [anon_sym_ATtr] = ACTIONS(578),
    [anon_sym_DOT] = ACTIONS(580),
    [sym_logical_and] = ACTIONS(578),
    [sym_logical_or] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(578),
    [anon_sym_ATimage_DASHurl] = ACTIONS(578),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_GT_EQ] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ] = ACTIONS(578),
    [anon_sym_EQ] = ACTIONS(580),
    [anon_sym_PLUS_EQ] = ACTIONS(578),
    [anon_sym_DASH_EQ] = ACTIONS(578),
    [anon_sym_STAR_EQ] = ACTIONS(578),
    [anon_sym_SLASH_EQ] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [sym__identifier] = ACTIONS(580),
    [anon_sym_linear] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(580),
    [anon_sym_ease] = ACTIONS(580),
    [anon_sym_ease_DASHin] = ACTIONS(580),
    [anon_sym_ease_DASHout] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(580),
    [anon_sym_cubic_DASHbezier] = ACTIONS(580),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(578),
    [anon_sym_ATlinear_gradient] = ACTIONS(578),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(578),
    [anon_sym_ATradial_gradient] = ACTIONS(578),
    [anon_sym_parent] = ACTIONS(580),
    [anon_sym_root] = ACTIONS(580),
    [anon_sym_self] = ACTIONS(580),
    [sym__int_number] = ACTIONS(580),
    [sym__float_number] = ACTIONS(578),
    [anon_sym_true] = ACTIONS(580),
    [anon_sym_false] = ACTIONS(580),
    [sym_color_value] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_COMMA] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_SEMI] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(584),
    [anon_sym_COLON] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(582),
    [anon_sym_RPAREN] = ACTIONS(582),
    [anon_sym_ATtr] = ACTIONS(582),
    [anon_sym_DOT] = ACTIONS(584),
    [sym_logical_and] = ACTIONS(582),
    [sym_logical_or] = ACTIONS(582),
    [anon_sym_QMARK] = ACTIONS(582),
    [anon_sym_ATimage_DASHurl] = ACTIONS(582),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(582),
    [anon_sym_LT_EQ] = ACTIONS(582),
    [anon_sym_EQ_EQ] = ACTIONS(582),
    [anon_sym_BANG_EQ] = ACTIONS(582),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_PLUS_EQ] = ACTIONS(582),
    [anon_sym_DASH_EQ] = ACTIONS(582),
    [anon_sym_STAR_EQ] = ACTIONS(582),
    [anon_sym_SLASH_EQ] = ACTIONS(582),
    [anon_sym_DQUOTE] = ACTIONS(582),
    [sym__identifier] = ACTIONS(584),
    [anon_sym_linear] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(584),
    [anon_sym_ease] = ACTIONS(584),
    [anon_sym_ease_DASHin] = ACTIONS(584),
    [anon_sym_ease_DASHout] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(584),
    [anon_sym_cubic_DASHbezier] = ACTIONS(584),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(582),
    [anon_sym_ATlinear_gradient] = ACTIONS(582),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(582),
    [anon_sym_ATradial_gradient] = ACTIONS(582),
    [anon_sym_parent] = ACTIONS(584),
    [anon_sym_root] = ACTIONS(584),
    [anon_sym_self] = ACTIONS(584),
    [sym__int_number] = ACTIONS(584),
    [sym__float_number] = ACTIONS(582),
    [anon_sym_true] = ACTIONS(584),
    [anon_sym_false] = ACTIONS(584),
    [sym_color_value] = ACTIONS(582),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(588),
    [anon_sym_GT] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(588),
    [anon_sym_COLON] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_ATtr] = ACTIONS(586),
    [anon_sym_DOT] = ACTIONS(588),
    [sym_logical_and] = ACTIONS(586),
    [sym_logical_or] = ACTIONS(586),
    [anon_sym_QMARK] = ACTIONS(586),
    [anon_sym_ATimage_DASHurl] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(588),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_EQ] = ACTIONS(588),
    [anon_sym_PLUS_EQ] = ACTIONS(586),
    [anon_sym_DASH_EQ] = ACTIONS(586),
    [anon_sym_STAR_EQ] = ACTIONS(586),
    [anon_sym_SLASH_EQ] = ACTIONS(586),
    [anon_sym_DQUOTE] = ACTIONS(586),
    [sym__identifier] = ACTIONS(588),
    [anon_sym_linear] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(588),
    [anon_sym_ease] = ACTIONS(588),
    [anon_sym_ease_DASHin] = ACTIONS(588),
    [anon_sym_ease_DASHout] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(588),
    [anon_sym_cubic_DASHbezier] = ACTIONS(588),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(586),
    [anon_sym_ATlinear_gradient] = ACTIONS(586),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(586),
    [anon_sym_ATradial_gradient] = ACTIONS(586),
    [anon_sym_parent] = ACTIONS(588),
    [anon_sym_root] = ACTIONS(588),
    [anon_sym_self] = ACTIONS(588),
    [sym__int_number] = ACTIONS(588),
    [sym__float_number] = ACTIONS(586),
    [anon_sym_true] = ACTIONS(588),
    [anon_sym_false] = ACTIONS(588),
    [sym_color_value] = ACTIONS(586),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_return] = ACTIONS(592),
    [anon_sym_COLON] = ACTIONS(590),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_ATtr] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(592),
    [sym_logical_and] = ACTIONS(590),
    [sym_logical_or] = ACTIONS(590),
    [anon_sym_QMARK] = ACTIONS(590),
    [anon_sym_ATimage_DASHurl] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_STAR] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_GT_EQ] = ACTIONS(590),
    [anon_sym_LT_EQ] = ACTIONS(590),
    [anon_sym_EQ_EQ] = ACTIONS(590),
    [anon_sym_BANG_EQ] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(592),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_STAR_EQ] = ACTIONS(590),
    [anon_sym_SLASH_EQ] = ACTIONS(590),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [sym__identifier] = ACTIONS(592),
    [anon_sym_linear] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(592),
    [anon_sym_ease] = ACTIONS(592),
    [anon_sym_ease_DASHin] = ACTIONS(592),
    [anon_sym_ease_DASHout] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(592),
    [anon_sym_cubic_DASHbezier] = ACTIONS(592),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(590),
    [anon_sym_ATlinear_gradient] = ACTIONS(590),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(590),
    [anon_sym_ATradial_gradient] = ACTIONS(590),
    [anon_sym_parent] = ACTIONS(592),
    [anon_sym_root] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(592),
    [sym__int_number] = ACTIONS(592),
    [sym__float_number] = ACTIONS(590),
    [anon_sym_true] = ACTIONS(592),
    [anon_sym_false] = ACTIONS(592),
    [sym_color_value] = ACTIONS(590),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [anon_sym_LBRACE] = ACTIONS(594),
    [anon_sym_COMMA] = ACTIONS(594),
    [anon_sym_RBRACE] = ACTIONS(594),
    [anon_sym_SEMI] = ACTIONS(594),
    [anon_sym_LT] = ACTIONS(596),
    [anon_sym_GT] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(596),
    [anon_sym_COLON] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(594),
    [anon_sym_if] = ACTIONS(596),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_RPAREN] = ACTIONS(594),
    [anon_sym_ATtr] = ACTIONS(594),
    [anon_sym_DOT] = ACTIONS(596),
    [sym_logical_and] = ACTIONS(594),
    [sym_logical_or] = ACTIONS(594),
    [anon_sym_QMARK] = ACTIONS(594),
    [anon_sym_ATimage_DASHurl] = ACTIONS(594),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_DASH] = ACTIONS(596),
    [anon_sym_PLUS] = ACTIONS(596),
    [anon_sym_STAR] = ACTIONS(596),
    [anon_sym_SLASH] = ACTIONS(596),
    [anon_sym_GT_EQ] = ACTIONS(594),
    [anon_sym_LT_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_EQ] = ACTIONS(596),
    [anon_sym_PLUS_EQ] = ACTIONS(594),
    [anon_sym_DASH_EQ] = ACTIONS(594),
    [anon_sym_STAR_EQ] = ACTIONS(594),
    [anon_sym_SLASH_EQ] = ACTIONS(594),
    [anon_sym_DQUOTE] = ACTIONS(594),
    [sym__identifier] = ACTIONS(596),
    [anon_sym_linear] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(596),
    [anon_sym_ease] = ACTIONS(596),
    [anon_sym_ease_DASHin] = ACTIONS(596),
    [anon_sym_ease_DASHout] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(596),
    [anon_sym_cubic_DASHbezier] = ACTIONS(596),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(594),
    [anon_sym_ATlinear_gradient] = ACTIONS(594),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(594),
    [anon_sym_ATradial_gradient] = ACTIONS(594),
    [anon_sym_parent] = ACTIONS(596),
    [anon_sym_root] = ACTIONS(596),
    [anon_sym_self] = ACTIONS(596),
    [sym__int_number] = ACTIONS(596),
    [sym__float_number] = ACTIONS(594),
    [anon_sym_true] = ACTIONS(596),
    [anon_sym_false] = ACTIONS(596),
    [sym_color_value] = ACTIONS(594),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [anon_sym_LBRACE] = ACTIONS(598),
    [anon_sym_COMMA] = ACTIONS(598),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_SEMI] = ACTIONS(598),
    [anon_sym_LT] = ACTIONS(600),
    [anon_sym_GT] = ACTIONS(600),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_COLON] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_if] = ACTIONS(600),
    [anon_sym_LPAREN] = ACTIONS(598),
    [anon_sym_RPAREN] = ACTIONS(598),
    [anon_sym_ATtr] = ACTIONS(598),
    [anon_sym_DOT] = ACTIONS(600),
    [sym_logical_and] = ACTIONS(598),
    [sym_logical_or] = ACTIONS(598),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_ATimage_DASHurl] = ACTIONS(598),
    [anon_sym_BANG] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_STAR] = ACTIONS(600),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_GT_EQ] = ACTIONS(598),
    [anon_sym_LT_EQ] = ACTIONS(598),
    [anon_sym_EQ_EQ] = ACTIONS(598),
    [anon_sym_BANG_EQ] = ACTIONS(598),
    [anon_sym_EQ] = ACTIONS(600),
    [anon_sym_PLUS_EQ] = ACTIONS(598),
    [anon_sym_DASH_EQ] = ACTIONS(598),
    [anon_sym_STAR_EQ] = ACTIONS(598),
    [anon_sym_SLASH_EQ] = ACTIONS(598),
    [anon_sym_DQUOTE] = ACTIONS(598),
    [sym__identifier] = ACTIONS(600),
    [anon_sym_linear] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(600),
    [anon_sym_ease] = ACTIONS(600),
    [anon_sym_ease_DASHin] = ACTIONS(600),
    [anon_sym_ease_DASHout] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(600),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(600),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(600),
    [anon_sym_cubic_DASHbezier] = ACTIONS(600),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(598),
    [anon_sym_ATlinear_gradient] = ACTIONS(598),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(598),
    [anon_sym_ATradial_gradient] = ACTIONS(598),
    [anon_sym_parent] = ACTIONS(600),
    [anon_sym_root] = ACTIONS(600),
    [anon_sym_self] = ACTIONS(600),
    [sym__int_number] = ACTIONS(600),
    [sym__float_number] = ACTIONS(598),
    [anon_sym_true] = ACTIONS(600),
    [anon_sym_false] = ACTIONS(600),
    [sym_color_value] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [anon_sym_LBRACE] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_RBRACE] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_LT] = ACTIONS(604),
    [anon_sym_GT] = ACTIONS(604),
    [anon_sym_return] = ACTIONS(604),
    [anon_sym_COLON] = ACTIONS(602),
    [anon_sym_LBRACK] = ACTIONS(602),
    [anon_sym_if] = ACTIONS(604),
    [anon_sym_LPAREN] = ACTIONS(602),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_ATtr] = ACTIONS(602),
    [anon_sym_DOT] = ACTIONS(604),
    [sym_logical_and] = ACTIONS(602),
    [sym_logical_or] = ACTIONS(602),
    [anon_sym_QMARK] = ACTIONS(602),
    [anon_sym_ATimage_DASHurl] = ACTIONS(602),
    [anon_sym_BANG] = ACTIONS(604),
    [anon_sym_DASH] = ACTIONS(604),
    [anon_sym_PLUS] = ACTIONS(604),
    [anon_sym_STAR] = ACTIONS(604),
    [anon_sym_SLASH] = ACTIONS(604),
    [anon_sym_GT_EQ] = ACTIONS(602),
    [anon_sym_LT_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(604),
    [anon_sym_PLUS_EQ] = ACTIONS(602),
    [anon_sym_DASH_EQ] = ACTIONS(602),
    [anon_sym_STAR_EQ] = ACTIONS(602),
    [anon_sym_SLASH_EQ] = ACTIONS(602),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [sym__identifier] = ACTIONS(604),
    [anon_sym_linear] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(604),
    [anon_sym_ease] = ACTIONS(604),
    [anon_sym_ease_DASHin] = ACTIONS(604),
    [anon_sym_ease_DASHout] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(604),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(604),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(604),
    [anon_sym_cubic_DASHbezier] = ACTIONS(604),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(602),
    [anon_sym_ATlinear_gradient] = ACTIONS(602),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(602),
    [anon_sym_ATradial_gradient] = ACTIONS(602),
    [anon_sym_parent] = ACTIONS(604),
    [anon_sym_root] = ACTIONS(604),
    [anon_sym_self] = ACTIONS(604),
    [sym__int_number] = ACTIONS(604),
    [sym__float_number] = ACTIONS(602),
    [anon_sym_true] = ACTIONS(604),
    [anon_sym_false] = ACTIONS(604),
    [sym_color_value] = ACTIONS(602),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(606),
    [anon_sym_SEMI] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(608),
    [anon_sym_GT] = ACTIONS(608),
    [anon_sym_return] = ACTIONS(608),
    [anon_sym_COLON] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_if] = ACTIONS(608),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(606),
    [anon_sym_ATtr] = ACTIONS(606),
    [anon_sym_DOT] = ACTIONS(608),
    [sym_logical_and] = ACTIONS(606),
    [sym_logical_or] = ACTIONS(606),
    [anon_sym_QMARK] = ACTIONS(606),
    [anon_sym_ATimage_DASHurl] = ACTIONS(606),
    [anon_sym_BANG] = ACTIONS(608),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_PLUS] = ACTIONS(608),
    [anon_sym_STAR] = ACTIONS(608),
    [anon_sym_SLASH] = ACTIONS(608),
    [anon_sym_GT_EQ] = ACTIONS(606),
    [anon_sym_LT_EQ] = ACTIONS(606),
    [anon_sym_EQ_EQ] = ACTIONS(606),
    [anon_sym_BANG_EQ] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(608),
    [anon_sym_PLUS_EQ] = ACTIONS(606),
    [anon_sym_DASH_EQ] = ACTIONS(606),
    [anon_sym_STAR_EQ] = ACTIONS(606),
    [anon_sym_SLASH_EQ] = ACTIONS(606),
    [anon_sym_DQUOTE] = ACTIONS(606),
    [sym__identifier] = ACTIONS(608),
    [anon_sym_linear] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(608),
    [anon_sym_ease] = ACTIONS(608),
    [anon_sym_ease_DASHin] = ACTIONS(608),
    [anon_sym_ease_DASHout] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(608),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(608),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(608),
    [anon_sym_cubic_DASHbezier] = ACTIONS(608),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(606),
    [anon_sym_ATlinear_gradient] = ACTIONS(606),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(606),
    [anon_sym_ATradial_gradient] = ACTIONS(606),
    [anon_sym_parent] = ACTIONS(608),
    [anon_sym_root] = ACTIONS(608),
    [anon_sym_self] = ACTIONS(608),
    [sym__int_number] = ACTIONS(608),
    [sym__float_number] = ACTIONS(606),
    [anon_sym_true] = ACTIONS(608),
    [anon_sym_false] = ACTIONS(608),
    [sym_color_value] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_COMMA] = ACTIONS(610),
    [anon_sym_RBRACE] = ACTIONS(610),
    [anon_sym_SEMI] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_return] = ACTIONS(612),
    [anon_sym_COLON] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_RPAREN] = ACTIONS(610),
    [anon_sym_ATtr] = ACTIONS(610),
    [anon_sym_DOT] = ACTIONS(612),
    [sym_logical_and] = ACTIONS(610),
    [sym_logical_or] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(610),
    [anon_sym_ATimage_DASHurl] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_SLASH] = ACTIONS(612),
    [anon_sym_GT_EQ] = ACTIONS(610),
    [anon_sym_LT_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_EQ] = ACTIONS(612),
    [anon_sym_PLUS_EQ] = ACTIONS(610),
    [anon_sym_DASH_EQ] = ACTIONS(610),
    [anon_sym_STAR_EQ] = ACTIONS(610),
    [anon_sym_SLASH_EQ] = ACTIONS(610),
    [anon_sym_DQUOTE] = ACTIONS(610),
    [sym__identifier] = ACTIONS(612),
    [anon_sym_linear] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(612),
    [anon_sym_ease] = ACTIONS(612),
    [anon_sym_ease_DASHin] = ACTIONS(612),
    [anon_sym_ease_DASHout] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(612),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(612),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(612),
    [anon_sym_cubic_DASHbezier] = ACTIONS(612),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(610),
    [anon_sym_ATlinear_gradient] = ACTIONS(610),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(610),
    [anon_sym_ATradial_gradient] = ACTIONS(610),
    [anon_sym_parent] = ACTIONS(612),
    [anon_sym_root] = ACTIONS(612),
    [anon_sym_self] = ACTIONS(612),
    [sym__int_number] = ACTIONS(612),
    [sym__float_number] = ACTIONS(610),
    [anon_sym_true] = ACTIONS(612),
    [anon_sym_false] = ACTIONS(612),
    [sym_color_value] = ACTIONS(610),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_arguments] = STATE(154),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_COLON] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_ATtr] = ACTIONS(388),
    [anon_sym_EQ_GT] = ACTIONS(504),
    [anon_sym_DOT] = ACTIONS(390),
    [sym_logical_and] = ACTIONS(388),
    [sym_logical_or] = ACTIONS(388),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_ATimage_DASHurl] = ACTIONS(388),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_DQUOTE] = ACTIONS(388),
    [sym__identifier] = ACTIONS(390),
    [anon_sym_linear] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease] = ACTIONS(390),
    [anon_sym_ease_DASHin] = ACTIONS(390),
    [anon_sym_ease_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_cubic_DASHbezier] = ACTIONS(390),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(388),
    [anon_sym_ATlinear_gradient] = ACTIONS(388),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(388),
    [anon_sym_ATradial_gradient] = ACTIONS(388),
    [anon_sym_parent] = ACTIONS(390),
    [anon_sym_root] = ACTIONS(390),
    [anon_sym_self] = ACTIONS(390),
    [sym__int_number] = ACTIONS(390),
    [sym__float_number] = ACTIONS(388),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [sym_color_value] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_SEMI] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_return] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(616),
    [anon_sym_if] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(616),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_ATtr] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [sym_logical_and] = ACTIONS(616),
    [sym_logical_or] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(616),
    [anon_sym_ATimage_DASHurl] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(616),
    [anon_sym_LT_EQ] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(618),
    [anon_sym_PLUS_EQ] = ACTIONS(616),
    [anon_sym_DASH_EQ] = ACTIONS(616),
    [anon_sym_STAR_EQ] = ACTIONS(616),
    [anon_sym_SLASH_EQ] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [sym__identifier] = ACTIONS(618),
    [anon_sym_linear] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(618),
    [anon_sym_ease] = ACTIONS(618),
    [anon_sym_ease_DASHin] = ACTIONS(618),
    [anon_sym_ease_DASHout] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(618),
    [anon_sym_cubic_DASHbezier] = ACTIONS(618),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(616),
    [anon_sym_ATlinear_gradient] = ACTIONS(616),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(616),
    [anon_sym_ATradial_gradient] = ACTIONS(616),
    [anon_sym_parent] = ACTIONS(618),
    [anon_sym_root] = ACTIONS(618),
    [anon_sym_self] = ACTIONS(618),
    [sym__int_number] = ACTIONS(618),
    [sym__float_number] = ACTIONS(616),
    [anon_sym_true] = ACTIONS(618),
    [anon_sym_false] = ACTIONS(618),
    [sym_color_value] = ACTIONS(616),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(620),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(622),
    [anon_sym_return] = ACTIONS(622),
    [anon_sym_COLON] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(620),
    [anon_sym_RPAREN] = ACTIONS(620),
    [anon_sym_ATtr] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(622),
    [sym_logical_and] = ACTIONS(620),
    [sym_logical_or] = ACTIONS(620),
    [anon_sym_QMARK] = ACTIONS(620),
    [anon_sym_ATimage_DASHurl] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(620),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [anon_sym_EQ] = ACTIONS(622),
    [anon_sym_PLUS_EQ] = ACTIONS(620),
    [anon_sym_DASH_EQ] = ACTIONS(620),
    [anon_sym_STAR_EQ] = ACTIONS(620),
    [anon_sym_SLASH_EQ] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [sym__identifier] = ACTIONS(622),
    [anon_sym_linear] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(622),
    [anon_sym_ease] = ACTIONS(622),
    [anon_sym_ease_DASHin] = ACTIONS(622),
    [anon_sym_ease_DASHout] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(622),
    [anon_sym_cubic_DASHbezier] = ACTIONS(622),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(620),
    [anon_sym_ATlinear_gradient] = ACTIONS(620),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(620),
    [anon_sym_ATradial_gradient] = ACTIONS(620),
    [anon_sym_parent] = ACTIONS(622),
    [anon_sym_root] = ACTIONS(622),
    [anon_sym_self] = ACTIONS(622),
    [sym__int_number] = ACTIONS(622),
    [sym__float_number] = ACTIONS(620),
    [anon_sym_true] = ACTIONS(622),
    [anon_sym_false] = ACTIONS(622),
    [sym_color_value] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_COMMA] = ACTIONS(624),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(626),
    [anon_sym_GT] = ACTIONS(626),
    [anon_sym_return] = ACTIONS(626),
    [anon_sym_COLON] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(624),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_ATtr] = ACTIONS(624),
    [anon_sym_DOT] = ACTIONS(626),
    [sym_logical_and] = ACTIONS(624),
    [sym_logical_or] = ACTIONS(624),
    [anon_sym_QMARK] = ACTIONS(624),
    [anon_sym_ATimage_DASHurl] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(626),
    [anon_sym_DASH] = ACTIONS(626),
    [anon_sym_PLUS] = ACTIONS(626),
    [anon_sym_STAR] = ACTIONS(626),
    [anon_sym_SLASH] = ACTIONS(626),
    [anon_sym_GT_EQ] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ] = ACTIONS(624),
    [anon_sym_EQ] = ACTIONS(626),
    [anon_sym_PLUS_EQ] = ACTIONS(624),
    [anon_sym_DASH_EQ] = ACTIONS(624),
    [anon_sym_STAR_EQ] = ACTIONS(624),
    [anon_sym_SLASH_EQ] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(624),
    [sym__identifier] = ACTIONS(626),
    [anon_sym_linear] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(626),
    [anon_sym_ease] = ACTIONS(626),
    [anon_sym_ease_DASHin] = ACTIONS(626),
    [anon_sym_ease_DASHout] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(626),
    [anon_sym_cubic_DASHbezier] = ACTIONS(626),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(624),
    [anon_sym_ATlinear_gradient] = ACTIONS(624),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(624),
    [anon_sym_ATradial_gradient] = ACTIONS(624),
    [anon_sym_parent] = ACTIONS(626),
    [anon_sym_root] = ACTIONS(626),
    [anon_sym_self] = ACTIONS(626),
    [sym__int_number] = ACTIONS(626),
    [sym__float_number] = ACTIONS(624),
    [anon_sym_true] = ACTIONS(626),
    [anon_sym_false] = ACTIONS(626),
    [sym_color_value] = ACTIONS(624),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_return] = ACTIONS(630),
    [anon_sym_COLON] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_ATtr] = ACTIONS(628),
    [anon_sym_DOT] = ACTIONS(630),
    [sym_logical_and] = ACTIONS(628),
    [sym_logical_or] = ACTIONS(628),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_ATimage_DASHurl] = ACTIONS(628),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_DASH] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(630),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(628),
    [anon_sym_EQ] = ACTIONS(630),
    [anon_sym_PLUS_EQ] = ACTIONS(628),
    [anon_sym_DASH_EQ] = ACTIONS(628),
    [anon_sym_STAR_EQ] = ACTIONS(628),
    [anon_sym_SLASH_EQ] = ACTIONS(628),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [sym__identifier] = ACTIONS(630),
    [anon_sym_linear] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(630),
    [anon_sym_ease] = ACTIONS(630),
    [anon_sym_ease_DASHin] = ACTIONS(630),
    [anon_sym_ease_DASHout] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(630),
    [anon_sym_cubic_DASHbezier] = ACTIONS(630),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(628),
    [anon_sym_ATlinear_gradient] = ACTIONS(628),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(628),
    [anon_sym_ATradial_gradient] = ACTIONS(628),
    [anon_sym_parent] = ACTIONS(630),
    [anon_sym_root] = ACTIONS(630),
    [anon_sym_self] = ACTIONS(630),
    [sym__int_number] = ACTIONS(630),
    [sym__float_number] = ACTIONS(628),
    [anon_sym_true] = ACTIONS(630),
    [anon_sym_false] = ACTIONS(630),
    [sym_color_value] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(634),
    [anon_sym_return] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_RPAREN] = ACTIONS(632),
    [anon_sym_ATtr] = ACTIONS(632),
    [anon_sym_DOT] = ACTIONS(634),
    [sym_logical_and] = ACTIONS(632),
    [sym_logical_or] = ACTIONS(632),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_ATimage_DASHurl] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(634),
    [anon_sym_DASH] = ACTIONS(634),
    [anon_sym_PLUS] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(632),
    [anon_sym_DASH_EQ] = ACTIONS(632),
    [anon_sym_STAR_EQ] = ACTIONS(632),
    [anon_sym_SLASH_EQ] = ACTIONS(632),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [sym__identifier] = ACTIONS(634),
    [anon_sym_linear] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(634),
    [anon_sym_ease] = ACTIONS(634),
    [anon_sym_ease_DASHin] = ACTIONS(634),
    [anon_sym_ease_DASHout] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(634),
    [anon_sym_cubic_DASHbezier] = ACTIONS(634),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(632),
    [anon_sym_ATlinear_gradient] = ACTIONS(632),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(632),
    [anon_sym_ATradial_gradient] = ACTIONS(632),
    [anon_sym_parent] = ACTIONS(634),
    [anon_sym_root] = ACTIONS(634),
    [anon_sym_self] = ACTIONS(634),
    [sym__int_number] = ACTIONS(634),
    [sym__float_number] = ACTIONS(632),
    [anon_sym_true] = ACTIONS(634),
    [anon_sym_false] = ACTIONS(634),
    [sym_color_value] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_COMMA] = ACTIONS(636),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym_LT] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(638),
    [anon_sym_return] = ACTIONS(638),
    [anon_sym_COLON] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_if] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(636),
    [anon_sym_RPAREN] = ACTIONS(636),
    [anon_sym_ATtr] = ACTIONS(636),
    [anon_sym_DOT] = ACTIONS(638),
    [sym_logical_and] = ACTIONS(636),
    [sym_logical_or] = ACTIONS(636),
    [anon_sym_QMARK] = ACTIONS(636),
    [anon_sym_ATimage_DASHurl] = ACTIONS(636),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(638),
    [anon_sym_SLASH] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(636),
    [anon_sym_LT_EQ] = ACTIONS(636),
    [anon_sym_EQ_EQ] = ACTIONS(636),
    [anon_sym_BANG_EQ] = ACTIONS(636),
    [anon_sym_EQ] = ACTIONS(638),
    [anon_sym_PLUS_EQ] = ACTIONS(636),
    [anon_sym_DASH_EQ] = ACTIONS(636),
    [anon_sym_STAR_EQ] = ACTIONS(636),
    [anon_sym_SLASH_EQ] = ACTIONS(636),
    [anon_sym_DQUOTE] = ACTIONS(636),
    [sym__identifier] = ACTIONS(638),
    [anon_sym_linear] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(638),
    [anon_sym_ease] = ACTIONS(638),
    [anon_sym_ease_DASHin] = ACTIONS(638),
    [anon_sym_ease_DASHout] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(638),
    [anon_sym_cubic_DASHbezier] = ACTIONS(638),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(636),
    [anon_sym_ATlinear_gradient] = ACTIONS(636),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(636),
    [anon_sym_ATradial_gradient] = ACTIONS(636),
    [anon_sym_parent] = ACTIONS(638),
    [anon_sym_root] = ACTIONS(638),
    [anon_sym_self] = ACTIONS(638),
    [sym__int_number] = ACTIONS(638),
    [sym__float_number] = ACTIONS(636),
    [anon_sym_true] = ACTIONS(638),
    [anon_sym_false] = ACTIONS(638),
    [sym_color_value] = ACTIONS(636),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_RBRACE] = ACTIONS(640),
    [anon_sym_SEMI] = ACTIONS(640),
    [anon_sym_LT] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(642),
    [anon_sym_return] = ACTIONS(642),
    [anon_sym_COLON] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(640),
    [anon_sym_ATtr] = ACTIONS(640),
    [anon_sym_DOT] = ACTIONS(642),
    [sym_logical_and] = ACTIONS(640),
    [sym_logical_or] = ACTIONS(640),
    [anon_sym_QMARK] = ACTIONS(640),
    [anon_sym_ATimage_DASHurl] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(640),
    [anon_sym_LT_EQ] = ACTIONS(640),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(642),
    [anon_sym_PLUS_EQ] = ACTIONS(640),
    [anon_sym_DASH_EQ] = ACTIONS(640),
    [anon_sym_STAR_EQ] = ACTIONS(640),
    [anon_sym_SLASH_EQ] = ACTIONS(640),
    [anon_sym_DQUOTE] = ACTIONS(640),
    [sym__identifier] = ACTIONS(642),
    [anon_sym_linear] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(642),
    [anon_sym_ease] = ACTIONS(642),
    [anon_sym_ease_DASHin] = ACTIONS(642),
    [anon_sym_ease_DASHout] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(642),
    [anon_sym_cubic_DASHbezier] = ACTIONS(642),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(640),
    [anon_sym_ATlinear_gradient] = ACTIONS(640),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(640),
    [anon_sym_ATradial_gradient] = ACTIONS(640),
    [anon_sym_parent] = ACTIONS(642),
    [anon_sym_root] = ACTIONS(642),
    [anon_sym_self] = ACTIONS(642),
    [sym__int_number] = ACTIONS(642),
    [sym__float_number] = ACTIONS(640),
    [anon_sym_true] = ACTIONS(642),
    [anon_sym_false] = ACTIONS(642),
    [sym_color_value] = ACTIONS(640),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(646),
    [anon_sym_GT] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(646),
    [anon_sym_COLON] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(644),
    [anon_sym_RPAREN] = ACTIONS(644),
    [anon_sym_ATtr] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [sym_logical_and] = ACTIONS(644),
    [sym_logical_or] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(644),
    [anon_sym_ATimage_DASHurl] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(646),
    [anon_sym_DASH] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(646),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(646),
    [anon_sym_PLUS_EQ] = ACTIONS(644),
    [anon_sym_DASH_EQ] = ACTIONS(644),
    [anon_sym_STAR_EQ] = ACTIONS(644),
    [anon_sym_SLASH_EQ] = ACTIONS(644),
    [anon_sym_DQUOTE] = ACTIONS(644),
    [sym__identifier] = ACTIONS(646),
    [anon_sym_linear] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(646),
    [anon_sym_ease] = ACTIONS(646),
    [anon_sym_ease_DASHin] = ACTIONS(646),
    [anon_sym_ease_DASHout] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(646),
    [anon_sym_cubic_DASHbezier] = ACTIONS(646),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(644),
    [anon_sym_ATlinear_gradient] = ACTIONS(644),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(644),
    [anon_sym_ATradial_gradient] = ACTIONS(644),
    [anon_sym_parent] = ACTIONS(646),
    [anon_sym_root] = ACTIONS(646),
    [anon_sym_self] = ACTIONS(646),
    [sym__int_number] = ACTIONS(646),
    [sym__float_number] = ACTIONS(644),
    [anon_sym_true] = ACTIONS(646),
    [anon_sym_false] = ACTIONS(646),
    [sym_color_value] = ACTIONS(644),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(648),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_RPAREN] = ACTIONS(648),
    [anon_sym_ATtr] = ACTIONS(648),
    [anon_sym_DOT] = ACTIONS(650),
    [sym_logical_and] = ACTIONS(648),
    [sym_logical_or] = ACTIONS(648),
    [anon_sym_QMARK] = ACTIONS(648),
    [anon_sym_ATimage_DASHurl] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(648),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_PLUS_EQ] = ACTIONS(648),
    [anon_sym_DASH_EQ] = ACTIONS(648),
    [anon_sym_STAR_EQ] = ACTIONS(648),
    [anon_sym_SLASH_EQ] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(648),
    [sym__identifier] = ACTIONS(650),
    [anon_sym_linear] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(650),
    [anon_sym_ease] = ACTIONS(650),
    [anon_sym_ease_DASHin] = ACTIONS(650),
    [anon_sym_ease_DASHout] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(650),
    [anon_sym_cubic_DASHbezier] = ACTIONS(650),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(648),
    [anon_sym_ATlinear_gradient] = ACTIONS(648),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(648),
    [anon_sym_ATradial_gradient] = ACTIONS(648),
    [anon_sym_parent] = ACTIONS(650),
    [anon_sym_root] = ACTIONS(650),
    [anon_sym_self] = ACTIONS(650),
    [sym__int_number] = ACTIONS(650),
    [sym__float_number] = ACTIONS(648),
    [anon_sym_true] = ACTIONS(650),
    [anon_sym_false] = ACTIONS(650),
    [sym_color_value] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_COLON] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_ATtr] = ACTIONS(388),
    [anon_sym_EQ_GT] = ACTIONS(504),
    [anon_sym_DOT] = ACTIONS(390),
    [sym_logical_and] = ACTIONS(388),
    [sym_logical_or] = ACTIONS(388),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_ATimage_DASHurl] = ACTIONS(388),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_DQUOTE] = ACTIONS(388),
    [sym__identifier] = ACTIONS(390),
    [anon_sym_linear] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease] = ACTIONS(390),
    [anon_sym_ease_DASHin] = ACTIONS(390),
    [anon_sym_ease_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_cubic_DASHbezier] = ACTIONS(390),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(388),
    [anon_sym_ATlinear_gradient] = ACTIONS(388),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(388),
    [anon_sym_ATradial_gradient] = ACTIONS(388),
    [anon_sym_parent] = ACTIONS(390),
    [anon_sym_root] = ACTIONS(390),
    [anon_sym_self] = ACTIONS(390),
    [sym__int_number] = ACTIONS(390),
    [sym__float_number] = ACTIONS(388),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [sym_color_value] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_add_prec_operator] = STATE(137),
    [sym_mult_prec_operator] = STATE(138),
    [sym_comparison_operator] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_RBRACE] = ACTIONS(652),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(654),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_ATtr] = ACTIONS(652),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(364),
    [anon_sym_QMARK] = ACTIONS(366),
    [anon_sym_ATimage_DASHurl] = ACTIONS(652),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_DASH] = ACTIONS(656),
    [anon_sym_PLUS] = ACTIONS(656),
    [anon_sym_STAR] = ACTIONS(658),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym__identifier] = ACTIONS(654),
    [anon_sym_linear] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(654),
    [anon_sym_ease] = ACTIONS(654),
    [anon_sym_ease_DASHin] = ACTIONS(654),
    [anon_sym_ease_DASHout] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(654),
    [anon_sym_cubic_DASHbezier] = ACTIONS(654),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(652),
    [anon_sym_ATlinear_gradient] = ACTIONS(652),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(652),
    [anon_sym_ATradial_gradient] = ACTIONS(652),
    [anon_sym_parent] = ACTIONS(654),
    [anon_sym_root] = ACTIONS(654),
    [anon_sym_self] = ACTIONS(654),
    [sym__int_number] = ACTIONS(654),
    [sym__float_number] = ACTIONS(652),
    [anon_sym_true] = ACTIONS(654),
    [anon_sym_false] = ACTIONS(654),
    [sym_color_value] = ACTIONS(652),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_ATtr] = ACTIONS(660),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(660),
    [anon_sym_BANG] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [sym__identifier] = ACTIONS(662),
    [anon_sym_linear] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease] = ACTIONS(662),
    [anon_sym_ease_DASHin] = ACTIONS(662),
    [anon_sym_ease_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_cubic_DASHbezier] = ACTIONS(662),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(660),
    [anon_sym_ATlinear_gradient] = ACTIONS(660),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(660),
    [anon_sym_ATradial_gradient] = ACTIONS(660),
    [anon_sym_parent] = ACTIONS(662),
    [anon_sym_root] = ACTIONS(662),
    [anon_sym_self] = ACTIONS(662),
    [sym__int_number] = ACTIONS(662),
    [sym__float_number] = ACTIONS(660),
    [anon_sym_true] = ACTIONS(662),
    [anon_sym_false] = ACTIONS(662),
    [sym_color_value] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(666),
    [anon_sym_out] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_ATtr] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(666),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [sym__identifier] = ACTIONS(666),
    [anon_sym_linear] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease] = ACTIONS(666),
    [anon_sym_ease_DASHin] = ACTIONS(666),
    [anon_sym_ease_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_cubic_DASHbezier] = ACTIONS(666),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(664),
    [anon_sym_ATlinear_gradient] = ACTIONS(664),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(664),
    [anon_sym_ATradial_gradient] = ACTIONS(664),
    [anon_sym_parent] = ACTIONS(666),
    [anon_sym_root] = ACTIONS(666),
    [anon_sym_self] = ACTIONS(666),
    [sym__int_number] = ACTIONS(666),
    [sym__float_number] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(666),
    [anon_sym_false] = ACTIONS(666),
    [sym_color_value] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_if] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(498),
    [anon_sym_ATtr] = ACTIONS(498),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(498),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(498),
    [sym__identifier] = ACTIONS(500),
    [anon_sym_linear] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(500),
    [anon_sym_ease] = ACTIONS(500),
    [anon_sym_ease_DASHin] = ACTIONS(500),
    [anon_sym_ease_DASHout] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(500),
    [anon_sym_cubic_DASHbezier] = ACTIONS(500),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(498),
    [anon_sym_ATlinear_gradient] = ACTIONS(498),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(498),
    [anon_sym_ATradial_gradient] = ACTIONS(498),
    [anon_sym_parent] = ACTIONS(500),
    [anon_sym_root] = ACTIONS(500),
    [anon_sym_self] = ACTIONS(500),
    [sym__int_number] = ACTIONS(500),
    [sym__float_number] = ACTIONS(498),
    [anon_sym_true] = ACTIONS(500),
    [anon_sym_false] = ACTIONS(500),
    [sym_color_value] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_in] = ACTIONS(666),
    [anon_sym_out] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_ATtr] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(666),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [sym__identifier] = ACTIONS(666),
    [anon_sym_linear] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease] = ACTIONS(666),
    [anon_sym_ease_DASHin] = ACTIONS(666),
    [anon_sym_ease_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_cubic_DASHbezier] = ACTIONS(666),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(664),
    [anon_sym_ATlinear_gradient] = ACTIONS(664),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(664),
    [anon_sym_ATradial_gradient] = ACTIONS(664),
    [anon_sym_parent] = ACTIONS(666),
    [anon_sym_root] = ACTIONS(666),
    [anon_sym_self] = ACTIONS(666),
    [sym__int_number] = ACTIONS(666),
    [sym__float_number] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(666),
    [anon_sym_false] = ACTIONS(666),
    [sym_color_value] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_ATtr] = ACTIONS(660),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(660),
    [anon_sym_BANG] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [sym__identifier] = ACTIONS(662),
    [anon_sym_linear] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease] = ACTIONS(662),
    [anon_sym_ease_DASHin] = ACTIONS(662),
    [anon_sym_ease_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_cubic_DASHbezier] = ACTIONS(662),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(660),
    [anon_sym_ATlinear_gradient] = ACTIONS(660),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(660),
    [anon_sym_ATradial_gradient] = ACTIONS(660),
    [anon_sym_parent] = ACTIONS(662),
    [anon_sym_root] = ACTIONS(662),
    [anon_sym_self] = ACTIONS(662),
    [sym__int_number] = ACTIONS(662),
    [sym__float_number] = ACTIONS(660),
    [anon_sym_true] = ACTIONS(662),
    [anon_sym_false] = ACTIONS(662),
    [sym_color_value] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(498),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_out] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_ATtr] = ACTIONS(668),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(668),
    [anon_sym_BANG] = ACTIONS(670),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(668),
    [sym__identifier] = ACTIONS(670),
    [anon_sym_linear] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(670),
    [anon_sym_ease] = ACTIONS(670),
    [anon_sym_ease_DASHin] = ACTIONS(670),
    [anon_sym_ease_DASHout] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(670),
    [anon_sym_cubic_DASHbezier] = ACTIONS(670),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(668),
    [anon_sym_ATlinear_gradient] = ACTIONS(668),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(668),
    [anon_sym_ATradial_gradient] = ACTIONS(668),
    [anon_sym_parent] = ACTIONS(670),
    [anon_sym_root] = ACTIONS(670),
    [anon_sym_self] = ACTIONS(670),
    [sym__int_number] = ACTIONS(670),
    [sym__float_number] = ACTIONS(668),
    [anon_sym_true] = ACTIONS(670),
    [anon_sym_false] = ACTIONS(670),
    [sym_color_value] = ACTIONS(668),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(674), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [67] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(678), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_SEMI,
    ACTIONS(680), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(685), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_SEMI,
    ACTIONS(687), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(692), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(696), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(662), 43,
      anon_sym_return,
      anon_sym_if,
      anon_sym_else,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(700), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 1,
      anon_sym_else,
    ACTIONS(702), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(704), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(674), 43,
      anon_sym_return,
      anon_sym_if,
      anon_sym_else,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(328), 1,
      anon_sym_SEMI,
    ACTIONS(350), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(354), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(678), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_SEMI,
    ACTIONS(708), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(712), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(714), 1,
      anon_sym_SEMI,
    ACTIONS(687), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(692), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_SEMI,
    ACTIONS(680), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(685), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(700), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(721), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(725), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(729), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(733), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(183), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(735), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(739), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(743), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(662), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(696), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(747), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(751), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(755), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(759), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(763), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(767), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(771), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(775), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(779), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2189] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(781), 1,
      anon_sym_RBRACE,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(809), 1,
      sym_children_identifier,
    STATE(597), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(270), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2279] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(809), 1,
      sym_children_identifier,
    ACTIONS(811), 1,
      anon_sym_RBRACE,
    STATE(597), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(270), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2369] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(813), 1,
      anon_sym_COMMA,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    ACTIONS(817), 1,
      sym_children_identifier,
    STATE(599), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(273), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2459] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(819), 1,
      anon_sym_RBRACE,
    ACTIONS(821), 1,
      sym_children_identifier,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(272), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2546] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(823), 1,
      anon_sym_RBRACE,
    ACTIONS(825), 1,
      sym_children_identifier,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(274), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2633] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_RBRACE,
    ACTIONS(829), 1,
      anon_sym_property,
    ACTIONS(835), 1,
      anon_sym_transitions,
    ACTIONS(838), 1,
      anon_sym_states,
    ACTIONS(841), 1,
      anon_sym_animate,
    ACTIONS(844), 1,
      anon_sym_if,
    ACTIONS(847), 1,
      anon_sym_for,
    ACTIONS(850), 1,
      anon_sym_callback,
    ACTIONS(853), 1,
      anon_sym_pure,
    ACTIONS(856), 1,
      anon_sym_public,
    ACTIONS(859), 1,
      anon_sym_private,
    ACTIONS(862), 1,
      anon_sym_function,
    ACTIONS(865), 1,
      sym__identifier,
    ACTIONS(868), 1,
      sym_children_identifier,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(832), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(272), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2720] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(821), 1,
      sym_children_identifier,
    ACTIONS(871), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(272), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2807] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(821), 1,
      sym_children_identifier,
    ACTIONS(873), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(272), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2894] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(821), 1,
      sym_children_identifier,
    ACTIONS(875), 1,
      anon_sym_RBRACE,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(272), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [2981] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_property,
    ACTIONS(787), 1,
      anon_sym_transitions,
    ACTIONS(789), 1,
      anon_sym_states,
    ACTIONS(791), 1,
      anon_sym_animate,
    ACTIONS(793), 1,
      anon_sym_if,
    ACTIONS(795), 1,
      anon_sym_for,
    ACTIONS(797), 1,
      anon_sym_callback,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(805), 1,
      anon_sym_function,
    ACTIONS(807), 1,
      sym__identifier,
    ACTIONS(877), 1,
      anon_sym_RBRACE,
    ACTIONS(879), 1,
      sym_children_identifier,
    STATE(589), 1,
      sym_simple_identifier,
    STATE(613), 1,
      sym_purity,
    STATE(723), 1,
      sym_property_visibility,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(854), 1,
      sym_function_call,
    STATE(581), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(275), 15,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      aux_sym_block_repeat1,
  [3068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      sym_children_identifier,
    ACTIONS(500), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(498), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [3114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(348), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(346), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(340), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(338), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(500), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(498), 13,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [3245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(416), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_EQ,
    ACTIONS(414), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT_EQ_GT,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(378), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(376), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3334] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(394), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(530), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(428), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(426), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_EQ,
    ACTIONS(418), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3522] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(404), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(402), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3580] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(404), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(402), 14,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(400), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(398), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(644), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3720] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(422), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(582), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    STATE(295), 1,
      sym_arguments,
    ACTIONS(390), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(388), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(408), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(406), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(384), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(430), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(412), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(410), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(382), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(380), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(558), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(522), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(610), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(498), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(570), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(566), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(546), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RBRACE,
    ACTIONS(500), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(662), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
    ACTIONS(498), 13,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [4321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(466), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(520), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(518), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(506), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(494), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(628), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(488), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(486), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(542), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(510), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(490), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(632), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(482), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(616), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(586), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(480), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(478), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(554), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(554), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(554), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(474), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(554), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(390), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(388), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(462), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(458), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(620), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(624), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(636), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(640), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(648), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(590), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(594), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(450), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(598), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(514), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(602), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(448), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(446), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(538), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(470), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(434), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(534), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(574), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(550), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(454), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(562), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(606), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(438), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(442), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(578), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(526), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(348), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(346), 14,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [6001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(340), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(338), 14,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [6036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(891), 1,
      anon_sym_COMMA,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      anon_sym_RBRACK,
    STATE(675), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(263), 1,
      sym_assignment_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(356), 5,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [6140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      anon_sym_RPAREN,
    STATE(732), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    STATE(685), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    STATE(732), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_RPAREN,
    STATE(732), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    ACTIONS(911), 1,
      anon_sym_RBRACK,
    STATE(732), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(757), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(781), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(783), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(913), 1,
      anon_sym_RBRACE,
    ACTIONS(915), 1,
      anon_sym_property,
    ACTIONS(917), 1,
      anon_sym_callback,
    ACTIONS(919), 1,
      anon_sym_function,
    STATE(614), 1,
      sym_purity,
    STATE(629), 1,
      sym_simple_identifier,
    STATE(661), 1,
      sym_property_visibility,
    STATE(853), 1,
      sym_function_call,
    STATE(585), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(377), 6,
      sym_property,
      sym_binding_alias,
      sym_callback,
      sym_function_definition,
      sym_callback_event,
      aux_sym_global_block_repeat1,
  [6524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(793), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(830), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(775), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(784), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(732), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(835), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(798), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(663), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(799), 1,
      anon_sym_pure,
    ACTIONS(801), 1,
      anon_sym_public,
    ACTIONS(803), 1,
      anon_sym_private,
    ACTIONS(915), 1,
      anon_sym_property,
    ACTIONS(917), 1,
      anon_sym_callback,
    ACTIONS(919), 1,
      anon_sym_function,
    ACTIONS(921), 1,
      anon_sym_RBRACE,
    STATE(614), 1,
      sym_purity,
    STATE(629), 1,
      sym_simple_identifier,
    STATE(661), 1,
      sym_property_visibility,
    STATE(853), 1,
      sym_function_call,
    STATE(585), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(785), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(366), 6,
      sym_property,
      sym_binding_alias,
      sym_callback,
      sym_function_definition,
      sym_callback_event,
      aux_sym_global_block_repeat1,
  [6932] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 1,
      anon_sym_RBRACE,
    ACTIONS(925), 1,
      anon_sym_property,
    ACTIONS(931), 1,
      anon_sym_callback,
    ACTIONS(934), 1,
      anon_sym_pure,
    ACTIONS(937), 1,
      anon_sym_public,
    ACTIONS(940), 1,
      anon_sym_private,
    ACTIONS(943), 1,
      anon_sym_function,
    ACTIONS(946), 1,
      sym__identifier,
    STATE(614), 1,
      sym_purity,
    STATE(629), 1,
      sym_simple_identifier,
    STATE(661), 1,
      sym_property_visibility,
    STATE(853), 1,
      sym_function_call,
    STATE(585), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(928), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(377), 6,
      sym_property,
      sym_binding_alias,
      sym_callback,
      sym_function_definition,
      sym_callback_event,
      aux_sym_global_block_repeat1,
  [6989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      anon_sym_LBRACK,
    STATE(806), 1,
      sym_type,
    STATE(586), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [7028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(949), 1,
      anon_sym_DOT,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(428), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(426), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7068] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_DOT,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(420), 3,
      anon_sym_LT,
      anon_sym_GT,
      sym__int_number,
    ACTIONS(418), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(400), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(398), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7150] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(404), 1,
      sym__int_number,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_DOT,
    ACTIONS(951), 1,
      sym_logical_and,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(402), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      sym__float_number,
  [7202] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(404), 1,
      sym__int_number,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_DOT,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(402), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      sym__float_number,
  [7252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(949), 1,
      anon_sym_DOT,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(378), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(376), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7292] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_DOT,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(396), 3,
      anon_sym_LT,
      anon_sym_GT,
      sym__int_number,
    ACTIONS(394), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7338] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(424), 1,
      sym__int_number,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_DOT,
    ACTIONS(951), 1,
      sym_logical_and,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(422), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      sym__float_number,
  [7390] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(955), 1,
      anon_sym_RBRACE,
    ACTIONS(957), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(729), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(957), 1,
      anon_sym_SEMI,
    ACTIONS(959), 1,
      anon_sym_COMMA,
    ACTIONS(961), 1,
      anon_sym_RBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(694), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(710), 1,
      anon_sym_SEMI,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(959), 1,
      anon_sym_COMMA,
    ACTIONS(961), 1,
      anon_sym_RBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(694), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_DOT,
    ACTIONS(951), 1,
      sym_logical_and,
    ACTIONS(965), 1,
      sym_logical_or,
    ACTIONS(967), 1,
      anon_sym_QMARK,
    ACTIONS(969), 1,
      sym__int_number,
    STATE(144), 1,
      sym_comparison_operator,
    STATE(145), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(963), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__float_number,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(959), 1,
      anon_sym_COMMA,
    ACTIONS(961), 1,
      anon_sym_RBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(694), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(971), 1,
      anon_sym_COMMA,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(698), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7740] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(975), 1,
      anon_sym_COMMA,
    ACTIONS(977), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(693), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7797] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(979), 1,
      anon_sym_COMMA,
    ACTIONS(981), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(724), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7854] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(983), 1,
      anon_sym_COMMA,
    ACTIONS(985), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(678), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7911] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(987), 1,
      anon_sym_COMMA,
    ACTIONS(989), 1,
      anon_sym_RBRACK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(721), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7968] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(991), 1,
      anon_sym_COMMA,
    ACTIONS(993), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(720), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8025] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(995), 1,
      anon_sym_COMMA,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(715), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8082] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(955), 1,
      anon_sym_RBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(729), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8139] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(999), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8192] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1001), 1,
      anon_sym_COMMA,
    ACTIONS(1003), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(733), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1005), 1,
      anon_sym_COMMA,
    ACTIONS(1007), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(716), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1009), 1,
      anon_sym_COMMA,
    ACTIONS(1011), 1,
      anon_sym_RBRACK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(741), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8363] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(652), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1013), 1,
      anon_sym_LBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(795), 1,
      sym_animate_body,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(494), 1,
      sym_animate_body,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8523] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(963), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1017), 1,
      anon_sym_COMMA,
    ACTIONS(1019), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1021), 1,
      anon_sym_LBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    STATE(241), 1,
      sym_imperative_block,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8683] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1023), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1025), 1,
      anon_sym_COMMA,
    ACTIONS(1027), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(1029), 1,
      anon_sym_RBRACE,
    STATE(672), 1,
      sym_export_type,
    STATE(673), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [8823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1031), 1,
      anon_sym_COMMA,
    ACTIONS(1033), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1035), 1,
      anon_sym_COMMA,
    ACTIONS(1037), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8931] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1039), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8982] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1041), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9033] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(710), 1,
      anon_sym_SEMI,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9084] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1043), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(777), 1,
      sym_export_type,
    STATE(673), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [9166] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1045), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9217] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1047), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(668), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
    ACTIONS(498), 13,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9297] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1049), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9348] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1051), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9399] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1053), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9450] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1055), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9501] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1057), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9552] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1059), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9603] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1061), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9654] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(957), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9705] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1063), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9756] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1065), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9807] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1067), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9858] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1069), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9909] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1071), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9960] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1073), 1,
      anon_sym_RBRACK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10011] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1075), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10062] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10113] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1079), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10164] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1081), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10215] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1083), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10266] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1085), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10317] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1087), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10368] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1089), 1,
      anon_sym_RPAREN,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10419] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1091), 1,
      anon_sym_COLON,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10470] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1093), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10521] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1095), 1,
      anon_sym_RBRACK,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10572] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1097), 1,
      anon_sym_SEMI,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10623] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(881), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_DOT,
    ACTIONS(885), 1,
      sym_logical_and,
    ACTIONS(899), 1,
      sym_logical_or,
    ACTIONS(901), 1,
      anon_sym_QMARK,
    ACTIONS(1099), 1,
      anon_sym_RBRACE,
    STATE(83), 1,
      sym_comparison_operator,
    STATE(91), 1,
      sym_mult_prec_operator,
    STATE(95), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(846), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(913), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      ts_builtin_sym_end,
    ACTIONS(1103), 1,
      sym_export,
    ACTIONS(1106), 1,
      anon_sym_import,
    ACTIONS(1109), 1,
      anon_sym_component,
    ACTIONS(1112), 1,
      anon_sym_global,
    ACTIONS(1115), 1,
      anon_sym_struct,
    ACTIONS(1118), 1,
      anon_sym_enum,
    ACTIONS(1121), 1,
      sym__identifier,
    STATE(888), 1,
      sym_user_type_identifier,
    STATE(452), 9,
      sym__definition,
      sym__local_type,
      sym__exported_type,
      sym_import_statement,
      sym_component_definition,
      sym_global_definition,
      sym_struct_definition,
      sym_enum_definition,
      aux_sym_sourcefile_repeat1,
  [10772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(885), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(874), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(774), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(857), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(886), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(875), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_children_identifier,
    ACTIONS(674), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [10966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_SEMI,
    ACTIONS(1124), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1126), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [10994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(891), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(897), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [11022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_SEMI,
    ACTIONS(708), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(712), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11050] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_export,
    ACTIONS(9), 1,
      anon_sym_import,
    ACTIONS(11), 1,
      anon_sym_component,
    ACTIONS(13), 1,
      anon_sym_global,
    ACTIONS(15), 1,
      anon_sym_struct,
    ACTIONS(17), 1,
      anon_sym_enum,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(1128), 1,
      ts_builtin_sym_end,
    STATE(888), 1,
      sym_user_type_identifier,
    STATE(452), 9,
      sym__definition,
      sym__local_type,
      sym__exported_type,
      sym_import_statement,
      sym_component_definition,
      sym_global_definition,
      sym_struct_definition,
      sym_enum_definition,
      aux_sym_sourcefile_repeat1,
  [11092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1132), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1136), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1140), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(739), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(743), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1144), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1148), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1152), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1156), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1160), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1164), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1168), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1172), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1176), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1180), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1184), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1188), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1192), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1196), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1200), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1204), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1208), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1212), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1216), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1220), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(662), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1224), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1228), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(678), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1232), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1236), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1240), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1244), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1248), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1252), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1256), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [11992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1260), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(666), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1264), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1268), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1272), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1276), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1280), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1284), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1288), 15,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(620), 13,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [12241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      ts_builtin_sym_end,
    ACTIONS(1294), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym_user_type_identifier,
    STATE(553), 5,
      sym__local_type,
      sym_component_definition,
      sym_global_definition,
      sym_struct_definition,
      sym_enum_definition,
    ACTIONS(1292), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1298), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1302), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1306), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1310), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1314), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1318), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(674), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      anon_sym_RBRACE,
    ACTIONS(1061), 1,
      anon_sym_SEMI,
    ACTIONS(712), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 1,
      anon_sym_RBRACE,
    ACTIONS(1188), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RBRACE,
    ACTIONS(662), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    ACTIONS(1144), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_RBRACE,
    ACTIONS(1268), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_RBRACE,
    ACTIONS(743), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 1,
      anon_sym_RBRACE,
    ACTIONS(1172), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      anon_sym_RBRACE,
    ACTIONS(1184), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      anon_sym_RBRACE,
    ACTIONS(1168), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_RBRACE,
    ACTIONS(1200), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 1,
      anon_sym_RBRACE,
    ACTIONS(1204), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_RBRACE,
    ACTIONS(1240), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 1,
      anon_sym_RBRACE,
    ACTIONS(1212), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
    ACTIONS(1276), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_RBRACE,
    ACTIONS(1196), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      anon_sym_RBRACE,
    ACTIONS(1160), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_RBRACE,
    ACTIONS(1280), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_RBRACE,
    ACTIONS(1220), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      anon_sym_RBRACE,
    ACTIONS(1252), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_RBRACE,
    ACTIONS(1284), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_RBRACE,
    ACTIONS(739), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    ACTIONS(1136), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_RBRACE,
    ACTIONS(1232), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_RBRACE,
    ACTIONS(1152), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
    ACTIONS(1140), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(1228), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 1,
      anon_sym_RBRACE,
    ACTIONS(1156), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_RBRACE,
    ACTIONS(1216), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_RBRACE,
    ACTIONS(1288), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_RBRACE,
    ACTIONS(1244), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_inherits,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      ts_builtin_sym_end,
    ACTIONS(1324), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      ts_builtin_sym_end,
    ACTIONS(1328), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      ts_builtin_sym_end,
    ACTIONS(1332), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      ts_builtin_sym_end,
    ACTIONS(1336), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      ts_builtin_sym_end,
    ACTIONS(1340), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      ts_builtin_sym_end,
    ACTIONS(1344), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      ts_builtin_sym_end,
    ACTIONS(1348), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      ts_builtin_sym_end,
    ACTIONS(1352), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      sym_animate_option_identifier,
    STATE(575), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1356), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      ts_builtin_sym_end,
    ACTIONS(1360), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      sym_animate_option_identifier,
    STATE(565), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1356), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 1,
      ts_builtin_sym_end,
    ACTIONS(678), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 1,
      ts_builtin_sym_end,
    ACTIONS(1368), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      ts_builtin_sym_end,
    ACTIONS(1372), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      ts_builtin_sym_end,
    ACTIONS(1376), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      sym_animate_option_identifier,
    STATE(565), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1380), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      ts_builtin_sym_end,
    ACTIONS(1385), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      ts_builtin_sym_end,
    ACTIONS(1389), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      sym_animate_option_identifier,
    STATE(559), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1356), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      ts_builtin_sym_end,
    ACTIONS(1395), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      ts_builtin_sym_end,
    ACTIONS(1399), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      ts_builtin_sym_end,
    ACTIONS(1403), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      ts_builtin_sym_end,
    ACTIONS(1407), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      ts_builtin_sym_end,
    ACTIONS(1411), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      ts_builtin_sym_end,
    ACTIONS(1415), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      sym_animate_option_identifier,
    STATE(565), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1356), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      ts_builtin_sym_end,
    ACTIONS(1421), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      ts_builtin_sym_end,
    ACTIONS(1425), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      ts_builtin_sym_end,
    ACTIONS(1429), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      ts_builtin_sym_end,
    ACTIONS(1433), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      ts_builtin_sym_end,
    ACTIONS(666), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_pure,
    ACTIONS(1439), 1,
      anon_sym_function,
    ACTIONS(1437), 2,
      anon_sym_public,
      anon_sym_private,
    STATE(582), 3,
      sym_purity,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
  [13560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 1,
      anon_sym_pure,
    ACTIONS(1447), 1,
      anon_sym_function,
    ACTIONS(1444), 2,
      anon_sym_public,
      anon_sym_private,
    STATE(582), 3,
      sym_purity,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
  [13579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1449), 1,
      anon_sym_RBRACE,
    ACTIONS(1451), 1,
      anon_sym_animate,
    STATE(844), 1,
      sym_simple_identifier,
    STATE(646), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [13602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1451), 1,
      anon_sym_animate,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
    STATE(844), 1,
      sym_simple_identifier,
    STATE(620), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [13625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_pure,
    ACTIONS(1455), 1,
      anon_sym_function,
    ACTIONS(1437), 2,
      anon_sym_public,
      anon_sym_private,
    STATE(582), 3,
      sym_purity,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
  [13644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(416), 1,
      anon_sym_COLON,
    ACTIONS(1320), 1,
      anon_sym_LBRACE,
    ACTIONS(414), 4,
      anon_sym_COLON_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
  [13672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 2,
      anon_sym_property,
      sym__identifier,
    ACTIONS(1461), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [13686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    ACTIONS(1467), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1469), 1,
      anon_sym_EQ_GT,
    STATE(295), 1,
      sym_arguments,
  [13708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(170), 1,
      sym__int_number,
    ACTIONS(172), 1,
      sym__float_number,
    STATE(887), 1,
      sym__number,
    STATE(884), 3,
      sym_int_value,
      sym_float_value,
      sym_angle_value,
  [13726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      sym__int_number,
    ACTIONS(1481), 1,
      sym__float_number,
    STATE(809), 1,
      sym_percent_value,
    STATE(856), 1,
      sym__number,
    ACTIONS(1477), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [13782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(170), 1,
      sym__int_number,
    ACTIONS(172), 1,
      sym__float_number,
    STATE(887), 1,
      sym__number,
    STATE(914), 3,
      sym_int_value,
      sym_float_value,
      sym_angle_value,
  [13812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1467), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1469), 1,
      anon_sym_EQ_GT,
    ACTIONS(1485), 1,
      anon_sym_COLON,
    STATE(295), 1,
      sym_arguments,
  [13834] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_phx,
    ACTIONS(1489), 1,
      aux_sym_length_value_token1,
    ACTIONS(1491), 1,
      aux_sym_duration_value_token1,
    ACTIONS(1493), 1,
      aux_sym_angle_value_token1,
    ACTIONS(1495), 1,
      anon_sym_PERCENT2,
    ACTIONS(1497), 1,
      anon_sym_rem,
  [13856] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(1463), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1467), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1469), 1,
      anon_sym_EQ_GT,
    ACTIONS(1499), 1,
      anon_sym_COLON,
    STATE(295), 1,
      sym_arguments,
  [13878] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_phx,
    ACTIONS(1503), 1,
      aux_sym_length_value_token1,
    ACTIONS(1505), 1,
      aux_sym_duration_value_token1,
    ACTIONS(1507), 1,
      aux_sym_angle_value_token1,
    ACTIONS(1509), 1,
      anon_sym_PERCENT2,
    ACTIONS(1511), 1,
      anon_sym_rem,
  [13900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 5,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [13911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LPAREN,
    ACTIONS(1519), 1,
      anon_sym_DASH_GT,
    STATE(522), 1,
      sym_imperative_block,
    STATE(736), 1,
      sym__function_signature,
  [13930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 1,
      anon_sym_SEMI,
    ACTIONS(1523), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1525), 1,
      anon_sym_LPAREN,
    ACTIONS(1527), 1,
      anon_sym_DASH_GT,
    STATE(761), 1,
      sym__callback_signature,
  [13949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    ACTIONS(1531), 1,
      anon_sym_DASH_GT,
    STATE(466), 1,
      sym_imperative_block,
    STATE(680), 1,
      sym__function_signature,
  [13968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_LPAREN,
    ACTIONS(1533), 1,
      anon_sym_SEMI,
    ACTIONS(1535), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1537), 1,
      anon_sym_DASH_GT,
    STATE(817), 1,
      sym__callback_signature,
  [13987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_RBRACK,
    ACTIONS(1539), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(615), 2,
      sym_in_out_transition,
      aux_sym_transitions_definition_repeat1,
  [14002] = 5,
    ACTIONS(1543), 1,
      anon_sym_DQUOTE,
    ACTIONS(1545), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1547), 1,
      anon_sym_BSLASH,
    ACTIONS(1549), 1,
      sym_comment,
    STATE(609), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_LBRACE,
    ACTIONS(1553), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      aux_sym_escape_sequence_token1,
      anon_sym_n,
  [14032] = 5,
    ACTIONS(1547), 1,
      anon_sym_BSLASH,
    ACTIONS(1549), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_DQUOTE,
    ACTIONS(1557), 1,
      sym__unescaped_string_fragment,
    STATE(612), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 5,
      anon_sym_RBRACE,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [14060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    ACTIONS(1561), 1,
      anon_sym_DASH_GT,
    STATE(503), 1,
      sym_imperative_block,
    STATE(699), 1,
      sym__function_signature,
  [14079] = 5,
    ACTIONS(1549), 1,
      sym_comment,
    ACTIONS(1563), 1,
      anon_sym_DQUOTE,
    ACTIONS(1565), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1568), 1,
      anon_sym_BSLASH,
    STATE(612), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_callback,
    ACTIONS(1573), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_callback,
    ACTIONS(1573), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_RBRACK,
    ACTIONS(1539), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(617), 2,
      sym_in_out_transition,
      aux_sym_transitions_definition_repeat1,
  [14137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LPAREN,
    ACTIONS(1579), 1,
      anon_sym_DASH_GT,
    STATE(542), 1,
      sym_imperative_block,
    STATE(748), 1,
      sym__function_signature,
  [14156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_RBRACK,
    ACTIONS(1581), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(617), 2,
      sym_in_out_transition,
      aux_sym_transitions_definition_repeat1,
  [14171] = 5,
    ACTIONS(1547), 1,
      anon_sym_BSLASH,
    ACTIONS(1549), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_DQUOTE,
    ACTIONS(1588), 1,
      sym__unescaped_string_fragment,
    STATE(619), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14188] = 5,
    ACTIONS(1547), 1,
      anon_sym_BSLASH,
    ACTIONS(1549), 1,
      sym_comment,
    ACTIONS(1557), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1590), 1,
      anon_sym_DQUOTE,
    STATE(612), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_RBRACE,
    ACTIONS(1594), 1,
      anon_sym_animate,
    STATE(652), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_LBRACE,
    ACTIONS(1598), 1,
      anon_sym_if,
    STATE(251), 2,
      sym_imperative_block,
      sym_if_expr,
  [14233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(628), 1,
      aux_sym_states_definition_repeat2,
    STATE(838), 1,
      sym_simple_identifier,
  [14249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_RBRACK,
    ACTIONS(1606), 1,
      sym__identifier,
    STATE(623), 1,
      aux_sym_states_definition_repeat2,
    STATE(838), 1,
      sym_simple_identifier,
  [14265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1609), 1,
      anon_sym_RBRACE,
    STATE(900), 1,
      sym_simple_identifier,
  [14281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    STATE(844), 1,
      sym_simple_identifier,
  [14297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 1,
      anon_sym_COMMA,
    ACTIONS(1615), 1,
      anon_sym_RPAREN,
    ACTIONS(1617), 1,
      anon_sym_EQ_GT,
    ACTIONS(1619), 1,
      anon_sym_PIPE,
  [14313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1621), 1,
      anon_sym_RPAREN,
    STATE(773), 1,
      sym_typed_identifier,
    STATE(843), 1,
      sym_simple_identifier,
  [14329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1623), 1,
      anon_sym_RBRACK,
    STATE(623), 1,
      aux_sym_states_definition_repeat2,
    STATE(838), 1,
      sym_simple_identifier,
  [14345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(1625), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1627), 1,
      anon_sym_EQ_GT,
    STATE(295), 1,
      sym_arguments,
  [14361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_COMMA,
    STATE(630), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(1632), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [14375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_animate,
    ACTIONS(1634), 1,
      anon_sym_RBRACE,
    STATE(632), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_animate,
    ACTIONS(1636), 1,
      anon_sym_RBRACE,
    STATE(652), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_LPAREN,
    ACTIONS(1638), 1,
      anon_sym_SEMI,
    ACTIONS(1640), 1,
      anon_sym_DASH_GT,
    STATE(771), 1,
      sym__callback_signature,
  [14419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1644), 1,
      anon_sym_LT,
    STATE(786), 1,
      sym__property_type,
    STATE(881), 1,
      sym_simple_identifier,
  [14445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      sym__identifier,
    STATE(499), 1,
      sym_component,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(863), 1,
      sym_simple_identifier,
  [14461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_COMMA,
    ACTIONS(1650), 1,
      anon_sym_RPAREN,
    ACTIONS(1652), 1,
      anon_sym_EQ_GT,
    ACTIONS(1654), 1,
      anon_sym_PIPE,
  [14477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1656), 1,
      anon_sym_RPAREN,
    STATE(690), 1,
      sym_typed_identifier,
    STATE(843), 1,
      sym_simple_identifier,
  [14493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      sym__identifier,
    STATE(474), 1,
      sym_component,
    STATE(811), 1,
      sym_user_type_identifier,
    STATE(863), 1,
      sym_simple_identifier,
  [14509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_LPAREN,
    ACTIONS(1658), 1,
      anon_sym_SEMI,
    ACTIONS(1660), 1,
      anon_sym_DASH_GT,
    STATE(782), 1,
      sym__callback_signature,
  [14525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_animate,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
    STATE(652), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 1,
      anon_sym_COMMA,
    ACTIONS(1666), 1,
      anon_sym_RBRACE,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(740), 1,
      sym_user_type_identifier,
  [14555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1670), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      sym_simple_identifier,
  [14571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1644), 1,
      anon_sym_LT,
    STATE(794), 1,
      sym__property_type,
    STATE(834), 1,
      sym_simple_identifier,
  [14587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
    ACTIONS(999), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [14601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_animate,
    ACTIONS(1677), 1,
      anon_sym_RBRACE,
    STATE(652), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    ACTIONS(1679), 1,
      anon_sym_RBRACE,
    STATE(674), 1,
      sym_import_type,
    STATE(676), 1,
      sym_user_type_identifier,
  [14631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    STATE(773), 1,
      sym_typed_identifier,
    STATE(843), 1,
      sym_simple_identifier,
  [14647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1644), 1,
      anon_sym_LT,
    STATE(804), 1,
      sym__property_type,
    STATE(897), 1,
      sym_simple_identifier,
  [14663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1644), 1,
      anon_sym_LT,
    STATE(796), 1,
      sym__property_type,
    STATE(901), 1,
      sym_simple_identifier,
  [14679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_animate,
    ACTIONS(1683), 1,
      anon_sym_RBRACE,
    STATE(641), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 1,
      anon_sym_RBRACE,
    ACTIONS(1687), 1,
      anon_sym_animate,
    STATE(652), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    ACTIONS(1690), 1,
      anon_sym_LBRACE,
    STATE(284), 1,
      sym__string,
    STATE(882), 1,
      sym_string_value,
  [14723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(872), 1,
      sym_string_value,
  [14736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_COMMA,
    ACTIONS(1694), 1,
      anon_sym_RPAREN,
    STATE(737), 1,
      aux_sym_arguments_repeat1,
  [14749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
  [14758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_COMMA,
    ACTIONS(1699), 1,
      anon_sym_RBRACE,
    STATE(657), 1,
      aux_sym_enum_block_repeat1,
  [14771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(907), 1,
      sym_string_value,
  [14784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    ACTIONS(1701), 1,
      anon_sym_RBRACE,
    STATE(759), 1,
      sym_user_type_identifier,
  [14797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(903), 1,
      sym_string_value,
  [14810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1703), 1,
      anon_sym_property,
    STATE(899), 1,
      sym_simple_identifier,
  [14823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_COMMA,
    ACTIONS(1708), 1,
      anon_sym_RPAREN,
    STATE(662), 1,
      aux_sym__function_signature_repeat1,
  [14836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_COMMA,
    ACTIONS(1712), 1,
      anon_sym_RBRACE,
    STATE(710), 1,
      aux_sym_struct_block_repeat1,
  [14849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
    ACTIONS(1716), 1,
      sym__int_number,
    STATE(743), 1,
      aux_sym_image_call_repeat1,
  [14862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    ACTIONS(1720), 1,
      sym__int_number,
    STATE(664), 1,
      aux_sym_image_call_repeat1,
  [14875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LBRACE,
    ACTIONS(1724), 1,
      anon_sym_inherits,
    STATE(570), 1,
      sym_block,
  [14888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LBRACE,
    ACTIONS(1728), 1,
      anon_sym_COLON_EQ,
    STATE(573), 1,
      sym_global_block,
  [14901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(696), 1,
      aux_sym_arguments_repeat1,
  [14914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    ACTIONS(1734), 1,
      anon_sym_COLON_EQ,
    STATE(549), 1,
      sym_struct_block,
  [14927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(728), 1,
      sym_string_value,
  [14940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1736), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      sym_simple_identifier,
  [14953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_RBRACE,
    STATE(687), 1,
      aux_sym__exported_type_repeat1,
  [14966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_as,
    ACTIONS(1742), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RBRACE,
    STATE(691), 1,
      aux_sym_import_statement_repeat1,
  [14990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(718), 1,
      aux_sym_type_list_repeat1,
  [15003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1756), 1,
      anon_sym_as,
    ACTIONS(1754), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_COMMA,
    ACTIONS(1761), 1,
      anon_sym_RBRACE,
    STATE(677), 1,
      aux_sym_anon_struct_block_repeat1,
  [15027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(322), 1,
      anon_sym_RPAREN,
    ACTIONS(1763), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(833), 1,
      sym_string_value,
  [15053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    ACTIONS(1765), 1,
      anon_sym_DASH_GT,
    STATE(495), 1,
      sym_imperative_block,
  [15066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(1769), 1,
      sym__int_number,
    STATE(705), 1,
      aux_sym_image_call_repeat1,
  [15079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(776), 1,
      sym_string_value,
  [15092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(626), 1,
      sym_string_value,
  [15105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
  [15114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_COMMA,
    ACTIONS(1773), 1,
      anon_sym_RPAREN,
    STATE(726), 1,
      aux_sym_type_list_repeat1,
  [15127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(773), 1,
      sym_typed_identifier,
    STATE(843), 1,
      sym_simple_identifier,
  [15140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    STATE(746), 1,
      aux_sym__exported_type_repeat1,
  [15153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(894), 1,
      sym_string_value,
  [15166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(676), 1,
      sym_user_type_identifier,
    STATE(772), 1,
      sym_import_type,
  [15179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_COMMA,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    STATE(739), 1,
      aux_sym__function_signature_repeat1,
  [15192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_COMMA,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    STATE(742), 1,
      aux_sym_import_statement_repeat1,
  [15205] = 3,
    ACTIONS(1549), 1,
      sym_comment,
    ACTIONS(1785), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1783), 2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
  [15216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_RPAREN,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_COMMA,
    ACTIONS(1791), 1,
      anon_sym_RBRACE,
    STATE(677), 1,
      aux_sym_anon_struct_block_repeat1,
  [15242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_SEMI,
    ACTIONS(1795), 1,
      anon_sym_COLON,
    ACTIONS(1797), 1,
      anon_sym_LT_EQ_GT,
  [15255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_RPAREN,
    ACTIONS(1799), 1,
      anon_sym_COMMA,
    STATE(751), 1,
      aux_sym_arguments_repeat1,
  [15268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_SEMI,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_LT_EQ_GT,
  [15281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(308), 1,
      anon_sym_RPAREN,
    ACTIONS(1807), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    ACTIONS(1809), 1,
      anon_sym_DASH_GT,
    STATE(479), 1,
      sym_imperative_block,
  [15307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(792), 1,
      sym_simple_identifier,
    STATE(866), 1,
      sym_simple_indexed_identifier,
  [15320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1811), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_simple_identifier,
  [15333] = 3,
    ACTIONS(1549), 1,
      sym_comment,
    ACTIONS(1815), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1813), 2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
  [15344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(780), 1,
      sym_string_value,
  [15357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(637), 1,
      sym_string_value,
  [15370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      sym__int_number,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
    STATE(743), 1,
      aux_sym_image_call_repeat1,
  [15383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_COMMA,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    STATE(749), 1,
      aux_sym_gradient_call_repeat1,
  [15396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_COMMA,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
    STATE(734), 1,
      aux_sym_gradient_call_repeat1,
  [15409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(878), 1,
      sym_string_value,
  [15422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_COMMA,
    ACTIONS(1829), 1,
      anon_sym_RPAREN,
    STATE(734), 1,
      aux_sym_gradient_call_repeat1,
  [15435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_COMMA,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    STATE(735), 1,
      aux_sym_struct_block_repeat1,
  [15448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    STATE(657), 1,
      aux_sym_enum_block_repeat1,
  [15461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COMMA,
    ACTIONS(1841), 1,
      anon_sym_RPAREN,
    STATE(738), 1,
      aux_sym_gradient_call_repeat1,
  [15474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    ACTIONS(1843), 1,
      anon_sym_RBRACE,
    STATE(759), 1,
      sym_user_type_identifier,
  [15487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(731), 1,
      sym_string_value,
  [15500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(324), 1,
      anon_sym_RPAREN,
    ACTIONS(1845), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_RPAREN,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
  [15535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    ACTIONS(1849), 1,
      anon_sym_COMMA,
    STATE(630), 1,
      aux_sym_type_list_repeat1,
  [15548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_COMMA,
    ACTIONS(1853), 1,
      anon_sym_RPAREN,
    STATE(707), 1,
      aux_sym_gradient_call_repeat1,
  [15561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(320), 1,
      anon_sym_RPAREN,
    ACTIONS(1855), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(326), 1,
      anon_sym_RBRACK,
    ACTIONS(1857), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 1,
      anon_sym_COMMA,
    ACTIONS(1861), 1,
      anon_sym_RPAREN,
    STATE(709), 1,
      aux_sym_gradient_call_repeat1,
  [15600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1863), 1,
      anon_sym_property,
    STATE(855), 1,
      sym_simple_identifier,
  [15613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(332), 1,
      anon_sym_RPAREN,
    ACTIONS(1865), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1791), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      sym_simple_identifier,
  [15639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_RPAREN,
    ACTIONS(1867), 1,
      anon_sym_COMMA,
    STATE(630), 1,
      aux_sym_type_list_repeat1,
  [15652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      sym_simple_identifier,
  [15665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_COMMA,
    ACTIONS(1873), 1,
      anon_sym_RPAREN,
    ACTIONS(1875), 1,
      anon_sym_PIPE,
  [15678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_COMMA,
    ACTIONS(1879), 1,
      anon_sym_RBRACE,
    STATE(677), 1,
      aux_sym_anon_struct_block_repeat1,
  [15691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1879), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      sym_simple_identifier,
  [15704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_COMMA,
    ACTIONS(1883), 1,
      anon_sym_RPAREN,
    ACTIONS(1885), 1,
      anon_sym_PIPE,
  [15717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [15726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_RPAREN,
    ACTIONS(1887), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_COMMA,
    ACTIONS(1892), 1,
      anon_sym_RPAREN,
    STATE(734), 1,
      aux_sym_gradient_call_repeat1,
  [15752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_COMMA,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    STATE(735), 1,
      aux_sym_struct_block_repeat1,
  [15765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1899), 1,
      anon_sym_DASH_GT,
    STATE(525), 1,
      sym_imperative_block,
  [15778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 1,
      anon_sym_RPAREN,
    ACTIONS(1901), 1,
      anon_sym_COMMA,
    STATE(751), 1,
      aux_sym_arguments_repeat1,
  [15791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_COMMA,
    ACTIONS(1905), 1,
      anon_sym_RPAREN,
    STATE(734), 1,
      aux_sym_gradient_call_repeat1,
  [15804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_RPAREN,
    ACTIONS(1907), 1,
      anon_sym_COMMA,
    STATE(662), 1,
      aux_sym__function_signature_repeat1,
  [15817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(1911), 1,
      anon_sym_RBRACE,
    STATE(711), 1,
      aux_sym_enum_block_repeat1,
  [15830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_RBRACK,
    ACTIONS(1913), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_COMMA,
    ACTIONS(1918), 1,
      anon_sym_RBRACE,
    STATE(742), 1,
      aux_sym_import_statement_repeat1,
  [15856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_RPAREN,
    ACTIONS(1922), 1,
      sym__int_number,
    STATE(743), 1,
      aux_sym_image_call_repeat1,
  [15869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_SEMI,
    ACTIONS(1927), 1,
      anon_sym_COLON,
    ACTIONS(1929), 1,
      anon_sym_LT_EQ_GT,
  [15882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_SEMI,
    ACTIONS(1933), 1,
      anon_sym_COLON,
    ACTIONS(1935), 1,
      anon_sym_LT_EQ_GT,
  [15895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_COMMA,
    ACTIONS(1940), 1,
      anon_sym_RBRACE,
    STATE(746), 1,
      aux_sym__exported_type_repeat1,
  [15908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(284), 1,
      sym__string,
    STATE(847), 1,
      sym_string_value,
  [15921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1942), 1,
      anon_sym_DASH_GT,
    STATE(529), 1,
      sym_imperative_block,
  [15934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_COMMA,
    ACTIONS(1946), 1,
      anon_sym_RPAREN,
    STATE(734), 1,
      aux_sym_gradient_call_repeat1,
  [15947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    ACTIONS(1948), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      sym_simple_identifier,
  [15960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_COMMA,
    ACTIONS(1953), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      aux_sym_arguments_repeat1,
  [15973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(611), 1,
      sym_simple_identifier,
  [15983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 2,
      anon_sym_property,
      sym__identifier,
  [15991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_circle,
    STATE(915), 1,
      sym_radial_gradient_kind,
  [16001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 2,
      anon_sym_RBRACE,
      anon_sym_animate,
  [16009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1892), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_imperative_block,
  [16027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    STATE(310), 1,
      sym_arguments,
  [16037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(666), 1,
      sym_user_type_identifier,
  [16055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_SEMI,
    ACTIONS(1961), 1,
      anon_sym_DASH_GT,
  [16065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(392), 1,
      anon_sym_LPAREN,
    STATE(183), 1,
      sym_arguments,
  [16075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_SEMI,
  [16093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_imperative_block,
  [16103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(667), 1,
      sym_user_type_identifier,
  [16121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 2,
      anon_sym_RBRACK,
      sym__identifier,
  [16145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 1,
      anon_sym_SEMI,
    ACTIONS(1977), 1,
      anon_sym_DASH_GT,
  [16155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_imperative_block,
  [16189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_COMMA,
    ACTIONS(1983), 1,
      anon_sym_RPAREN,
  [16199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(669), 1,
      sym_user_type_identifier,
  [16217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(790), 1,
      sym_user_type_identifier,
  [16227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_COMMA,
    ACTIONS(1987), 1,
      anon_sym_RPAREN,
  [16237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_imperative_block,
  [16247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_SEMI,
    ACTIONS(1991), 1,
      anon_sym_DASH_GT,
  [16257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_imperative_block,
  [16275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(697), 1,
      sym_simple_identifier,
  [16293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(893), 1,
      sym_simple_identifier,
  [16303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 2,
      anon_sym_RBRACE,
      anon_sym_animate,
  [16311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_block,
  [16321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_enum_block,
  [16331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(821), 1,
      sym_user_type_identifier,
  [16341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_in,
    ACTIONS(2003), 1,
      anon_sym_LBRACK,
  [16351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_imperative_block,
  [16361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(695), 1,
      sym_simple_identifier,
  [16371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 2,
      anon_sym_RBRACE,
      anon_sym_animate,
  [16379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(745), 1,
      sym_simple_identifier,
  [16389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(633), 1,
      sym_simple_identifier,
  [16399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_imperative_block,
  [16409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(805), 1,
      sym_user_type_identifier,
  [16419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2005), 2,
      anon_sym_RBRACK,
      sym__identifier,
  [16427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_global_block,
  [16437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(602), 1,
      sym_simple_identifier,
  [16455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(744), 1,
      sym_simple_identifier,
  [16465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_block,
  [16475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_imperative_block,
  [16485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(603), 1,
      sym_simple_identifier,
  [16495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_imperative_block,
  [16505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(178), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      anon_sym_SEMI,
  [16523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_block,
  [16533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 2,
      anon_sym_RBRACK,
      sym__identifier,
  [16541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(789), 1,
      sym_user_type_identifier,
  [16551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(616), 1,
      sym_simple_identifier,
  [16561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_struct_block,
  [16571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_SEMI,
    ACTIONS(2017), 1,
      anon_sym_DASH_GT,
  [16589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(640), 1,
      sym_simple_identifier,
  [16607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_block,
  [16625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(759), 1,
      sym_user_type_identifier,
  [16635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(604), 1,
      sym_simple_identifier,
  [16645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(861), 1,
      sym_simple_identifier,
  [16655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_imperative_block,
  [16673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__identifier,
    STATE(766), 1,
      sym_user_type_identifier,
  [16683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(605), 1,
      sym_simple_identifier,
  [16693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_imperative_block,
  [16703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_circle,
    STATE(871), 1,
      sym_radial_gradient_kind,
  [16721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      sym__identifier,
    STATE(873), 1,
      sym_simple_identifier,
  [16731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_PERCENT,
  [16738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_LT_EQ_GT,
  [16745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_GT,
  [16752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_LPAREN,
  [16759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_LBRACK,
  [16766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_when,
  [16773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_LBRACK,
  [16780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_RBRACK,
  [16787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2041), 1,
      anon_sym_RPAREN,
  [16794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_from,
  [16801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2045), 1,
      anon_sym_COLON,
  [16808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COLON,
  [16815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
  [16822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 1,
      anon_sym_SEMI,
  [16829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_SEMI,
  [16836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_9slice,
  [16843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_RPAREN,
  [16850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      anon_sym_LBRACE,
  [16857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_in,
  [16864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_RPAREN,
  [16871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_EQ_GT,
  [16878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_EQ_GT,
  [16885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_LT_EQ_GT,
  [16892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_PERCENT2,
  [16899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_SEMI,
  [16906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
  [16913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 1,
      anon_sym_COLON,
  [16920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_SEMI,
  [16927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 1,
      anon_sym_RBRACK,
  [16934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 1,
      anon_sym_COMMA,
  [16941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 1,
      anon_sym_COLON_EQ,
  [16948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 1,
      anon_sym_COLON,
  [16955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_COLON,
  [16962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_in,
  [16969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_LPAREN,
  [16976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 1,
      sym__identifier,
  [16983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_from,
  [16990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
  [16997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_COMMA,
  [17004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_PERCENT,
  [17011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_COLON,
  [17018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_SEMI,
  [17025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_SEMI,
  [17032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
  [17039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_LBRACE,
  [17046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_SEMI,
  [17053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
  [17060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_COMMA,
  [17067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LT_EQ_GT,
  [17074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_SEMI,
  [17081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_COLON,
  [17088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_COMMA,
  [17095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_SEMI,
  [17102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 1,
      anon_sym_SEMI,
  [17109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 1,
      aux_sym_angle_value_token1,
  [17116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_COLON_EQ,
  [17123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 1,
      ts_builtin_sym_end,
  [17130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
  [17137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_SEMI,
  [17144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_RPAREN,
  [17151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 1,
      anon_sym_COLON,
  [17158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 1,
      anon_sym_SEMI,
  [17165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_LPAREN,
  [17172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_LPAREN,
  [17179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LT_EQ_GT,
  [17186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_from,
  [17193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_LT_EQ_GT,
  [17200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_COLON,
  [17207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LT_EQ_GT,
  [17214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 1,
      anon_sym_RBRACK,
  [17221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_PERCENT,
  [17228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_LPAREN,
  [17235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 1,
      anon_sym_COMMA,
  [17242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_COMMA,
  [17249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_PERCENT,
  [17256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
  [17263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_LPAREN,
  [17270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_9slice,
  [17277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
  [17284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LBRACE,
  [17291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_SEMI,
  [17298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      anon_sym_COMMA,
  [17305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 1,
      anon_sym_COMMA,
  [17312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_LPAREN,
  [17319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 1,
      anon_sym_LPAREN,
  [17326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_LPAREN,
  [17333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(234)] = 0,
  [SMALL_STATE(235)] = 67,
  [SMALL_STATE(236)] = 134,
  [SMALL_STATE(237)] = 203,
  [SMALL_STATE(238)] = 272,
  [SMALL_STATE(239)] = 339,
  [SMALL_STATE(240)] = 406,
  [SMALL_STATE(241)] = 473,
  [SMALL_STATE(242)] = 542,
  [SMALL_STATE(243)] = 609,
  [SMALL_STATE(244)] = 678,
  [SMALL_STATE(245)] = 745,
  [SMALL_STATE(246)] = 814,
  [SMALL_STATE(247)] = 883,
  [SMALL_STATE(248)] = 952,
  [SMALL_STATE(249)] = 1019,
  [SMALL_STATE(250)] = 1085,
  [SMALL_STATE(251)] = 1151,
  [SMALL_STATE(252)] = 1217,
  [SMALL_STATE(253)] = 1283,
  [SMALL_STATE(254)] = 1349,
  [SMALL_STATE(255)] = 1415,
  [SMALL_STATE(256)] = 1481,
  [SMALL_STATE(257)] = 1547,
  [SMALL_STATE(258)] = 1613,
  [SMALL_STATE(259)] = 1679,
  [SMALL_STATE(260)] = 1745,
  [SMALL_STATE(261)] = 1811,
  [SMALL_STATE(262)] = 1874,
  [SMALL_STATE(263)] = 1937,
  [SMALL_STATE(264)] = 2000,
  [SMALL_STATE(265)] = 2063,
  [SMALL_STATE(266)] = 2126,
  [SMALL_STATE(267)] = 2189,
  [SMALL_STATE(268)] = 2279,
  [SMALL_STATE(269)] = 2369,
  [SMALL_STATE(270)] = 2459,
  [SMALL_STATE(271)] = 2546,
  [SMALL_STATE(272)] = 2633,
  [SMALL_STATE(273)] = 2720,
  [SMALL_STATE(274)] = 2807,
  [SMALL_STATE(275)] = 2894,
  [SMALL_STATE(276)] = 2981,
  [SMALL_STATE(277)] = 3068,
  [SMALL_STATE(278)] = 3114,
  [SMALL_STATE(279)] = 3157,
  [SMALL_STATE(280)] = 3200,
  [SMALL_STATE(281)] = 3245,
  [SMALL_STATE(282)] = 3286,
  [SMALL_STATE(283)] = 3334,
  [SMALL_STATE(284)] = 3386,
  [SMALL_STATE(285)] = 3424,
  [SMALL_STATE(286)] = 3472,
  [SMALL_STATE(287)] = 3522,
  [SMALL_STATE(288)] = 3580,
  [SMALL_STATE(289)] = 3636,
  [SMALL_STATE(290)] = 3682,
  [SMALL_STATE(291)] = 3720,
  [SMALL_STATE(292)] = 3778,
  [SMALL_STATE(293)] = 3816,
  [SMALL_STATE(294)] = 3857,
  [SMALL_STATE(295)] = 3893,
  [SMALL_STATE(296)] = 3929,
  [SMALL_STATE(297)] = 3965,
  [SMALL_STATE(298)] = 4001,
  [SMALL_STATE(299)] = 4037,
  [SMALL_STATE(300)] = 4072,
  [SMALL_STATE(301)] = 4107,
  [SMALL_STATE(302)] = 4142,
  [SMALL_STATE(303)] = 4177,
  [SMALL_STATE(304)] = 4212,
  [SMALL_STATE(305)] = 4247,
  [SMALL_STATE(306)] = 4282,
  [SMALL_STATE(307)] = 4321,
  [SMALL_STATE(308)] = 4356,
  [SMALL_STATE(309)] = 4391,
  [SMALL_STATE(310)] = 4426,
  [SMALL_STATE(311)] = 4461,
  [SMALL_STATE(312)] = 4496,
  [SMALL_STATE(313)] = 4531,
  [SMALL_STATE(314)] = 4566,
  [SMALL_STATE(315)] = 4601,
  [SMALL_STATE(316)] = 4636,
  [SMALL_STATE(317)] = 4671,
  [SMALL_STATE(318)] = 4706,
  [SMALL_STATE(319)] = 4741,
  [SMALL_STATE(320)] = 4776,
  [SMALL_STATE(321)] = 4811,
  [SMALL_STATE(322)] = 4846,
  [SMALL_STATE(323)] = 4881,
  [SMALL_STATE(324)] = 4916,
  [SMALL_STATE(325)] = 4951,
  [SMALL_STATE(326)] = 4986,
  [SMALL_STATE(327)] = 5021,
  [SMALL_STATE(328)] = 5056,
  [SMALL_STATE(329)] = 5091,
  [SMALL_STATE(330)] = 5126,
  [SMALL_STATE(331)] = 5161,
  [SMALL_STATE(332)] = 5196,
  [SMALL_STATE(333)] = 5231,
  [SMALL_STATE(334)] = 5266,
  [SMALL_STATE(335)] = 5301,
  [SMALL_STATE(336)] = 5336,
  [SMALL_STATE(337)] = 5371,
  [SMALL_STATE(338)] = 5406,
  [SMALL_STATE(339)] = 5441,
  [SMALL_STATE(340)] = 5476,
  [SMALL_STATE(341)] = 5511,
  [SMALL_STATE(342)] = 5546,
  [SMALL_STATE(343)] = 5581,
  [SMALL_STATE(344)] = 5616,
  [SMALL_STATE(345)] = 5651,
  [SMALL_STATE(346)] = 5686,
  [SMALL_STATE(347)] = 5721,
  [SMALL_STATE(348)] = 5756,
  [SMALL_STATE(349)] = 5791,
  [SMALL_STATE(350)] = 5826,
  [SMALL_STATE(351)] = 5861,
  [SMALL_STATE(352)] = 5896,
  [SMALL_STATE(353)] = 5931,
  [SMALL_STATE(354)] = 5966,
  [SMALL_STATE(355)] = 6001,
  [SMALL_STATE(356)] = 6036,
  [SMALL_STATE(357)] = 6081,
  [SMALL_STATE(358)] = 6140,
  [SMALL_STATE(359)] = 6182,
  [SMALL_STATE(360)] = 6224,
  [SMALL_STATE(361)] = 6266,
  [SMALL_STATE(362)] = 6308,
  [SMALL_STATE(363)] = 6350,
  [SMALL_STATE(364)] = 6389,
  [SMALL_STATE(365)] = 6428,
  [SMALL_STATE(366)] = 6467,
  [SMALL_STATE(367)] = 6524,
  [SMALL_STATE(368)] = 6563,
  [SMALL_STATE(369)] = 6602,
  [SMALL_STATE(370)] = 6641,
  [SMALL_STATE(371)] = 6680,
  [SMALL_STATE(372)] = 6719,
  [SMALL_STATE(373)] = 6758,
  [SMALL_STATE(374)] = 6797,
  [SMALL_STATE(375)] = 6836,
  [SMALL_STATE(376)] = 6875,
  [SMALL_STATE(377)] = 6932,
  [SMALL_STATE(378)] = 6989,
  [SMALL_STATE(379)] = 7028,
  [SMALL_STATE(380)] = 7068,
  [SMALL_STATE(381)] = 7112,
  [SMALL_STATE(382)] = 7150,
  [SMALL_STATE(383)] = 7202,
  [SMALL_STATE(384)] = 7252,
  [SMALL_STATE(385)] = 7292,
  [SMALL_STATE(386)] = 7338,
  [SMALL_STATE(387)] = 7390,
  [SMALL_STATE(388)] = 7450,
  [SMALL_STATE(389)] = 7510,
  [SMALL_STATE(390)] = 7570,
  [SMALL_STATE(391)] = 7626,
  [SMALL_STATE(392)] = 7683,
  [SMALL_STATE(393)] = 7740,
  [SMALL_STATE(394)] = 7797,
  [SMALL_STATE(395)] = 7854,
  [SMALL_STATE(396)] = 7911,
  [SMALL_STATE(397)] = 7968,
  [SMALL_STATE(398)] = 8025,
  [SMALL_STATE(399)] = 8082,
  [SMALL_STATE(400)] = 8139,
  [SMALL_STATE(401)] = 8192,
  [SMALL_STATE(402)] = 8249,
  [SMALL_STATE(403)] = 8306,
  [SMALL_STATE(404)] = 8363,
  [SMALL_STATE(405)] = 8415,
  [SMALL_STATE(406)] = 8469,
  [SMALL_STATE(407)] = 8523,
  [SMALL_STATE(408)] = 8575,
  [SMALL_STATE(409)] = 8629,
  [SMALL_STATE(410)] = 8683,
  [SMALL_STATE(411)] = 8735,
  [SMALL_STATE(412)] = 8789,
  [SMALL_STATE(413)] = 8823,
  [SMALL_STATE(414)] = 8877,
  [SMALL_STATE(415)] = 8931,
  [SMALL_STATE(416)] = 8982,
  [SMALL_STATE(417)] = 9033,
  [SMALL_STATE(418)] = 9084,
  [SMALL_STATE(419)] = 9135,
  [SMALL_STATE(420)] = 9166,
  [SMALL_STATE(421)] = 9217,
  [SMALL_STATE(422)] = 9268,
  [SMALL_STATE(423)] = 9297,
  [SMALL_STATE(424)] = 9348,
  [SMALL_STATE(425)] = 9399,
  [SMALL_STATE(426)] = 9450,
  [SMALL_STATE(427)] = 9501,
  [SMALL_STATE(428)] = 9552,
  [SMALL_STATE(429)] = 9603,
  [SMALL_STATE(430)] = 9654,
  [SMALL_STATE(431)] = 9705,
  [SMALL_STATE(432)] = 9756,
  [SMALL_STATE(433)] = 9807,
  [SMALL_STATE(434)] = 9858,
  [SMALL_STATE(435)] = 9909,
  [SMALL_STATE(436)] = 9960,
  [SMALL_STATE(437)] = 10011,
  [SMALL_STATE(438)] = 10062,
  [SMALL_STATE(439)] = 10113,
  [SMALL_STATE(440)] = 10164,
  [SMALL_STATE(441)] = 10215,
  [SMALL_STATE(442)] = 10266,
  [SMALL_STATE(443)] = 10317,
  [SMALL_STATE(444)] = 10368,
  [SMALL_STATE(445)] = 10419,
  [SMALL_STATE(446)] = 10470,
  [SMALL_STATE(447)] = 10521,
  [SMALL_STATE(448)] = 10572,
  [SMALL_STATE(449)] = 10623,
  [SMALL_STATE(450)] = 10674,
  [SMALL_STATE(451)] = 10702,
  [SMALL_STATE(452)] = 10730,
  [SMALL_STATE(453)] = 10772,
  [SMALL_STATE(454)] = 10800,
  [SMALL_STATE(455)] = 10828,
  [SMALL_STATE(456)] = 10856,
  [SMALL_STATE(457)] = 10884,
  [SMALL_STATE(458)] = 10912,
  [SMALL_STATE(459)] = 10940,
  [SMALL_STATE(460)] = 10966,
  [SMALL_STATE(461)] = 10994,
  [SMALL_STATE(462)] = 11022,
  [SMALL_STATE(463)] = 11050,
  [SMALL_STATE(464)] = 11092,
  [SMALL_STATE(465)] = 11117,
  [SMALL_STATE(466)] = 11142,
  [SMALL_STATE(467)] = 11167,
  [SMALL_STATE(468)] = 11192,
  [SMALL_STATE(469)] = 11217,
  [SMALL_STATE(470)] = 11242,
  [SMALL_STATE(471)] = 11267,
  [SMALL_STATE(472)] = 11292,
  [SMALL_STATE(473)] = 11317,
  [SMALL_STATE(474)] = 11342,
  [SMALL_STATE(475)] = 11367,
  [SMALL_STATE(476)] = 11392,
  [SMALL_STATE(477)] = 11417,
  [SMALL_STATE(478)] = 11442,
  [SMALL_STATE(479)] = 11467,
  [SMALL_STATE(480)] = 11492,
  [SMALL_STATE(481)] = 11517,
  [SMALL_STATE(482)] = 11542,
  [SMALL_STATE(483)] = 11567,
  [SMALL_STATE(484)] = 11592,
  [SMALL_STATE(485)] = 11617,
  [SMALL_STATE(486)] = 11642,
  [SMALL_STATE(487)] = 11667,
  [SMALL_STATE(488)] = 11692,
  [SMALL_STATE(489)] = 11717,
  [SMALL_STATE(490)] = 11742,
  [SMALL_STATE(491)] = 11767,
  [SMALL_STATE(492)] = 11792,
  [SMALL_STATE(493)] = 11817,
  [SMALL_STATE(494)] = 11842,
  [SMALL_STATE(495)] = 11867,
  [SMALL_STATE(496)] = 11892,
  [SMALL_STATE(497)] = 11917,
  [SMALL_STATE(498)] = 11942,
  [SMALL_STATE(499)] = 11967,
  [SMALL_STATE(500)] = 11992,
  [SMALL_STATE(501)] = 12017,
  [SMALL_STATE(502)] = 12042,
  [SMALL_STATE(503)] = 12067,
  [SMALL_STATE(504)] = 12092,
  [SMALL_STATE(505)] = 12117,
  [SMALL_STATE(506)] = 12142,
  [SMALL_STATE(507)] = 12167,
  [SMALL_STATE(508)] = 12192,
  [SMALL_STATE(509)] = 12217,
  [SMALL_STATE(510)] = 12241,
  [SMALL_STATE(511)] = 12270,
  [SMALL_STATE(512)] = 12292,
  [SMALL_STATE(513)] = 12314,
  [SMALL_STATE(514)] = 12336,
  [SMALL_STATE(515)] = 12358,
  [SMALL_STATE(516)] = 12380,
  [SMALL_STATE(517)] = 12402,
  [SMALL_STATE(518)] = 12422,
  [SMALL_STATE(519)] = 12444,
  [SMALL_STATE(520)] = 12463,
  [SMALL_STATE(521)] = 12482,
  [SMALL_STATE(522)] = 12501,
  [SMALL_STATE(523)] = 12520,
  [SMALL_STATE(524)] = 12539,
  [SMALL_STATE(525)] = 12558,
  [SMALL_STATE(526)] = 12577,
  [SMALL_STATE(527)] = 12596,
  [SMALL_STATE(528)] = 12615,
  [SMALL_STATE(529)] = 12634,
  [SMALL_STATE(530)] = 12653,
  [SMALL_STATE(531)] = 12672,
  [SMALL_STATE(532)] = 12691,
  [SMALL_STATE(533)] = 12710,
  [SMALL_STATE(534)] = 12729,
  [SMALL_STATE(535)] = 12748,
  [SMALL_STATE(536)] = 12767,
  [SMALL_STATE(537)] = 12786,
  [SMALL_STATE(538)] = 12805,
  [SMALL_STATE(539)] = 12824,
  [SMALL_STATE(540)] = 12843,
  [SMALL_STATE(541)] = 12862,
  [SMALL_STATE(542)] = 12881,
  [SMALL_STATE(543)] = 12900,
  [SMALL_STATE(544)] = 12919,
  [SMALL_STATE(545)] = 12938,
  [SMALL_STATE(546)] = 12957,
  [SMALL_STATE(547)] = 12976,
  [SMALL_STATE(548)] = 12995,
  [SMALL_STATE(549)] = 13011,
  [SMALL_STATE(550)] = 13027,
  [SMALL_STATE(551)] = 13043,
  [SMALL_STATE(552)] = 13059,
  [SMALL_STATE(553)] = 13075,
  [SMALL_STATE(554)] = 13091,
  [SMALL_STATE(555)] = 13107,
  [SMALL_STATE(556)] = 13123,
  [SMALL_STATE(557)] = 13139,
  [SMALL_STATE(558)] = 13159,
  [SMALL_STATE(559)] = 13175,
  [SMALL_STATE(560)] = 13195,
  [SMALL_STATE(561)] = 13209,
  [SMALL_STATE(562)] = 13225,
  [SMALL_STATE(563)] = 13241,
  [SMALL_STATE(564)] = 13257,
  [SMALL_STATE(565)] = 13273,
  [SMALL_STATE(566)] = 13293,
  [SMALL_STATE(567)] = 13309,
  [SMALL_STATE(568)] = 13325,
  [SMALL_STATE(569)] = 13345,
  [SMALL_STATE(570)] = 13361,
  [SMALL_STATE(571)] = 13377,
  [SMALL_STATE(572)] = 13393,
  [SMALL_STATE(573)] = 13409,
  [SMALL_STATE(574)] = 13425,
  [SMALL_STATE(575)] = 13441,
  [SMALL_STATE(576)] = 13461,
  [SMALL_STATE(577)] = 13477,
  [SMALL_STATE(578)] = 13493,
  [SMALL_STATE(579)] = 13509,
  [SMALL_STATE(580)] = 13525,
  [SMALL_STATE(581)] = 13541,
  [SMALL_STATE(582)] = 13560,
  [SMALL_STATE(583)] = 13579,
  [SMALL_STATE(584)] = 13602,
  [SMALL_STATE(585)] = 13625,
  [SMALL_STATE(586)] = 13644,
  [SMALL_STATE(587)] = 13656,
  [SMALL_STATE(588)] = 13672,
  [SMALL_STATE(589)] = 13686,
  [SMALL_STATE(590)] = 13708,
  [SMALL_STATE(591)] = 13726,
  [SMALL_STATE(592)] = 13738,
  [SMALL_STATE(593)] = 13750,
  [SMALL_STATE(594)] = 13762,
  [SMALL_STATE(595)] = 13782,
  [SMALL_STATE(596)] = 13794,
  [SMALL_STATE(597)] = 13812,
  [SMALL_STATE(598)] = 13834,
  [SMALL_STATE(599)] = 13856,
  [SMALL_STATE(600)] = 13878,
  [SMALL_STATE(601)] = 13900,
  [SMALL_STATE(602)] = 13911,
  [SMALL_STATE(603)] = 13930,
  [SMALL_STATE(604)] = 13949,
  [SMALL_STATE(605)] = 13968,
  [SMALL_STATE(606)] = 13987,
  [SMALL_STATE(607)] = 14002,
  [SMALL_STATE(608)] = 14019,
  [SMALL_STATE(609)] = 14032,
  [SMALL_STATE(610)] = 14049,
  [SMALL_STATE(611)] = 14060,
  [SMALL_STATE(612)] = 14079,
  [SMALL_STATE(613)] = 14096,
  [SMALL_STATE(614)] = 14109,
  [SMALL_STATE(615)] = 14122,
  [SMALL_STATE(616)] = 14137,
  [SMALL_STATE(617)] = 14156,
  [SMALL_STATE(618)] = 14171,
  [SMALL_STATE(619)] = 14188,
  [SMALL_STATE(620)] = 14205,
  [SMALL_STATE(621)] = 14219,
  [SMALL_STATE(622)] = 14233,
  [SMALL_STATE(623)] = 14249,
  [SMALL_STATE(624)] = 14265,
  [SMALL_STATE(625)] = 14281,
  [SMALL_STATE(626)] = 14297,
  [SMALL_STATE(627)] = 14313,
  [SMALL_STATE(628)] = 14329,
  [SMALL_STATE(629)] = 14345,
  [SMALL_STATE(630)] = 14361,
  [SMALL_STATE(631)] = 14375,
  [SMALL_STATE(632)] = 14389,
  [SMALL_STATE(633)] = 14403,
  [SMALL_STATE(634)] = 14419,
  [SMALL_STATE(635)] = 14429,
  [SMALL_STATE(636)] = 14445,
  [SMALL_STATE(637)] = 14461,
  [SMALL_STATE(638)] = 14477,
  [SMALL_STATE(639)] = 14493,
  [SMALL_STATE(640)] = 14509,
  [SMALL_STATE(641)] = 14525,
  [SMALL_STATE(642)] = 14539,
  [SMALL_STATE(643)] = 14555,
  [SMALL_STATE(644)] = 14571,
  [SMALL_STATE(645)] = 14587,
  [SMALL_STATE(646)] = 14601,
  [SMALL_STATE(647)] = 14615,
  [SMALL_STATE(648)] = 14631,
  [SMALL_STATE(649)] = 14647,
  [SMALL_STATE(650)] = 14663,
  [SMALL_STATE(651)] = 14679,
  [SMALL_STATE(652)] = 14693,
  [SMALL_STATE(653)] = 14707,
  [SMALL_STATE(654)] = 14723,
  [SMALL_STATE(655)] = 14736,
  [SMALL_STATE(656)] = 14749,
  [SMALL_STATE(657)] = 14758,
  [SMALL_STATE(658)] = 14771,
  [SMALL_STATE(659)] = 14784,
  [SMALL_STATE(660)] = 14797,
  [SMALL_STATE(661)] = 14810,
  [SMALL_STATE(662)] = 14823,
  [SMALL_STATE(663)] = 14836,
  [SMALL_STATE(664)] = 14849,
  [SMALL_STATE(665)] = 14862,
  [SMALL_STATE(666)] = 14875,
  [SMALL_STATE(667)] = 14888,
  [SMALL_STATE(668)] = 14901,
  [SMALL_STATE(669)] = 14914,
  [SMALL_STATE(670)] = 14927,
  [SMALL_STATE(671)] = 14940,
  [SMALL_STATE(672)] = 14953,
  [SMALL_STATE(673)] = 14966,
  [SMALL_STATE(674)] = 14977,
  [SMALL_STATE(675)] = 14990,
  [SMALL_STATE(676)] = 15003,
  [SMALL_STATE(677)] = 15014,
  [SMALL_STATE(678)] = 15027,
  [SMALL_STATE(679)] = 15040,
  [SMALL_STATE(680)] = 15053,
  [SMALL_STATE(681)] = 15066,
  [SMALL_STATE(682)] = 15079,
  [SMALL_STATE(683)] = 15092,
  [SMALL_STATE(684)] = 15105,
  [SMALL_STATE(685)] = 15114,
  [SMALL_STATE(686)] = 15127,
  [SMALL_STATE(687)] = 15140,
  [SMALL_STATE(688)] = 15153,
  [SMALL_STATE(689)] = 15166,
  [SMALL_STATE(690)] = 15179,
  [SMALL_STATE(691)] = 15192,
  [SMALL_STATE(692)] = 15205,
  [SMALL_STATE(693)] = 15216,
  [SMALL_STATE(694)] = 15229,
  [SMALL_STATE(695)] = 15242,
  [SMALL_STATE(696)] = 15255,
  [SMALL_STATE(697)] = 15268,
  [SMALL_STATE(698)] = 15281,
  [SMALL_STATE(699)] = 15294,
  [SMALL_STATE(700)] = 15307,
  [SMALL_STATE(701)] = 15320,
  [SMALL_STATE(702)] = 15333,
  [SMALL_STATE(703)] = 15344,
  [SMALL_STATE(704)] = 15357,
  [SMALL_STATE(705)] = 15370,
  [SMALL_STATE(706)] = 15383,
  [SMALL_STATE(707)] = 15396,
  [SMALL_STATE(708)] = 15409,
  [SMALL_STATE(709)] = 15422,
  [SMALL_STATE(710)] = 15435,
  [SMALL_STATE(711)] = 15448,
  [SMALL_STATE(712)] = 15461,
  [SMALL_STATE(713)] = 15474,
  [SMALL_STATE(714)] = 15487,
  [SMALL_STATE(715)] = 15500,
  [SMALL_STATE(716)] = 15513,
  [SMALL_STATE(717)] = 15526,
  [SMALL_STATE(718)] = 15535,
  [SMALL_STATE(719)] = 15548,
  [SMALL_STATE(720)] = 15561,
  [SMALL_STATE(721)] = 15574,
  [SMALL_STATE(722)] = 15587,
  [SMALL_STATE(723)] = 15600,
  [SMALL_STATE(724)] = 15613,
  [SMALL_STATE(725)] = 15626,
  [SMALL_STATE(726)] = 15639,
  [SMALL_STATE(727)] = 15652,
  [SMALL_STATE(728)] = 15665,
  [SMALL_STATE(729)] = 15678,
  [SMALL_STATE(730)] = 15691,
  [SMALL_STATE(731)] = 15704,
  [SMALL_STATE(732)] = 15717,
  [SMALL_STATE(733)] = 15726,
  [SMALL_STATE(734)] = 15739,
  [SMALL_STATE(735)] = 15752,
  [SMALL_STATE(736)] = 15765,
  [SMALL_STATE(737)] = 15778,
  [SMALL_STATE(738)] = 15791,
  [SMALL_STATE(739)] = 15804,
  [SMALL_STATE(740)] = 15817,
  [SMALL_STATE(741)] = 15830,
  [SMALL_STATE(742)] = 15843,
  [SMALL_STATE(743)] = 15856,
  [SMALL_STATE(744)] = 15869,
  [SMALL_STATE(745)] = 15882,
  [SMALL_STATE(746)] = 15895,
  [SMALL_STATE(747)] = 15908,
  [SMALL_STATE(748)] = 15921,
  [SMALL_STATE(749)] = 15934,
  [SMALL_STATE(750)] = 15947,
  [SMALL_STATE(751)] = 15960,
  [SMALL_STATE(752)] = 15973,
  [SMALL_STATE(753)] = 15983,
  [SMALL_STATE(754)] = 15991,
  [SMALL_STATE(755)] = 16001,
  [SMALL_STATE(756)] = 16009,
  [SMALL_STATE(757)] = 16017,
  [SMALL_STATE(758)] = 16027,
  [SMALL_STATE(759)] = 16037,
  [SMALL_STATE(760)] = 16045,
  [SMALL_STATE(761)] = 16055,
  [SMALL_STATE(762)] = 16065,
  [SMALL_STATE(763)] = 16075,
  [SMALL_STATE(764)] = 16083,
  [SMALL_STATE(765)] = 16093,
  [SMALL_STATE(766)] = 16103,
  [SMALL_STATE(767)] = 16111,
  [SMALL_STATE(768)] = 16121,
  [SMALL_STATE(769)] = 16129,
  [SMALL_STATE(770)] = 16137,
  [SMALL_STATE(771)] = 16145,
  [SMALL_STATE(772)] = 16155,
  [SMALL_STATE(773)] = 16163,
  [SMALL_STATE(774)] = 16171,
  [SMALL_STATE(775)] = 16179,
  [SMALL_STATE(776)] = 16189,
  [SMALL_STATE(777)] = 16199,
  [SMALL_STATE(778)] = 16207,
  [SMALL_STATE(779)] = 16217,
  [SMALL_STATE(780)] = 16227,
  [SMALL_STATE(781)] = 16237,
  [SMALL_STATE(782)] = 16247,
  [SMALL_STATE(783)] = 16257,
  [SMALL_STATE(784)] = 16265,
  [SMALL_STATE(785)] = 16275,
  [SMALL_STATE(786)] = 16283,
  [SMALL_STATE(787)] = 16293,
  [SMALL_STATE(788)] = 16303,
  [SMALL_STATE(789)] = 16311,
  [SMALL_STATE(790)] = 16321,
  [SMALL_STATE(791)] = 16331,
  [SMALL_STATE(792)] = 16341,
  [SMALL_STATE(793)] = 16351,
  [SMALL_STATE(794)] = 16361,
  [SMALL_STATE(795)] = 16371,
  [SMALL_STATE(796)] = 16379,
  [SMALL_STATE(797)] = 16389,
  [SMALL_STATE(798)] = 16399,
  [SMALL_STATE(799)] = 16409,
  [SMALL_STATE(800)] = 16419,
  [SMALL_STATE(801)] = 16427,
  [SMALL_STATE(802)] = 16437,
  [SMALL_STATE(803)] = 16445,
  [SMALL_STATE(804)] = 16455,
  [SMALL_STATE(805)] = 16465,
  [SMALL_STATE(806)] = 16475,
  [SMALL_STATE(807)] = 16485,
  [SMALL_STATE(808)] = 16495,
  [SMALL_STATE(809)] = 16505,
  [SMALL_STATE(810)] = 16513,
  [SMALL_STATE(811)] = 16523,
  [SMALL_STATE(812)] = 16533,
  [SMALL_STATE(813)] = 16541,
  [SMALL_STATE(814)] = 16551,
  [SMALL_STATE(815)] = 16561,
  [SMALL_STATE(816)] = 16571,
  [SMALL_STATE(817)] = 16579,
  [SMALL_STATE(818)] = 16589,
  [SMALL_STATE(819)] = 16597,
  [SMALL_STATE(820)] = 16607,
  [SMALL_STATE(821)] = 16615,
  [SMALL_STATE(822)] = 16625,
  [SMALL_STATE(823)] = 16635,
  [SMALL_STATE(824)] = 16645,
  [SMALL_STATE(825)] = 16655,
  [SMALL_STATE(826)] = 16663,
  [SMALL_STATE(827)] = 16673,
  [SMALL_STATE(828)] = 16683,
  [SMALL_STATE(829)] = 16693,
  [SMALL_STATE(830)] = 16703,
  [SMALL_STATE(831)] = 16711,
  [SMALL_STATE(832)] = 16721,
  [SMALL_STATE(833)] = 16731,
  [SMALL_STATE(834)] = 16738,
  [SMALL_STATE(835)] = 16745,
  [SMALL_STATE(836)] = 16752,
  [SMALL_STATE(837)] = 16759,
  [SMALL_STATE(838)] = 16766,
  [SMALL_STATE(839)] = 16773,
  [SMALL_STATE(840)] = 16780,
  [SMALL_STATE(841)] = 16787,
  [SMALL_STATE(842)] = 16794,
  [SMALL_STATE(843)] = 16801,
  [SMALL_STATE(844)] = 16808,
  [SMALL_STATE(845)] = 16815,
  [SMALL_STATE(846)] = 16822,
  [SMALL_STATE(847)] = 16829,
  [SMALL_STATE(848)] = 16836,
  [SMALL_STATE(849)] = 16843,
  [SMALL_STATE(850)] = 16850,
  [SMALL_STATE(851)] = 16857,
  [SMALL_STATE(852)] = 16864,
  [SMALL_STATE(853)] = 16871,
  [SMALL_STATE(854)] = 16878,
  [SMALL_STATE(855)] = 16885,
  [SMALL_STATE(856)] = 16892,
  [SMALL_STATE(857)] = 16899,
  [SMALL_STATE(858)] = 16906,
  [SMALL_STATE(859)] = 16913,
  [SMALL_STATE(860)] = 16920,
  [SMALL_STATE(861)] = 16927,
  [SMALL_STATE(862)] = 16934,
  [SMALL_STATE(863)] = 16941,
  [SMALL_STATE(864)] = 16948,
  [SMALL_STATE(865)] = 16955,
  [SMALL_STATE(866)] = 16962,
  [SMALL_STATE(867)] = 16969,
  [SMALL_STATE(868)] = 16976,
  [SMALL_STATE(869)] = 16983,
  [SMALL_STATE(870)] = 16990,
  [SMALL_STATE(871)] = 16997,
  [SMALL_STATE(872)] = 17004,
  [SMALL_STATE(873)] = 17011,
  [SMALL_STATE(874)] = 17018,
  [SMALL_STATE(875)] = 17025,
  [SMALL_STATE(876)] = 17032,
  [SMALL_STATE(877)] = 17039,
  [SMALL_STATE(878)] = 17046,
  [SMALL_STATE(879)] = 17053,
  [SMALL_STATE(880)] = 17060,
  [SMALL_STATE(881)] = 17067,
  [SMALL_STATE(882)] = 17074,
  [SMALL_STATE(883)] = 17081,
  [SMALL_STATE(884)] = 17088,
  [SMALL_STATE(885)] = 17095,
  [SMALL_STATE(886)] = 17102,
  [SMALL_STATE(887)] = 17109,
  [SMALL_STATE(888)] = 17116,
  [SMALL_STATE(889)] = 17123,
  [SMALL_STATE(890)] = 17130,
  [SMALL_STATE(891)] = 17137,
  [SMALL_STATE(892)] = 17144,
  [SMALL_STATE(893)] = 17151,
  [SMALL_STATE(894)] = 17158,
  [SMALL_STATE(895)] = 17165,
  [SMALL_STATE(896)] = 17172,
  [SMALL_STATE(897)] = 17179,
  [SMALL_STATE(898)] = 17186,
  [SMALL_STATE(899)] = 17193,
  [SMALL_STATE(900)] = 17200,
  [SMALL_STATE(901)] = 17207,
  [SMALL_STATE(902)] = 17214,
  [SMALL_STATE(903)] = 17221,
  [SMALL_STATE(904)] = 17228,
  [SMALL_STATE(905)] = 17235,
  [SMALL_STATE(906)] = 17242,
  [SMALL_STATE(907)] = 17249,
  [SMALL_STATE(908)] = 17256,
  [SMALL_STATE(909)] = 17263,
  [SMALL_STATE(910)] = 17270,
  [SMALL_STATE(911)] = 17277,
  [SMALL_STATE(912)] = 17284,
  [SMALL_STATE(913)] = 17291,
  [SMALL_STATE(914)] = 17298,
  [SMALL_STATE(915)] = 17305,
  [SMALL_STATE(916)] = 17312,
  [SMALL_STATE(917)] = 17319,
  [SMALL_STATE(918)] = 17326,
  [SMALL_STATE(919)] = 17333,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sourcefile, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [85] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(624),
  [88] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(75),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(31),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(131),
  [99] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(79),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(895),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(896),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(262),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(618),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(161),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(225),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(762),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(917),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(836),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(223),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(150),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(149),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(219),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2), SHIFT_REPEAT(218),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(625),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(101),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(32),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(109),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(911),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(916),
  [200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(262),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(607),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(281),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(333),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(758),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(917),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(836),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(332),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(278),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(279),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(330),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2), SHIFT_REPEAT(329),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_value, 1),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_value, 1),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 1),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 1),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int_value, 1),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int_value, 1),
  [350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imperative_block_statement, 1),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__imperative_block_statement, 1),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 13),
  [378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 13),
  [380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, .production_id = 10),
  [386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, .production_id = 10),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comparison_binary_expression, 3, .production_id = 20),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comparison_binary_expression, 3, .production_id = 20),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access, 3, .production_id = 19),
  [400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access, 3, .production_id = 19),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logic_binary_expression, 3, .production_id = 20),
  [404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logic_binary_expression, 3, .production_id = 20),
  [406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_identifier, 1),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_identifier, 1),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__add_binary_expression, 3, .production_id = 20),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__add_binary_expression, 3, .production_id = 20),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 48),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 48),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mult_binary_expression, 3, .production_id = 20),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mult_binary_expression, 3, .production_id = 20),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 4),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 4),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 12, .production_id = 85),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 12, .production_id = 85),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 12, .production_id = 84),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 12, .production_id = 84),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 11, .production_id = 83),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 11, .production_id = 83),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 10, .production_id = 82),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 10, .production_id = 82),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 3),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 3),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 10, .production_id = 81),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 10, .production_id = 81),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 10, .production_id = 80),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 10, .production_id = 80),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_duration_value, 2),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_duration_value, 2),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 2),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 2),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parens_op, 3, .production_id = 18),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parens_op, 3, .production_id = 18),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 10, .production_id = 79),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 10, .production_id = 79),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 10, .production_id = 78),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 10, .production_id = 78),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_angle_value, 2),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_angle_value, 2),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, .production_id = 77),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, .production_id = 77),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_easing_kind_identifier, 2),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_easing_kind_identifier, 2),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 2),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 2),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_physical_length_value, 2),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_physical_length_value, 2),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_percent_value, 2),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_percent_value, 2),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_font_size_value, 2),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_font_size_value, 2),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_length_value, 2),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_length_value, 2),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 3),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 3),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_op, 4, .production_id = 33),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_op, 4, .production_id = 33),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_value, 1),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_value, 1),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 5),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 5),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 14, .production_id = 87),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 14, .production_id = 87),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, .production_id = 76),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, .production_id = 76),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, .production_id = 75),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, .production_id = 75),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 5),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 5),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 1, .production_id = 8),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 1, .production_id = 8),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 13, .production_id = 86),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 13, .production_id = 86),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 4, .production_id = 31),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 4, .production_id = 31),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, .production_id = 74),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, .production_id = 74),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_call, 9, .production_id = 32),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_call, 9, .production_id = 32),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 9, .production_id = 73),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 9, .production_id = 73),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_call, 4, .production_id = 32),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_call, 4, .production_id = 32),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 2),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 2),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 8, .production_id = 72),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 8, .production_id = 72),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 8, .production_id = 71),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 8, .production_id = 71),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_call, 8, .production_id = 32),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_call, 8, .production_id = 32),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 8, .production_id = 70),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 8, .production_id = 70),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 8, .production_id = 69),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 8, .production_id = 69),
  [606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 8, .production_id = 68),
  [608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 8, .production_id = 68),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 7, .production_id = 67),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 7, .production_id = 67),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 7),
  [618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 7),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 1),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value, 1),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool_value, 1),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool_value, 1),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 6, .production_id = 62),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 6, .production_id = 62),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 6, .production_id = 61),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 6, .production_id = 61),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 6),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 6),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_identifier, 1),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_identifier, 1),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 3),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 3),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_easing_kind_identifier, 1),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_easing_kind_identifier, 1),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expr, 2, .production_id = 41),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expr, 2, .production_id = 41),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imperative_block, 2),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imperative_block, 2),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 3),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 3),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imperative_block, 3),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imperative_block, 3),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_value_block, 1, .production_id = 4),
  [682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__assignment_value_block, 1, .production_id = 4), SHIFT(240),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_value_block, 1, .production_id = 4),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_block, 2, .production_id = 40),
  [689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignment_block, 2, .production_id = 40), SHIFT(238),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_block, 2, .production_id = 40),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_block, 3, .production_id = 40),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_block, 3, .production_id = 40),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_value_block, 2, .production_id = 54),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_value_block, 2, .production_id = 54),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expr, 3, .production_id = 24),
  [704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expr, 3, .production_id = 24),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding, 1, .production_id = 34),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding, 1, .production_id = 34),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__assignment_value_block, 1, .production_id = 4), SHIFT(248),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 4),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 4),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 6),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 6),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expr, 5, .production_id = 24),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expr, 5, .production_id = 24),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imperative_block_statement, 2),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__imperative_block_statement, 2),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback_event, 3, .production_id = 14),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback_event, 3, .production_id = 14),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding, 2, .production_id = 49),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding, 2, .production_id = 49),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 5),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 5),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imperative_block_statement, 3),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__imperative_block_statement, 3),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, .production_id = 55),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 3, .production_id = 55),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 1),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 1),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_prec_operator, 1),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_prec_operator, 1),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_setup, 2, .production_id = 42),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_setup, 2, .production_id = 42),
  [769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_prec_operator, 1),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_prec_operator, 1),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mult_prec_operator, 1),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mult_prec_operator, 1),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_prec_operator, 1),
  [779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_prec_operator, 1),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(635),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(753),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(837),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(839),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(85),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(84),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(700),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(828),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(601),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(634),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(588),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(823),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(587),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(272),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_block_repeat1, 2),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(649),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(753),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(797),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(601),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(634),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(588),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(814),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2), SHIFT_REPEAT(281),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anon_struct_block_repeat1, 4),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range, 1),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sourcefile_repeat1, 2),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(510),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(653),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(760),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(767),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(778),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(779),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2), SHIFT_REPEAT(548),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment, 3, .production_id = 15),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment, 3, .production_id = 15),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sourcefile, 1),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback_alias, 6, .production_id = 57),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback_alias, 6, .production_id = 57),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 7, .production_id = 65),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 7, .production_id = 65),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 3),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 3),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, .production_id = 50),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, .production_id = 50),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_body, 2),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animate_body, 2),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 39),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 39),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 5, .production_id = 43),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 5, .production_id = 43),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, .production_id = 44),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, .production_id = 44),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_loop, 6, .production_id = 51),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_loop, 6, .production_id = 51),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 5, .production_id = 45),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 5, .production_id = 45),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 6, .production_id = 53),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 6, .production_id = 53),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_states_definition, 4, .production_id = 23),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_states_definition, 4, .production_id = 23),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transitions_definition, 4),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transitions_definition, 4),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 43),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 43),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 4, .production_id = 22),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 4, .production_id = 22),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 2, .production_id = 11),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 2, .production_id = 11),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 4, .production_id = 25),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 4, .production_id = 25),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 53),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 53),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 6, .production_id = 58),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 6, .production_id = 58),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback_alias, 5, .production_id = 36),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback_alias, 5, .production_id = 36),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, .production_id = 59),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, .production_id = 59),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 6, .production_id = 60),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 6, .production_id = 60),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 58),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 58),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_body, 3),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animate_body, 3),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 3, .production_id = 3),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 3, .production_id = 3),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 5, .production_id = 36),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 5, .production_id = 36),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_statement, 3),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animate_statement, 3),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 25),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 25),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 4, .production_id = 26),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 4, .production_id = 26),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_states_definition, 3),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_states_definition, 3),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, .production_id = 35),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, .production_id = 35),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 24),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 24),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, .production_id = 27),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, .production_id = 27),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transitions_definition, 3),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transitions_definition, 3),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 26),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 26),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment, 4, .production_id = 28),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment, 4, .production_id = 28),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 65),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 65),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 4, .production_id = 29),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 4, .production_id = 29),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 7, .production_id = 66),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 7, .production_id = 66),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 5, .production_id = 39),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 5, .production_id = 39),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 1),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 1),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 6, .production_id = 30),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 6, .production_id = 30),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 6, .production_id = 46),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 6, .production_id = 46),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 3),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 3),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 5, .production_id = 30),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 5, .production_id = 30),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 2),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 2),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 7, .production_id = 46),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 7, .production_id = 46),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type_identifier, 1),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 3, .production_id = 3),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 3, .production_id = 3),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 8),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 8),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 4, .production_id = 16),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 4, .production_id = 16),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, .production_id = 3),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 4, .production_id = 3),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 2),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 2),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 7),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 7),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_definition, 4, .production_id = 5),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_definition, 4, .production_id = 5),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 3),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 3),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 5),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 5),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type_identifier, 1),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 2),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 2),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 4, .production_id = 3),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 4, .production_id = 3),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_definition, 5, .production_id = 12),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_definition, 5, .production_id = 12),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_animate_body_repeat1, 2),
  [1380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_animate_body_repeat1, 2), SHIFT_REPEAT(865),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_definition, 4, .production_id = 3),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_definition, 4, .production_id = 3),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 3),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_block, 3),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_definition, 3, .production_id = 3),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_definition, 3, .production_id = 3),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 2),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_block, 2),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 3),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 3),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_definition, 3, .production_id = 3),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_definition, 3, .production_id = 3),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 3, .production_id = 3),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 3, .production_id = 3),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 5, .production_id = 16),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 5, .production_id = 16),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, .production_id = 3),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_definition, 3, .production_id = 3),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 4),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 4),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(601),
  [1444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2), SHIFT_REPEAT(634),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_visibility, 1),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_visibility, 1, .production_id = 4),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 5),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 4),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 3),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_color, 1),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_purity, 1, .production_id = 4),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_option, 4, .production_id = 63),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_repeat1, 2),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_repeat1, 2), SHIFT_REPEAT(612),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_repeat1, 2), SHIFT_REPEAT(608),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 1),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transitions_definition_repeat1, 2), SHIFT_REPEAT(114),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transitions_definition_repeat1, 2),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 2, .production_id = 17),
  [1606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 2, .production_id = 17), SHIFT_REPEAT(281),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(371),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_visibility, 1, .production_id = 4),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2), SHIFT_REPEAT(102),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_in_out_transition_repeat1, 2),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_in_out_transition_repeat1, 2), SHIFT_REPEAT(90),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2, .production_id = 17), SHIFT_REPEAT(822),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2, .production_id = 17),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_signature_repeat1, 2), SHIFT_REPEAT(686),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_signature_repeat1, 2),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_type, 1, .production_id = 1),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_type, 1, .production_id = 2),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anon_struct_block_repeat1, 2), SHIFT_REPEAT(832),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anon_struct_block_repeat1, 2),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 2),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 2),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 4),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 4),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gradient_call_repeat1, 2), SHIFT_REPEAT(45),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gradient_call_repeat1, 2),
  [1894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_block_repeat1, 2, .production_id = 47), SHIFT_REPEAT(787),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_block_repeat1, 2, .production_id = 47),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_statement_repeat1, 2), SHIFT_REPEAT(689),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_statement_repeat1, 2),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_image_call_repeat1, 2),
  [1922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_call_repeat1, 2), SHIFT_REPEAT(743),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__exported_type_repeat1, 2), SHIFT_REPEAT(419),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__exported_type_repeat1, 2),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(67),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2, .production_id = 3),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_type, 3, .production_id = 7),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 4, .production_id = 52),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 4, .production_id = 52),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 7, .production_id = 9),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_type, 3, .production_id = 6),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_identifier, 3, .production_id = 56),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 3, .production_id = 38),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_indexed_identifier, 1, .production_id = 9),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 8, .production_id = 9),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 2),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_color, 2),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 6, .production_id = 9),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 3, .production_id = 38),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 5, .production_id = 64),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 5, .production_id = 64),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 2),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_block_repeat1, 4, .production_id = 30),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_radial_gradient_identifier, 1),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_indexed_identifier, 4, .production_id = 37),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_option_identifier, 1),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_type, 3, .production_id = 21),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_radial_gradient_kind, 1),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2123] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linear_gradient_identifier, 1),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_slint(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
